grub2 (2.12-9+deb13u2) trixie; urgency=medium

  * Non-maintainer upload.
  * Apply patch from upstream to fix an illegal instruction on riscv64 in
    grub.efi (Closes: #1108898)

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 30 Apr 2026 21:02:01 +0200

grub2 (2.12-9+deb13u1) trixie; urgency=medium

  * Non-maintainer upload.
  * Apply patch from upstream to fix zfs root identification when generating
    configure files (Closes: #848945)

 -- Miao Wang <shankerwangmiao@gmail.com>  Sun, 15 Feb 2026 13:50:20 +0000

grub2 (2.12-9) unstable; urgency=medium

  * Apply patch by Ben Hutchings to not strip .exec or .image files
    (Closes: #1072167)

 -- Felix Zielcke <fzielcke@z-51.de>  Thu, 03 Jul 2025 18:35:51 +0200

grub2 (2.12-8) unstable; urgency=medium

  [ Mate Kukri ]
  * d/default/grub: Always get distributor string from `/etc/os-release`
  * Avoid adding extra GNU/Linux suffix to menu entries (Closes: #1076723)

 -- Felix Zielcke <fzielcke@z-51.de>  Wed, 11 Jun 2025 17:42:34 +0200

grub2 (2.12-7) unstable; urgency=medium

  [ Mate Kukri ]
  * Drop NTFS patches that seem to be causing regressions
    (Closes: #1100486, #1100470)

 -- Felix Zielcke <fzielcke@z-51.de>  Sat, 15 Mar 2025 14:55:29 +0100

grub2 (2.12-6) unstable; urgency=medium

  [ Mate Kukri ]
  * Fix out of bounds XSDT access, re-enable ACPI SPCR table support

  [ Miroslav Kure ]
  * Updated Czech translation of grub debconf messages. (Closes: #1035052)

  [ Viktar Siarheichyk ]
  * Updated Belarusian translation. (Closes: #1034905)

  [ Carles Pina i Estany ]
  * Update translation

  [ Felix Zielcke ]
  * Move d/legacy/* files to grub-legacy.
  * Remove traces of ../legacy/ dir in d/rules.

  [ Mate Kukri ]
  * Cherry-pick upstream security patches
  * Bump SBAT level to grub,5
  * SECURITY UPDATE: video/readers/jpeg: Do not permit duplicate SOF0 markers in JPEG
    - CVE-2024-45774
  * SECURITY UPDATE: commands/extcmd: Missing check for failed allocation
    - CVE-2024-45775
  * SECURITY UPDATE: gettext: Integer overflow leads to heap OOB write or read
    - CVE-2024-45776
  * SECURITY UPDATE: gettext: Integer overflow leads to heap OOB write
    - CVE-2024-45777
  * SECURITY UPDATE: fs/bfs: Integer overflow
    - CVE-2024-45778
  * SECURITY UPDATE: fs/bfs: integer overflow leads to heap OOB read
    - CVE-2024-45779
  * SECURITY UPDATE: fs/tar: Integer overflow leads to heap OOB write
    - CVE-2024-45780
  * SECURITY UPDATE: fs/ufs: `strcpy` use leading to heap OOB write
    - CVE-2024-45781
  * SECURITY UPDATE: fs/hfs: `strcpy` use leading to potential heap OOB write
    - CVE-2024-45782
  * SECURITY UPDATE: fs/hfsplus: incorrect refcount handling leading to UAF
    - CVE-2024-45783
  * SECURITY UPDATE: command/gpg: Use-after-free due to hooks not being removed on module unload
    - CVE-2025-0622
  * SECURITY UPDATE: net: Out-of-bounds write in grub_net_search_config_file()
    - CVE-2025-0624
  * SECURITY UPDATE: UFS: Integer overflow may lead to heap based out-of-bounds write when handling symlinks
    - CVE-2025-0677
  * SECURITY UPDATE: squash4: Integer overflow may lead to heap based out-of-bounds write when reading data
    - CVE-2025-0678
  * SECURITY UPDATE: reiserfs: Integer overflow when handling symlinks may lead to heap based out-of-bounds write when reading data
    - CVE-2025-0684
  * SECURITY UODATE: jfs: Integer overflow when handling symlinks may lead to heap based out-of-bounds write when reading data
    - CVE-2025-0685
  * SECURITY UPDATE: romfs: Integer overflow when handling symlinks may lead to heap based out-of-bounds write when reading data
    - CVE-2025-0686
  * SECURITY UPDATE: udf: Heap based buffer overflow  in grub_udf_read_block() may lead to arbitrary code execution
    - CVE-2025-0689
  * SECURITY UPDATE: read: Integer overflow may lead to out-of-bounds write
    - CVE-2025-0690
  * SECURITY UPDATE: commands/dump: The dump command is not in lockdown when secure boot is enabled
    - CVE-2025-1118
  * SECURITY UPDATE: fs/hfs: Integer overflow may lead to heap based out-of-bounds write
    - CVE-2025-1125
  * SECURITY UPDATE: insmod: incorrect refcount handling leading to UAF [LP: #2055835]

 -- Mate Kukri <mate.kukri@canonical.com>  Sat, 15 Feb 2025 17:17:14 +0000

grub2 (2.12-5) unstable; urgency=medium

  * Build-Depend on pkgconf instead of pkg-config.
  * Update legacy/update-grub to correctly check for grub2 core.img
  * Correct Breaks+Replaces on grub-efi-arm64-unsigned for grub-efi-arm64-bin.
    (Closes: #1076235)

 -- Felix Zielcke <fzielcke@z-51.de>  Mon, 15 Jul 2024 17:05:20 +0200

grub2 (2.12-4) unstable; urgency=medium

  [ Mate Kukri ]
  * Determine GRUB_DISTRIBUTOR from os-release and fall back to build-time dpkg vendor

  [ Felix Zielcke ]
  * Ship gdb_helper.py in dbg packages. (Closes: #1072164)
  * Update README.source to mention that we're now using gbp-pq instead of git-dpm.
  * Add grub-pc+grub2-common Breaks: against grub-legacy (<< 0.97-83~).
  * Upload to unstable.

 -- Felix Zielcke <fzielcke@z-51.de>  Wed, 10 Jul 2024 09:18:01 +0200

grub2 (2.12-3) experimental; urgency=medium

  [ Colin Watson ]
  * Update signing-template Uploaders to match main package.

  [ Mate Kukri ]
  * d/p/mkconfig-ubuntu-recovery.patch: Use "recovery" instead of "single recovery" for recovery mode bootparams
  * d/p/revert-term-ns8250-spcr.patch: Revert ACPI SPCR table support (#1062073)
  * d/p/efidisk-breakup-large-reads.patch: efidisk: Breakup large reads into batches
  * Revert "d/p/efidisk-breakup-large-reads.patch: efidisk: Breakup large reads into batches"

  [ Jiajie Chen ]
  * Enable building for LoongArch64

  [ Heinrich Schuchardt ]
  * d/rules: build monolithic images for all EFI architectures

  [ Julian Andres Klode ]
  * Introduce new -unsigned packages to house the pre-built .efi binaries
  * signing: Use the -unsigned packages as signed build-depends

  [ Jiajie Chen ]
  * d/p/sb/efi-use-peimage-shim.patch: add loong64 suppport

  [ Felix Zielcke ]
  * Update Breaks/Replaces -efi-{ia32,amd64}-bin to << 2.12-3~ at -unsigned packages.

  [ Pascal Hambourg ]
  * 05_debian_theme: cache background picture if not in /boot/grub filesystem
  * debian/default/grub: Replace 'vbeinfo' with 'videoinfo'
  * debian/default/grub: Document /etc/default/grub.d/*.cfg

  [ Tianyu Chen ]
  * Make grub-common Breaks grub-efi-*-signed (<< 1+2.12~rc1)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 25 Apr 2024 16:52:04 +0200

grub2 (2.12-2) unstable; urgency=medium

  [ Mate Kukri ]
  * Revert peimage to re-use GRUB's image handle (LP: #2057679) (LP: #2054127)
  * d/build-efi-images: Make sure downstream didn't remove peimage SBAT
    entry
  * SECURITY UPDATE: Use-after-free in peimage module [LP: #2054127]
    - CVE-2024-2312

  [ Julian Andres Klode ]
  * Bump SBAT level to `grub.peimage,2`; and also bump `grub.debian,5` to
    make sure we can revoke any downstream users of peimage that forgot to
    include the grub.peimage component if that should become necessary.

 -- Julian Andres Klode <jak@debian.org>  Fri, 05 Apr 2024 20:45:55 +0200

grub2 (2.12-1) unstable; urgency=medium

  [ Mate Kukri ]
  * New upstream version, 2.12
  * d/patches: Rebase on `upstream/2.12` and drop superseded patches:
    - Dropping patches now included upstream:
      + d/p/ntfs-cve-fixes/*: Fixes for NTFS OOB CVE
      + d/p/upstream/xfs-*: XFS parsing fixes
      + d/p/upstream/unmerged-usr-shebang.patch
    - Dropping patch replaced with configure option:
      + d/p/dejavu-font-path.patch
  * d/rules: Pass configure option '--enable-grub-themes'
  * d/rules: Provide Debian specific DejaVu path via configure
  * d/{control,rules}: Use default gcc version
  * d/p/extra_deps_lst.patch:
    Checkout "extra_deps.lst" from upstream/master
  * d/p/sb/revert-efi-fallback-to-legacy.patch:
    Also revert newer fallback patch

  [ Julian Andres Klode ]
  * Add Mate to Uploaders

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 15 Jan 2024 09:54:55 +0000

grub2 (2.12~rc1-13) unstable; urgency=medium

  * No-change rebuild to retrigger signing following binNMU breakage

 -- Julian Andres Klode <jak@debian.org>  Fri, 12 Jan 2024 19:00:41 +0100

grub2 (2.12~rc1-12) unstable; urgency=medium

  [ Mate Kukri ]
  * Port UEFI based network stack to 2.12 (LP: #2039081)
  * efi: Correct image unloading behavior
  * Prevent the incorrect use of `UnloadImage()` by binaries loaded by peimage
  * efinet: HTTP_MESSAGE fix field size (LP: #2043084)

  [ Abe Wieland ]
  * Maintain administrator value for os-prober

  [ Julian Andres Klode ]
  * Cherry-pick upstream XFS directory extent parsing fixes (Closes: #1051543)
    (LP: #2039172)

 -- Julian Andres Klode <jak@debian.org>  Thu, 09 Nov 2023 14:13:44 +0200

grub2 (2.12~rc1-11) unstable; urgency=medium

  [ Mate Kukri ]
  * SECURITY UPDATE: Crafted file system images can cause out-of-bounds write
    and may leak sensitive information into the GRUB pager.
    - d/patches/ntfs-cve-fixes/fs-ntfs-Fix-an-OOB-read-when-parsing-a-volume-
      label.patch:
      fs/ntfs: Fix an OOB read when parsing a volume label
    - d/patches/ntfs-cve-fixes/fs-ntfs-Fix-an-OOB-read-when-parsing-bs-for-
      index-at.patch:
      fs/ntfs: Fix an OOB read when parsing bitmaps for index attributes
    - d/patches/ntfs-cve-fixes/fs-ntfs-Fix-an-OOB-read-when-parsing-dory-
      entries-fr.patch:
      fs/ntfs: Fix an OOB read when parsing directory entries from resident and
      non-resident index attributes
    - d/patches/ntfs-cve-fixes/fs-ntfs-Fix-an-OOB-read-when-reading-data-fhe-
      reside.patch:
      fs/ntfs: Fix an OOB read when reading data from the resident $DATA +
      attribute
    - CVE-2023-4693
  * SECURITY UPDATE: Crafted file system images can cause heap-based buffer
    overflow and may allow arbitrary code execution and secure boot bypass.
    - d/patches/ntfs-cve-fixes/fs-ntfs-Fix-an-OOB-write-when-parsing-the-
      ATTRIBUTE_LIST-.patch:
      fs/ntfs: Fix an OOB write when parsing the $ATTRIBUTE_LIST attribute for
      the $MFT file
    - d/patches/ntfs-cve-fixes/fs-ntfs-Make-code-more-readable.patch
      fs/ntfs: Make code more readable
    - CVE-2023-4692
  * efi: Cleanup peimage.c

  [ Julian Andres Klode ]
  * Bump SBAT to grub,4

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 02 Oct 2023 15:55:25 +0200

grub2 (2.12~rc1-10) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Cherry pick fix for unmerged usr shebang (Closes: #1051251)
  * grub-common.dirs: Install empty /etc/default/grub.d (Closes: #1051412)

  [ Mate Kukri ]
  * efi: Eliminate globals from the `peimage.c` chainloader

 -- Julian Andres Klode <jak@debian.org>  Mon, 18 Sep 2023 12:23:29 +0200

grub2 (2.12~rc1-9) unstable; urgency=medium

  * Correct the Breaks to include the ~rc1 bit of the version

 -- Julian Andres Klode <jak@debian.org>  Tue, 05 Sep 2023 19:13:30 +0200

grub2 (2.12~rc1-8) unstable; urgency=medium

  * Have -bin packages Break pre-2.12 -signed packages.
    On insecurely booted systems, upgrading the -bin packages with
    the modules before the -signed packages caused the signed binaries
    to crash when loading additional modules. (Closes: #1051271)
  * Revert "In the signed packages, change the version dependency"
    This reverts commit 680bb22c3308b7ccd0a7eb7923c7d68067b626f9. The
    signed package needs the modules to be at the same version during
    boot on insecure systems or it may crash trying to load further
    modules.
  * Set Protected: yes for -signed packages so they cannot easily be removed.
    This ensures that the = depends in grub-efi-amd64-signed does not
    cause it to be removed when it is out of sync with src:grub2

 -- Julian Andres Klode <jak@debian.org>  Tue, 05 Sep 2023 19:06:05 +0200

grub2 (2.12~rc1-7) unstable; urgency=medium

  * Upload to unstable

 -- Julian Andres Klode <jak@debian.org>  Mon, 04 Sep 2023 20:03:09 +0200

grub2 (2.12~rc1-6) experimental; urgency=medium

  * Use rm_conffile instead of remove-on-upgrade.
    This works with ftp-master's old lintian version and allows
    easy backports

 -- Julian Andres Klode <jak@debian.org>  Mon, 04 Sep 2023 16:57:55 +0200

grub2 (2.12~rc1-5) experimental; urgency=medium

  [ Felix Zielcke ]
  * Add salsa-ci.yml and disable blhc and reprotest pipelines.
  * remove on upgrades /etc/default/grub.d/init-select.cfg. (Closes: #1042707)

  [ Julian Andres Klode ]
  * peimage: Set file_path for loaded image (LP: #2030810, #2032294)
  * Hack up the lintian overrides for stable lintian on ftp-master

 -- Julian Andres Klode <jak@debian.org>  Mon, 04 Sep 2023 14:16:12 +0200

grub2 (2.12~rc1-4) experimental; urgency=medium

  [ Julian Andres Klode ]
  * Fix quiet boot feature
  * Drop fs-tester-time-fail.patch, upstream
  * postinst: look at /boot/grub/$target/core.efi to determine if we ran already
  * Cherry-pick additional Ubuntu patches
    - zstd-require-8-byte-buffer.patch: Fix for buffer size in zstd
    - recovery-dis_ucode_ldr.patch: Pass dis_ucode_ldr to kernel for
      recovery mode
    - hwmatch-only-on-grub-pc-platform.patch: Only call hwmatch on grub-pc
      (Closes: #990836)
    - fdt-add-debug-output-to-devicetree-command.patch: Debugging output
      for the devicetree command
    - fdt-device-tree-fixup-protocol.patch: Support for u-boot device tree
      fixup protocol
    - fat-fix-listing-the-root-directory.patch: Fix listing of files with
      0 timestamps in FAT
    - efivar-check-that-efivarfs-is-writeable.patch: Do not hard error
      if we cannot write the EFI variables. Some implementations, like
      u-boot do not support writing them.
  * Only build peimage on supported architectures
  * debian/po: Refresh templates

  [ Felix Zielcke ]
  * Update mkconfig-ubuntu-recovery.patch to respect
    GRUB_CMDLINE_LINUX_RECOVERY from /etc/default/grub.
    (Closes: #766530, #922425)
  * Strip grub-emu binary.

 -- Julian Andres Klode <jak@debian.org>  Fri, 28 Jul 2023 14:54:14 +0200

grub2 (2.12~rc1-3) experimental; urgency=medium

  * Build peimage as a module and insert into signed images
  * peimage: Copy the image header and ensure it's not clobbered
  * Drop grub.cfg-400.patch, world-readable boot config violates several guidelines unfortunately
  * Drop mkconfig-other-inits.patch (alternative init boot options)
  * Order patches not used by Ubuntu last to simplify maintenance
  * Drop mkconfig-signed-kernel.patch, .signed kernels are no longer used

 -- Julian Andres Klode <jak@debian.org>  Tue, 25 Jul 2023 16:44:12 +0200

grub2 (2.12~rc1-2) experimental; urgency=medium

  [ Julian Andres Klode ]
  * Build-Depend on libsdl2-dev instead of libsdl1.2-dev (Closes: #1038035)
  * Link peimage into arm_efi target, fixes armhf/armel FTBFS
  * peimage: Add chainloader support

  [ Heinrich Schuchardt ]
  * Enable building for RISC-V (LP: #1876620) (Closes: #995718)

 -- Julian Andres Klode <jak@debian.org>  Fri, 21 Jul 2023 18:02:28 +0200

grub2 (2.12~rc1-1) experimental; urgency=medium

  [ Julian Andres Klode ]
  * New upstream version, 2.12~rc1
  * build-efi-images: Drop linuxefi, using new loaders now
  * Do not try to install gmodule.pl, it was rewritten in Python
  * Rebase patches
    - Temporarily drop -dpkg-version-comparison.patch, needs to be adjusted
      for switch from comparison to sort -V
    - Drop -linuxefi.patch, fix-lockdown.patch, arm64-handover-to-kernel-if-sb-enabled.patch;
      we will be using the upstream loader now, with an additional compat
      layer for shim tbd
    - Apply new network patch set from mailing list (no additional patches yet)
    - Drop ton of patches applied upstream
  * Implement an alternative approach to secure boot, using the upstream EFI
    loader, and temporarily emulating load_image() and friends using Ubuntu's
    peimage file while a image protocol is being added to shim.
  * Build-Depend on gawk, it fails to compile with mawk
  * Fix lzo test and xfail tests requiring root
  * Fix lintian overrides
  * Add grub,debian13,1 and grub.peimage,1 SBAT levels, this allows
    individually revoking the parts affecting only trixie or the new
    shared peimage loader.

  [ Dimitri John Ledkov ]
  * Include fdt modules in arm64 EFI images, tpm in all archs (LP: #2008950)

 -- Julian Andres Klode <jak@debian.org>  Wed, 19 Jul 2023 19:21:17 +0200

grub2 (2.06-14) experimental; urgency=medium

  [ Julian Andres Klode ]
  * "Upstreaming" Ubuntu changes, part 1.
  * Fixup filename for debian/patches/gcc12_build_dangling_pointer.patch
  * Disable os-prober for ppc64el on the PowerNV platform (for Petitboot)
  * Build with FUSE3 (LP: #1935659)
  * build-efi-images: Add http to netboot images
  * Bundle unicode.pf2 in a squashfs memdisk attached to the signed EFI binary
  * Automatic patch queue rebase

  [ Dimitri John Ledkov ]
  * minilzo: built using the distribution's minilzo
  * dirs.in: create var/lib/grub/ucf in grub-efi-amd64 (and similar)
  * grub-common.service: port init.d script to systemd unit. Add warning
    message, when initrdless boot fails triggering fallback. LP: #1901553
  * Make prebuilt netboot image look for grub.cfg-$deb_arch
  * Link grub-efi-{amd64,arm64}-bin docs directory

  [ Jeffery To ]
  * Add hibernation resumption support to grub-common.service

 -- Julian Andres Klode <jak@debian.org>  Mon, 19 Jun 2023 17:26:49 +0200

grub2 (2.06-13) unstable; urgency=medium

  [ Steve McIntyre ]
  * When *also* installing to the removable media path, include the
    relevant mokmanager binary. Closes: #1034409

  [ General Chaos ]
  * Allow initrd to contain spaces. Closes: #838177, #820838.

  [ Translators ]
  * Update lots of translations of debconf templates, thanks to the
    following:
    + Welsh (Dafydd Tomos)
    + German (Helge Kreutzmann). Closes: #1034850
    + Croatian (Tomislav Krznar)
    + Greek (Emmanuel Galatoulas)
    + Esperanto (Felipe Castro)
    + French (Baptiste Jammet). Closes: #1035761
    + Italian (Luca Monducci). Closes: #1034825
    + Kazakh (Baurzhan Muftakhidinov)
    + Korean (Changwoo Ryu). Closes: #1034868
    + Latvian (Rudolfs Mazurs)
    + Dutch (Frans Spiesschaert). Closes: #1035399
    + Norwegian Bokmål (Petter Reinholdtsen, Sverre Vaabenoe)
    + Brazilian Portuguese (Adriano Rafael Gomes). Closes: #1035905
    + Romanian (Remus-Gabriel Chelu)
    + Russian (Yuri Kozlov). Closes: #1035294
    + Turkish (Atila KOÇ). Closes: #1035846
    + Swedish (Luna Jernberg)

 -- Steve McIntyre <93sam@debian.org>  Sun, 23 Apr 2023 20:55:54 +0100

grub2 (2.06-12) unstable; urgency=medium

  * Fix up arm64 SB patch to fix build failure on 32-bit arm systems

 -- Steve McIntyre <93sam@debian.org>  Fri, 21 Apr 2023 13:30:26 +0100

grub2 (2.06-11) unstable; urgency=medium

  * And try again... :-/

 -- Steve McIntyre <93sam@debian.org>  Fri, 21 Apr 2023 01:50:26 +0100

grub2 (2.06-10) unstable; urgency=medium

  * Fix 32-bit build with the osdep/devmapper/getroot patches.

 -- Steve McIntyre <93sam@debian.org>  Fri, 21 Apr 2023 01:14:13 +0100

grub2 (2.06-9) unstable; urgency=medium

  [ Steve McIntyre ]
  * postinst: make config_item() more robust
  * Add debconf logic for GRUB_DISABLE_OS_PROBER to make it easier to
    control things here. Particularly useful for the installer.
    Closes: #1031594, #1012865, #1025698.
  * Add luks2 to the signed grub efi images. Closes: #1001248

  [ Ben Hutchings ]
  * Fix probing of LUKS2 devices (Closes: #1028301):
    - disk/cryptodisk: When cheatmounting, use the sector info of the cheat
      device
    - osdep/devmapper/getroot: Have devmapper recognize LUKS2
    - osdep/devmapper/getroot: Set up cheated LUKS2 cryptodisk mount from DM
      parameters

  [ Emanuele Rocca ]
  * Add arm64-handover-to-kernel-if-sb-enabled.patch to fix Secure Boot on
    arm64 (Closes: #1033657)

  [ Mattia Rizzolo ]
  * Don't warn about os-prober if it's not installed. Closes: #1020769

 -- Steve McIntyre <93sam@debian.org>  Thu, 20 Apr 2023 20:35:11 +0100

grub2 (2.06-8.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Fix an issue where a logical volume rename would lead grub to fail to
    boot (Closes: #987008)

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 25 Feb 2023 15:16:55 -0500

grub2 (2.06-8) unstable; urgency=medium

  [ Steve McIntyre ]
  * Fix an issue in an f2fs security fix which caused mount
    failures. Closes: #1021846. Thanks to программист некто for helping
    to debug the problem!
  * Switch build-deps from gcc-10 to gcc-12. Closes: #1022184
  * Include upstream patch to enable EFI zboot support on arm64.
    Closes: #1026092
  * grub-mkconfig: Restore umask for the grub.cfg. CVE-2021-3981
    Closes: #1001414
  * postinst: be more verbose when using grub-install to install onto
    devices.
  * /etc/default/grub: Fix comment about text-mode console.
    Fixes #845683
  * grub-install: Don't install the shim fallback program when called
    with --removable. Closes: #1016737
  * grub-install: Don't use our grub CD EFI image for --removable.
    Closes: #1026915. Thanks to Pascal Hambourg for the patch.
  * Ignore some new ext2 flags to stay compatible with latest mke2fs
    defaults. Closes: #1030846

  [ Colin Watson ]
  * Remove myself from Uploaders.

 -- Steve McIntyre <93sam@debian.org>  Thu, 09 Feb 2023 01:09:00 +0000

grub2 (2.06-7) unstable; urgency=medium

  [ Steve McIntyre ]
  * Fix bug in core file code so errors are handled better. This makes
    the fallback font-handling patch work properly.
    Closes: #1025469, #1025477.

 -- Steve McIntyre <93sam@debian.org>  Tue, 06 Dec 2022 03:14:53 +0000

grub2 (2.06-6) unstable; urgency=medium

  [ Steve McIntyre ]
  * Include fonts in the memdisk build for EFI images.
    Closes: #1024395, #1025352, #1024447
  * Bump Debian SBAT level to 4
    - Due to a mistake in the buster upload (2.06-3~deb10u2) that left
      the CVE-2022-2601 bugs in place, we need to bump SBAT for all of
      the Debian GRUB binaries. :-(
  * Switch away from git-dpm

 -- Steve McIntyre <93sam@debian.org>  Sun, 04 Dec 2022 20:42:23 +0000

grub2 (2.06-5) unstable; urgency=high

  [ Steve McIntyre ]
  * Explicitly unset SOURCE_DATE_EPOCH before running fs tests
  * Pull in upstream patches to harden font and image handling -
    CVE-2022-2601, CVE-2022-3775.
  * Bump SBAT level to 3 for grub-efi packages

 -- Steve McIntyre <93sam@debian.org>  Sun, 13 Nov 2022 00:33:35 +0000

grub2 (2.06-4) unstable; urgency=high

  [ Steve McIntyre ]
  * Updated the 2.06-3 changelog to mention closure of CVE-2022-28736
  * Add a commented-out GRUB_DISABLE_OS_PROBER section to
    /etc/default/grub to make it easier for users to turn os-prober
    back on if they want it. Closes: #1013797, #1009336
  * Add smbios to the signed grub efi images. Closes: #1008106
  * Add serial to the signed grub efi images. Closes: #1013962
  * grub2-common: Remove dependency on install-info, it's apparently
    not needed. Closes: #1013698
  * Don't strip Xen binaries so they work again. Closes: #1017944.
    Thanks to Valentin Kleibel for the patch.

 -- Steve McIntyre <93sam@debian.org>  Wed, 14 Sep 2022 22:35:49 +0100

grub2 (2.06-3) unstable; urgency=medium

  [ Colin Watson ]
  * Update a few leftover uses of "which" to use "command -v" instead.
  * Remove some old Lintian overrides.
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Add missing ${misc:Depends} to Depends for grub-efi-ia32-signed-template,
    grub-efi-amd64-signed-template, grub-efi-arm64-signed-template.
  * Bump debhelper from old 10 to 13.
  * Set upstream metadata fields: Bug-Submit (from ./configure), Repository,
    Repository-Browse.
  * Drop now-unnecessary sparc PIE workaround from debian/rules (thanks,
    John Paul Adrian Glaubitz; closes: #952815).

  [ Debconf translations ]
  * [id] Indonesian (Andika Triwidada; closes: #1007706).

  [ Julian Andres Klode ]
  * Add Julian Andres Klode to uploaders
  * Disable building with LTO, as used in Ubuntu and possibly other
    downstreams (maybe Debian one day), as that breaks the build.
  * SECURITY UPDATE: Crafted PNG grayscale images may lead to out-of-bounds
    write in heap.
    - 0070-video-readers-png-Drop-greyscale-support-to-fix-heap.patch:
      video/readers/png: Drop greyscale support to fix heap out-of-bounds write
    - CVE-2021-3695
  * SECURITY UPDATE: Crafted PNG image may lead to out-of-bound write during
    huffman table handling.
    - 0071-video-readers-png-Avoid-heap-OOB-R-W-inserting-huff-.patch:
      video/readers/png: Avoid heap OOB R/W inserting huff table items
    - CVE-2021-3696
  * SECURITY UPDATE: Crafted JPEG image can lead to buffer underflow write in
    the heap.
    - 0076-video-readers-jpeg-Block-int-underflow-wild-pointer-.patch:
      video/readers/jpeg: Block int underflow -> wild pointer write
    - CVE-2021-3697
  * SECURITY UPDATE: Integer underflow in grub_net_recv_ip4_packets
    - 0079-net-ip-Do-IP-fragment-maths-safely.patch: net/ip: Do IP fragment
      maths safely
    - CVE-2022-28733
  * SECURITY UPDATE: Out-of-bounds write when handling split HTTP headers
    - 0085-net-http-Fix-OOB-write-for-split-http-headers.patch: net/http: Fix
      OOB write for split http headers
    - CVE-2022-28734
  * SECURITY UPDATE: shim_lock verifier allows non-kernel files to be loaded
    - 0066-kern-efi-sb-Reject-non-kernel-files-in-the-shim_lock.patch:
      kern/efi/sb: Reject non-kernel files in the shim_lock verifier
    - CVE-2022-28735
    - Closes: #1001057
  * SECURITY UPDATE: use-after-free in grub_cmd_chainloader()
    - 0063-loader-efi-chainloader-Simplify-the-loader-state.patch:
      loader/efi/chainloader: simplify the loader state
    - 0064-commands-boot-Add-API-to-pass-context-to-loader.patch: commands/boot:
      Add API to pass context to loader
    - 0065-loader-efi-chainloader-Use-grub_loader_set_ex.patch:
      loader/efi/chainloader: Use grub_loader_set_ex
    - 0066-loader-i386-efi-linux-Use-grub_loader_set_ex.patch:
      loader/i386/efi/linux: Use grub_loader_set_ex
    - CVE-2022-28736
  * Various fixes as a result of fuzzing and static analysis:
    - 0067-kern-file-Do-not-leak-device_name-on-error-in-grub_f.patch:
      kern/file: Do not leak device_name on error in grub_file_open()
    - 0068-video-readers-png-Abort-sooner-if-a-read-operation-f.patch:
      video/readers/png: Abort sooner if a read operation fails
    - 0069-video-readers-png-Refuse-to-handle-multiple-image-he.patch:
      video/readers/png: Refuse to handle multiple image headers
    - 0072-video-readers-png-Sanity-check-some-huffman-codes.patch:
      video/readers/png: Sanity check some huffman codes
    - 0073-video-readers-jpeg-Abort-sooner-if-a-read-operation-.patch:
      video/readers/jpeg: Abort sooner if a read operation fails
    - 0074-video-readers-jpeg-Do-not-reallocate-a-given-huff-ta.patch:
      video/readers/jpeg: Do not reallocate a given huff table
    - 0075-video-readers-jpeg-Refuse-to-handle-multiple-start-o.patch:
      video/readers/jpeg: Refuse to handle multiple start of streams
    - 0077-normal-charset-Fix-array-out-of-bounds-formatting-un.patch:
      normal/charset: Fix array out-of-bounds formatting unicode for display
    - 0078-net-netbuff-Block-overly-large-netbuff-allocs.patch:
      net/netbuff: Block overly large netbuff allocs
    - 0080-net-dns-Fix-double-free-addresses-on-corrupt-DNS-res.patch:
      net/dns: Fix double-free addresses on corrupt DNS response
    - 0081-net-dns-Don-t-read-past-the-end-of-the-string-we-re-.patch:
      net/dns: Don't read past the end of the string we're checking against
    - 0082-net-tftp-Prevent-a-UAF-and-double-free-from-a-failed.patch:
      net/tftp: Prevent a UAF and double-free from a failed seek
    - 0083-net-tftp-Avoid-a-trivial-UAF.patch: net/tftp: Avoid a trivial UAF
    - 0084-net-http-Do-not-tear-down-socket-if-it-s-already-bee.patch:
      net/http: Do not tear down socket if it's already been torn down
    - 0086-net-http-Error-out-on-headers-with-LF-without-CR.patch:
      net/http: Error out on headers with LF without CR
    - 0087-fs-f2fs-Do-not-read-past-the-end-of-nat-journal-entr.patch:
      fs/f2fs: Do not read past the end of nat journal entries
    - 0088-fs-f2fs-Do-not-read-past-the-end-of-nat-bitmap.patch:
      fs/f2fs: Do not read past the end of nat bitmap
    - 0089-fs-f2fs-Do-not-copy-file-names-that-are-too-long.patch:
      fs/f2fs: Do not copy file names that are too long
    - 0090-fs-btrfs-Fix-several-fuzz-issues-with-invalid-dir-it.patch:
      fs/btrfs: Fix several fuzz issues with invalid dir item sizing
    - 0091-fs-btrfs-Fix-more-ASAN-and-SEGV-issues-found-with-fu.patch:
      fs/btrfs: Fix more ASAN and SEGV issues found with fuzzing
    - 0092-fs-btrfs-Fix-more-fuzz-issues-related-to-chunks.patch:
      fs/btrfs: Fix more fuzz issues related to chunks
  * Bump SBAT generation:
    - update debian/sbat.debian.csv.in

 -- Julian Andres Klode <jak@debian.org>  Fri, 10 Jun 2022 11:15:11 +0200

grub2 (2.06-2) unstable; urgency=medium

  * Update to minilzo-2.10, fixing build failures on armel, mips64el,
    mipsel, and ppc64el.

 -- Colin Watson <cjwatson@debian.org>  Mon, 29 Nov 2021 00:10:09 +0000

grub2 (2.06-1) unstable; urgency=medium

  * Use "command -v" in maintainer scripts rather than "which".
  * New upstream release.
    - Switch to the upstream shim_lock verifier, dropping several more
      manual checks for UEFI Secure Boot.
  * Cherry-pick from upstream:
    - fs/xfs: Fix unreadable filesystem with v4 superblock
    - tests/ahci: Change "ide-drive" deprecated QEMU device name to "ide-hd"
      (closes: #997100)
  * Remove dir_to_symlink maintainer script code, which was only needed for
    upgrades from before jessie.

 -- Colin Watson <cjwatson@debian.org>  Sun, 28 Nov 2021 13:30:32 +0000

grub2 (2.04-20) unstable; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * tpm: Pass unknown error as non-fatal, but debug print the error we got
    (closes: #940911, LP: #1848892).

 -- Colin Watson <cjwatson@debian.org>  Sun, 11 Jul 2021 00:37:36 +0100

grub2 (2.04-19) unstable; urgency=medium

  * Resync grub-install backup and restore patches from upstream, fixing
    problems that left the system unbootable after certain kinds of failure
    (closes: #983435).

 -- Colin Watson <cjwatson@debian.org>  Sat, 19 Jun 2021 13:04:38 +0100

grub2 (2.04-18) unstable; urgency=medium

  [ Steve McIntyre ]
  * Enable the shim_lock and tpm modules for i386-efi too. Ensure that
    tpm is included in our EFI images.
  * List the modules we include the EFI images - make it easier to
    debug things.
  * Add debug to display what's going on with verifiers

  [ Colin Watson ]
  * util/mkimage: Some fixes to PE binaries section size calculation
    (closes: #987103).

 -- Colin Watson <cjwatson@debian.org>  Sun, 25 Apr 2021 16:20:17 +0100

grub2 (2.04-17) unstable; urgency=medium

  * Pass --sbat when building the d-i netboot image as well.
  * i386-pc: build verifiers API as module (thanks, Michael Chang; closes:
    #984488, #985374).

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 Mar 2021 10:41:41 +0000

grub2 (2.04-16) unstable; urgency=medium

  * Fix broken advice in message when the postinst has to bail out (thanks
    to Daniel Leidert for pointing out the problem).
  * Backport security patch series from upstream:
    - verifiers: Move verifiers API to kernel image
    - kern: Add lockdown support
    - kern/lockdown: Set a variable if the GRUB is locked down
    - efi: Lockdown the GRUB when the UEFI Secure Boot is enabled
    - efi: Use grub_is_lockdown() instead of hardcoding a disabled modules
      list
    - CVE-2020-14372: acpi: Don't register the acpi command when locked down
    - CVE-2020-27779: mmap: Don't register cutmem and badram commands when
      lockdown is enforced
    - commands: Restrict commands that can load BIOS or DT blobs when locked
      down
    - commands/setpci: Restrict setpci command when locked down
    - commands/hdparm: Restrict hdparm command when locked down
    - gdb: Restrict GDB access when locked down
    - loader/xnu: Don't allow loading extension and packages when locked
      down
    - docs: Document the cutmem command
    - CVE-2020-25632: dl: Only allow unloading modules that are not
      dependencies
    - CVE-2020-25647: usb: Avoid possible out-of-bound accesses caused by
      malicious devices
    - mmap: Fix memory leak when iterating over mapped memory
    - net/net: Fix possible dereference to of a NULL pointer
    - net/tftp: Fix dangling memory pointer
    - kern/parser: Fix resource leak if argc == 0
    - kern/efi: Fix memory leak on failure
    - kern/efi/mm: Fix possible NULL pointer dereference
    - gnulib/regexec: Resolve unused variable
    - gnulib/regcomp: Fix uninitialized token structure
    - gnulib/argp-help: Fix dereference of a possibly NULL state
    - gnulib/regexec: Fix possible null-dereference
    - gnulib/regcomp: Fix uninitialized re_token
    - io/lzopio: Resolve unnecessary self-assignment errors
    - zstd: Initialize seq_t structure fully
    - kern/partition: Check for NULL before dereferencing input string
    - disk/ldm: Make sure comp data is freed before exiting from make_vg()
    - disk/ldm: If failed then free vg variable too
    - disk/ldm: Fix memory leak on uninserted lv references
    - disk/cryptodisk: Fix potential integer overflow
    - hfsplus: Check that the volume name length is valid
    - zfs: Fix possible negative shift operation
    - zfs: Fix resource leaks while constructing path
    - zfs: Fix possible integer overflows
    - zfsinfo: Correct a check for error allocating memory
    - affs: Fix memory leaks
    - libgcrypt/mpi: Fix possible unintended sign extension
    - libgcrypt/mpi: Fix possible NULL dereference
    - syslinux: Fix memory leak while parsing
    - normal/completion: Fix leaking of memory when processing a completion
    - commands/hashsum: Fix a memory leak
    - video/efi_gop: Remove unnecessary return value of
      grub_video_gop_fill_mode_info()
    - video/fb/fbfill: Fix potential integer overflow
    - video/fb/video_fb: Fix multiple integer overflows
    - video/fb/video_fb: Fix possible integer overflow
    - video/readers/jpeg: Test for an invalid next marker reference from a
      jpeg file
    - gfxmenu/gui_list: Remove code that coverity is flagging as dead
    - loader/bsd: Check for NULL arg up-front
    - loader/xnu: Fix memory leak
    - loader/xnu: Free driverkey data when an error is detected in
      grub_xnu_writetree_toheap()
    - loader/xnu: Check if pointer is NULL before using it
    - util/grub-install: Fix NULL pointer dereferences
    - util/grub-editenv: Fix incorrect casting of a signed value
    - util/glue-efi: Fix incorrect use of a possibly negative value
    - script/execute: Fix NULL dereference in grub_script_execute_cmdline()
    - commands/ls: Require device_name is not NULL before printing
    - script/execute: Avoid crash when using "$#" outside a function scope
    - CVE-2021-20225: lib/arg: Block repeated short options that require an
      argument
    - script/execute: Don't crash on a "for" loop with no items
    - CVE-2021-20233: commands/menuentry: Fix quoting in setparams_prefix()
    - kern/misc: Always set *end in grub_strtoull()
    - video/readers/jpeg: Catch files with unsupported quantization or
      Huffman tables
    - video/readers/jpeg: Catch OOB reads/writes in grub_jpeg_decode_du()
    - video/readers/jpeg: Don't decode data before start of stream
    - term/gfxterm: Don't set up a font with glyphs that are too big
    - fs/fshelp: Catch impermissibly large block sizes in read helper
    - fs/hfsplus: Don't fetch a key beyond the end of the node
    - fs/hfsplus: Don't use uninitialized data on corrupt filesystems
    - fs/hfs: Disable under lockdown
    - fs/sfs: Fix over-read of root object name
    - fs/jfs: Do not move to leaf level if name length is negative
    - fs/jfs: Limit the extents that getblk() can consider
    - fs/jfs: Catch infinite recursion
    - fs/nilfs2: Reject too-large keys
    - fs/nilfs2: Don't search children if provided number is too large
    - fs/nilfs2: Properly bail on errors in grub_nilfs2_btree_node_lookup()
    - io/gzio: Bail if gzio->tl/td is NULL
    - io/gzio: Add init_dynamic_block() clean up if unpacking codes fails
    - io/gzio: Catch missing values in huft_build() and bail
    - io/gzio: Zero gzio->tl/td in init_dynamic_block() if huft_build()
      fails
    - disk/lvm: Don't go beyond the end of the data we read from disk
    - disk/lvm: Don't blast past the end of the circular metadata buffer
    - disk/lvm: Bail on missing PV list
    - disk/lvm: Do not crash if an expected string is not found
    - disk/lvm: Do not overread metadata
    - disk/lvm: Sanitize rlocn->offset to prevent wild read
    - disk/lvm: Do not allow a LV to be it's own segment's node's LV
    - fs/btrfs: Validate the number of stripes/parities in RAID5/6
    - fs/btrfs: Squash some uninitialized reads
    - kern/parser: Fix a memory leak
    - kern/parser: Introduce process_char() helper
    - kern/parser: Introduce terminate_arg() helper
    - kern/parser: Refactor grub_parser_split_cmdline() cleanup
    - kern/buffer: Add variable sized heap buffer
    - CVE-2020-27749: kern/parser: Fix a stack buffer overflow
    - kern/efi: Add initial stack protector implementation
    - util/mkimage: Remove unused code to add BSS section
    - util/mkimage: Use grub_host_to_target32() instead of
      grub_cpu_to_le32()
    - util/mkimage: Always use grub_host_to_target32() to initialize PE
      stack and heap stuff
    - util/mkimage: Unify more of the PE32 and PE32+ header set-up
    - util/mkimage: Reorder PE optional header fields set-up
    - util/mkimage: Improve data_size value calculation
    - util/mkimage: Refactor section setup to use a helper
    - util/mkimage: Add an option to import SBAT metadata into a .sbat
      section
    - grub-install-common: Add --sbat option
    - kern/misc: Split parse_printf_args() into format parsing and va_list
      handling
    - kern/misc: Add STRING type for internal printf() format handling
    - kern/misc: Add function to check printf() format against expected
      format
    - gfxmenu/gui: Check printf() format in the gui_progress_bar and
      gui_label
    - kern/mm: Fix grub_debug_calloc() compilation error
  * Add SBAT section (thanks, Chris Coulson).

 -- Colin Watson <cjwatson@debian.org>  Tue, 02 Mar 2021 18:00:00 +0000

grub2 (2.04-15) unstable; urgency=medium

  * Demote grub-common → mtools dependency to Suggests, to go with xorriso;
    explain the situation in the package description (closes: #982313).

 -- Colin Watson <cjwatson@debian.org>  Mon, 08 Feb 2021 21:39:24 +0000

grub2 (2.04-14) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Extend grub-efi to also cover arm64/ia64/arm (closes: #981819).

  [ Colin Watson ]
  * Cherry-pick from upstream:
    - grub-install: Fix inverted test for NLS enabled when copying locales
      (closes: #979754).
  * Fix handling of trailing commas in grub-pc/install_devices (closes:
    #913928).
  * Make grub-firmware-qemu Recommend/Enhance qemu-system-x86, not qemu
    (closes: #966243).
  * Make grub-common depend on mtools on EFI platforms, for grub-mkrescue
    (closes: #774910).

 -- Colin Watson <cjwatson@debian.org>  Sun, 07 Feb 2021 15:23:51 +0000

grub2 (2.04-13) unstable; urgency=medium

  [ Steve McIntyre ]
  * Switch to using the efivarfs interface for detecting "system setup"
    (Closes: #979299)

 -- Colin Watson <cjwatson@debian.org>  Sat, 06 Feb 2021 17:30:38 +0000

grub2 (2.04-12) unstable; urgency=medium

  * Cherry-pick from upstream:
    - mdraid1x_linux: Fix gcc10 error -Werror=array-bounds
    - zfs: Fix gcc10 error -Werror=zero-length-bounds
  * Build with GCC 10 (closes: #978515).

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Dec 2020 22:33:23 +0000

grub2 (2.04-11) unstable; urgency=medium

  * grub-install: Fix backup restoration on i386 (closes: #976671).

 -- Colin Watson <cjwatson@debian.org>  Sun, 06 Dec 2020 18:29:51 +0000

grub2 (2.04-10) unstable; urgency=medium

  [ Ian Campbell ]
  * Remove myself from uploaders.

  [ Colin Watson ]
  * When upgrading grub-pc noninteractively, bail out if grub-install fails.
    It's better to fail the upgrade than to produce a possibly-unbootable
    system.
  * Explicitly check whether the target device exists before running
    grub-install, since grub-install copies modules to /boot/grub/ before
    installing the core image, and the new modules might be incompatible
    with the old core image (closes: #966575).
  * Cherry-pick from upstream:
    - tftp: Roll-over block counter to prevent data packets timeouts
      (LP: #1892290).

  [ Dimitri John Ledkov ]
  * grub-install: Add backup and restore.
  * Don't call grub-install on fresh install of grub-pc.  It's the job of
    installers to do that after a fresh install.

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Nov 2020 16:26:08 +0000

grub2 (2.04-9) unstable; urgency=high

  * Backport security patch series from upstream:
    - CVE-2020-10713: yylex: Make lexer fatal errors actually be fatal
    - safemath: Add some arithmetic primitives that check for overflow
    - calloc: Make sure we always have an overflow-checking calloc()
      available
    - CVE-2020-14308: calloc: Use calloc() at most places
    - CVE-2020-14309, CVE-2020-14310, CVE-2020-14311: malloc: Use overflow
      checking primitives where we do complex allocations
    - iso9660: Don't leak memory on realloc() failures
    - font: Do not load more than one NAME section
    - gfxmenu: Fix double free in load_image()
    - xnu: Fix double free in grub_xnu_devprop_add_property()
    - lzma: Make sure we don't dereference past array
    - term: Fix overflow on user inputs
    - udf: Fix memory leak
    - multiboot2: Fix memory leak if grub_create_loader_cmdline() fails
    - tftp: Do not use priority queue
    - relocator: Protect grub_relocator_alloc_chunk_addr() input args
      against integer underflow/overflow
    - relocator: Protect grub_relocator_alloc_chunk_align() max_addr against
      integer underflow
    - script: Remove unused fields from grub_script_function struct
    - CVE-2020-15706: script: Avoid a use-after-free when redefining a
      function during execution
    - relocator: Fix grub_relocator_alloc_chunk_align() top memory
      allocation
    - hfsplus: fix two more overflows
    - lvm: fix two more potential data-dependent alloc overflows
    - emu: make grub_free(NULL) safe
    - efi: fix some malformed device path arithmetic errors
    - Fix a regression caused by "efi: fix some malformed device path
      arithmetic errors"
    - update safemath with fallback code for gcc older than 5.1
    - efi: Fix use-after-free in halt/reboot path
    - linux loader: avoid overflow on initrd size calculation
  * CVE-2020-15707: linux: Fix integer overflows in initrd size handling
  * Apply overflow checking to allocations in Debian patches:
    - bootp: Fix integer overflow in parse_dhcp6_option
    - unix/config: Fix integer overflow in grub_util_load_config
    - deviceiter: Fix integer overflow in grub_util_iterate_devices

 -- Colin Watson <cjwatson@debian.org>  Wed, 29 Jul 2020 17:58:37 +0100

grub2 (2.04-8) unstable; urgency=medium

  [ Vincent Lefevre ]
  * Fix typos in /etc/grub.d/05_debian_theme. Closes: #959484

  [ Fabian Greffrath ]
  * Change font dependency to fonts-dejavu-core. Closes: #912846

  [ Colin Watson ]
  * Cherry-pick from upstream:
    - templates/20_linux_xen: Ignore xenpolicy and config files too.
    - templates/20_linux_xen: Support Xen Security Modules (XSM/FLASK).

  [ Ian Jackson ]
  * 20_linux_xen: Do not load XSM policy in non-XSM options (closes:
    #961673).

 -- Colin Watson <cjwatson@debian.org>  Sun, 07 Jun 2020 10:06:37 +0100

grub2 (2.04-7) unstable; urgency=medium

  [ Christian Göttsche ]
  * Create grub default configuration with default SELinux context.

  [ Steve McIntyre ]
  * In the signed packages, change the version dependency on
    grub-common to be >= and not =. This will allow for installation
    in unstable to still work in the window while we wait for the
    template package to do its second trip through the archive.
  * Tweak the build-dep architecture listing for libefiboot-dev and
    libefivar-dev. The linux-* wildcards don't work in the way
    expected, and were missing out (at least) armhf and armel.
    Closes: #958461

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 Apr 2020 14:52:13 +0100

grub2 (2.04-6) unstable; urgency=medium

  [ Romain Perier ]
  * Add f2fs module to signed UEFI images

  [ Steve McIntyre ]
  * Add jfs module to signed UEFI images. Closes: #950959

  [ Colin Watson ]
  * Drop mkconfig-mid-upgrade.patch; it was only needed for upgrades from
    GRUB 1.99 (now a long time ago) and can inappropriately hide problems
    when /etc/grub.d/00_header should have been updated but wasn't (closes:
    #953201).
  * Cherry-pick from upstream:
    - btrfs: Add support for new RAID1C34 profiles (closes: #958236).

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Apr 2020 01:03:08 +0100

grub2 (2.04-5) unstable; urgency=medium

  * Cherry-pick from upstream:
    - verifiers: Blocklist fallout cleanup (this was one cause of a build
      failure on hurd-i386, though may not be the only one).
  * Only recommend grub-efi-*-signed on the architectures where they exist.

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Dec 2019 15:48:45 +0000

grub2 (2.04-4) unstable; urgency=medium

  [ Thomas Gaugler ]
  * Add leading / to prefix of network boot image for d-i.

  [ Martin von Wittich ]
  * upgrade-from-grub-legacy: Set DPKG_MAINTSCRIPT_NAME and
    DPKG_MAINTSCRIPT_PACKAGE when calling grub-pc.postinst manually (closes:
    #943387).

  [ Colin Watson ]
  * Use policy-compliant architecture wildcards in libefiboot-dev and
    libefivar-dev build-dependencies.
  * Build with GCC 9 (closes: #944166).

 -- Colin Watson <cjwatson@debian.org>  Fri, 08 Nov 2019 10:58:30 +0000

grub2 (2.04-3) unstable; urgency=medium

  * Apply patch from James Clarke to fix BIOS Boot Partition support on
    sparc64 (closes: #931969).
  * Fix UEFI installation for Devuan (thanks, Ivan J.; closes: #932966).
  * Add probe module to signed UEFI images (closes: #936082).

 -- Colin Watson <cjwatson@debian.org>  Fri, 30 Aug 2019 13:50:41 +0100

grub2 (2.04-2) unstable; urgency=medium

  [ James Clarke ]
  * Only Build-Depend on libefiboot-dev and libefivar-dev on Linux
    architectures, since they're Linux-only.

  [ Colin Watson ]
  * Use debhelper-compat instead of debian/compat.
  * debian/apport/source_grub2.py:
    - Avoid star import.
    - Fix flake8 errors.
  * Run gentpl.py with python3.

 -- Colin Watson <cjwatson@debian.org>  Sat, 03 Aug 2019 13:42:49 +0100

grub2 (2.04-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/signing-key.asc: Add signing key of new upstream
    maintainer (Daniel Kiper).

 -- Colin Watson <cjwatson@debian.org>  Tue, 09 Jul 2019 11:48:01 +0100

grub2 (2.04~rc1-3) experimental; urgency=medium

  [ Will Thompson ]
  * Fix --disable-quiet-boot.

  [ Steve Langasek ]
  * If we don't have writable grubenv and we're on EFI, always show the menu
    (merged from Ubuntu).

  [ Steve McIntyre ]
  * Make all the signed EFI arches have a Recommends: from
    grub-efi-ARCH-signed to shim-signed, not just amd64.
    Closes: #931038
  * Add myself to Uploaders

  [ Colin Watson ]
  * Squash linuxefi* patches into a single patch.

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Jun 2019 08:51:37 +0100

grub2 (2.04~rc1-2) experimental; urgency=medium

  [ Colin Watson ]
  * debian/build-efi-images: Add tpm on x86_64-efi (thanks, Chris Coulson).

  [ Steve McIntyre ]
  * Add the ntfs module to signed UEFI images. Closes: #923855
  * Add the cpuid module to signed UEFI images. Closes: #928628
  * Add the play module to signed UEFI images. Closes: #930290
  * Add an extra di-specific version of the UEFI netboot image with a
    different baked-in prefix value. Helps to fix #928750.
  * Deal with --force-extra-removable with signed shim too. Closes: #930531

 -- Colin Watson <cjwatson@debian.org>  Sat, 15 Jun 2019 09:41:19 +0100

grub2 (2.04~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
    - getroot: Save/restore CWD more reliably on Unix (closes: #918700).
  * Rename patches to use "-" as a separator rather than "_" (except when
    referring to a file, function, or command containing a "_").
  * Fix format of debian/copyright.

 -- Colin Watson <cjwatson@debian.org>  Thu, 30 May 2019 16:56:05 +0100

grub2 (2.02+dfsg1-20) unstable; urgency=medium

  [ Steve McIntyre ]
  * Make all the signed EFI arches have a Recommends: from
    grub-efi-ARCH-signed to shim-signed, not just amd64.
    Closes: #931038
  * Add myself to Uploaders

 -- Steve McIntyre <93sam@debian.org>  Tue, 25 Jun 2019 10:11:12 +0100

grub2 (2.02+dfsg1-19) unstable; urgency=medium

  [ Colin Watson ]
  * Fix format of debian/copyright.

  [ Steve McIntyre ]
  * Add the ntfs module to signed UEFI images. Closes: #923855
  * Add the cpuid module to signed UEFI images. Closes: #928628
  * Add the play module to signed UEFI images. Closes: #930290
  * Add an extra di-specific version of the UEFI netboot image with a
    different baked-in prefix value. Helps to fix #928750.
  * Deal with --force-extra-removable with signed shim too. Closes: #930531

 -- Colin Watson <cjwatson@debian.org>  Fri, 14 Jun 2019 19:04:01 +0100

grub2 (2.02+dfsg1-18) unstable; urgency=medium

  * Apply patches from Alexander Graf to fix grub-efi-arm crash (closes:
    #927269):
    - arm: Move trampolines into code section
    - arm: Align section alignment with manual relocation offset code
  * Make grub2-common Breaks+Replaces grub-cloud-amd64 (<< 0.0.4) to work
    around that package shipping colliding configuration file names in
    stretch-backports (closes: #919915).
  * Apply patch from Peter Jones to forbid the "devicetree" command when
    Secure Boot is enabled (closes: #927888).

 -- Colin Watson <cjwatson@debian.org>  Sat, 04 May 2019 22:58:32 +0100

grub2 (2.02+dfsg1-17) unstable; urgency=medium

  * Make grub-efi-*-bin recommend efibootmgr.  We don't actually use it any
    more, but it's helpful for debugging.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Apr 2019 18:38:30 +0100

grub2 (2.02+dfsg1-16) unstable; urgency=medium

  * Fix -Wcast-align diagnostics on ARM.

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Mar 2019 23:28:17 +0000

grub2 (2.02+dfsg1-15) unstable; urgency=medium

  * Build-depend on libefiboot-dev and libefivar-dev, for EFI variable
    storage changes.
  * Drop now-unnecessary dependencies on efibootmgr.

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Mar 2019 09:56:35 +0000

grub2 (2.02+dfsg1-14) unstable; urgency=medium

  * Make signed packages depend on a matching version of grub-common, in an
    attempt to prevent incorrect testing migrations (closes: #924814).
  * Cherry-pick from upstream:
    - xfs: Accept filesystem with sparse inodes (closes: #924760).
  * Minimise writes to EFI variable storage (closes: #891434).

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Mar 2019 09:47:10 +0000

grub2 (2.02+dfsg1-13) unstable; urgency=medium

  * Add regexp module to signed UEFI images.
  * debian/signing-template.json.in: Use new extendable format.

  [ Debconf translations ]
  * [nb] Norwegian Bokmål (Petter Reinholdtsen; closes: #924326).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Mar 2019 10:33:24 +0000

grub2 (2.02+dfsg1-12) unstable; urgency=medium

  [ Colin Watson ]
  * Remove code to migrate grub-pc/install_devices to persistent device
    names under /dev/disk/by-id/.  This migration happened in
    1.98+20100702-1, which was in squeeze (four stable releases ago), so we
    no longer need to carry around this complex code.
  * Preserve previous answer to grub-pc/install_devices if we have to ask
    grub-pc/install_devices_disks_changed and the user chooses not to
    install to any devices, so that we can recover from temporary bugs that
    cause /dev/disk/by-id/ paths to change (closes: #919029).
  * debian/signing-template.json.in: Add trusted_certs key (empty, since
    GRUB has no hardcoded list of trusted certificates).
  * util: Detect more I/O errors (closes: #922741).

  [ Leif Lindholm ]
  * arm64/efi: Fix grub_efi_get_ram_base().

  [ Steve McIntyre ]
  * grub-install: Check for arm-efi as a default target (closes: #922104).

  [ James Clarke ]
  * osdep/freebsd: Fix partition calculation for EBR entries (closes:
    #923253).

 -- Colin Watson <cjwatson@debian.org>  Fri, 01 Mar 2019 12:34:45 +0000

grub2 (2.02+dfsg1-11) unstable; urgency=medium

  [ Colin Watson ]
  * Apply patches from Alexander Graf to set arm64-efi code offset to
    EFI_PAGE_SIZE (closes: #919012, LP: #1812317).
  * Upgrade to debhelper v10.
  * Set Rules-Requires-Root: no.
  * Add help and ls modules to signed UEFI images (closes: #919955).
  * Fix application of answers from dpkg-reconfigure to /etc/default/grub
    (based loosely on a patch by Steve Langasek, for which thanks; closes:
    #921702).

  [ Steve McIntyre ]
  * Make grub-efi-amd64-signed recommend shim-signed (closes: #919067).

  [ Jeroen Dekkers ]
  * Initialize keyboard in at_keyboard module init if keyboard is ready
    (closes: #741464).

  [ John Paul Adrian Glaubitz ]
  * Include a.out header in assembly of sparc64 boot loader (closes:
    #921249).

  [ Hervé Werner ]
  * Fix setup on Secure Boot systems where cryptodisk is in use (closes:
    #917117).

  [ Debconf translations ]
  * [de] German (Helge Kreutzmann and Holger Wansing; closes: #921018).

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Feb 2019 18:53:41 +0000

grub2 (2.02+dfsg1-10) unstable; urgency=medium

  * Apply patch from Heinrich Schuchardt (mentioned in #916695 though
    unrelated):
    - grub-core/loader/efi/fdt.c: do not copy random memory
  * Add luks modules to signed UEFI images (pointed out by Alex Griffin and
    Hervé Werner; closes: #908162, LP: #1565950).
  * Keep track of the previous version of /usr/share/grub/default/grub and
    set UCF_FORCE_CONFFOLD=1 when running ucf if it hasn't changed; ucf
    can't figure this out for itself since we apply debconf-based
    customisations on top of the template configuration file (closes:
    #812574, LP: #564853).
  * Backport Xen PVH guest support from upstream (closes: #776450).  Thanks
    to Hans van Kranenburg for testing.

 -- Colin Watson <cjwatson@debian.org>  Fri, 11 Jan 2019 15:24:20 +0000

grub2 (2.02+dfsg1-9) unstable; urgency=medium

  [ Colin Watson ]
  * Sync Maintainer/Uploaders in debian/signing-template/control.in with the
    main packaging.
  * Tell reportbug to submit bug reports against unsigned packages rather
    than generated signed packages.
  * Update Homepage, debian/copyright Source, and debian/watch to use HTTPS.
  * Move bash completions to /usr/share/bash-completion/completions/grub and
    add appropriate symlinks (closes: #912852).
  * Build with GCC 8 (closes: #915735).

  [ Leif Lindholm ]
  * Apply patch series (mostly) from upstream to switch the arm loader over
    to use the arm64 loader code and improve arm/arm64 initrd handling
    (closes: #907596, #909420, #915091).

  [ Matthew Garrett ]
  * Don't enforce Shim signature validation if Secure Boot is disabled.

 -- Colin Watson <cjwatson@debian.org>  Fri, 07 Dec 2018 10:38:37 +0000

grub2 (2.02+dfsg1-8) unstable; urgency=medium

  * Revise grub-<platform>-bin and grub-<platform> package descriptions to
    try to explain better how they fit together and which one should be used
    (based loosely on work by Justin B Rye, for which thanks; closes:
    #630224).
  * Skip flaky grub_cmd_set_date test (closes: #906470).
  * Work around bug in obsolete init-select package: add Conflicts/Replaces
    from grub-common, and take over /etc/default/grub.d/init-select.cfg with
    a no-op stub (thanks to Guillem Jover for the suggestion; closes:
    #863801).
  * Build-depend on dosfstools and mtools on non-Linux variants of
    i386/amd64/arm64 as well, to match debian/rules.
  * Cherry-pick from upstream:
    - i386/linux: Add support for ext_lfb_base (LP: #1785033).
  * Don't source /etc/default/grub.d/*.cfg in config maintainer scripts,
    since otherwise we incorrectly merge settings from there into
    /etc/default/grub (closes: #872637, LP: #1797894).
  * Add xfs module to signed UEFI images (closes: #911147, LP: #1652822).
  * Cope with / being on a ZFS root dataset (closes: #886178).

  [ Debconf translations ]
  * [sv] Swedish (Martin Bagge and Anders Jonsson; closes: #851964).

 -- Colin Watson <cjwatson@debian.org>  Mon, 29 Oct 2018 13:02:08 +0000

grub2 (2.02+dfsg1-7) unstable; urgency=medium

  * Move kernel maintainer script snippets into grub2-common (thanks,
    Bastian Blank; closes: #910959).
  * Add cryptodisk and gcry_* modules to signed UEFI images (closes:
    #908162, LP: #1565950).
  * Remove dh_builddeb override to use xz compression; this has been the
    default since dpkg 1.17.0.

 -- Colin Watson <cjwatson@debian.org>  Sat, 27 Oct 2018 13:06:32 +0100

grub2 (2.02+dfsg1-6) unstable; urgency=medium

  * Only build *-signed packages on their native architecture for now, since
    otherwise we end up with clashing source packages (closes: #906596).
  * Refer to source packages in Built-Using, not binary packages (closes:
    #907483).

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 Aug 2018 16:17:21 +0100

grub2 (2.02+dfsg1-5) unstable; urgency=medium

  [ Colin Watson ]
  * Change Maintainer to pkg-grub-devel@alioth-lists.debian.net, following
    Alioth lists migration.
  * Backport from upstream:
    - Use grub-file to figure out whether multiboot2 should be used for
      Xen.gz (closes: #898947).
    - x86-64: Treat R_X86_64_PLT32 as R_X86_64_PC32.
  * Fix some test failures:
    - Disable sercon in SeaBIOS.
    - Fix qemu options for UHCI test.

  [ Philipp Hahn ]
  * Disallow unsigned kernels if UEFI Secure Boot is enabled
    (patch by Linn Crosetto <linn@hpe.com>)
  * Add patch to fix lockdown mode
    (patch by Luca Boccassi <bluca@debian.org>)
  * Build monolithic EFI binaries for signing (closes: #851994)
  * Add template for signing monolithic EFI binaries
  * debian/build-efi-images: Use correct EFI vendor (closes: #769172)

  [ Luca Boccassi ]
  * template packages: install changelog and copyright
  * Override lintian error about template rules file
  * Add XB-Efi-Vendor metadata to efi-*-bin packages

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Jul 2018 13:33:23 +0100

grub2 (2.02+dfsg1-4) unstable; urgency=medium

  * Adjust restore_mkdevicemap.patch to fix format-overflow warning with GCC
    7 (the overflow was in fact impossible in practice, but GCC couldn't
    prove that).
  * Cherry-pick upstream patch to disable -Wformat-truncation on GCC >= 7 in
    printf_unit_test.
  * Build with GCC 7 (closes: #892397).

 -- Colin Watson <cjwatson@debian.org>  Sun, 01 Apr 2018 10:49:48 +0100

grub2 (2.02+dfsg1-3) unstable; urgency=medium

  * sparc64: Don't use devspec to determine the OBP path (closes: #854568).
  * ieee1275: Fix crash in of_path_of_nvme when of_path is empty (closes:
    #891773).
  * sparc64: Limit nvme of_path_of_nvme to just SPARC.

 -- Colin Watson <cjwatson@debian.org>  Fri, 02 Mar 2018 12:53:34 +0000

grub2 (2.02+dfsg1-2) unstable; urgency=medium

  * Build-depend on libparted-dev on powerpc and ppc64 (closes: #891070).
  * Add support for modern sparc64 hardware (thanks, Eric Snowberg via John
    Paul Adrian Glaubitz; closes: #854568).
  * Build without PIE on sparc and sparc64 (thanks, John Paul Adrian
    Glaubitz; closes: #891733).

 -- Colin Watson <cjwatson@debian.org>  Wed, 28 Feb 2018 12:03:49 +0000

grub2 (2.02+dfsg1-1) unstable; urgency=medium

  * Switch to tracking debian/grub-extras/ using "git subtree" rather than
    submodules.
  * Update debian/README.source for Salsa migration.
  * Use pkg-config to find FreeType (closes: #887721).
  * Change various binary packages' priorities to optional, since "Priority:
    extra" is now deprecated.
  * Repack upstream tarball without grub-core/lib/libgcrypt*/cipher/crc.c,
    and provide a replacement implementation backported from more recent
    versions of libgcrypt (closes: #745409).
  * Cherry-pick upstream patch to avoid -Werror=unused-value build failure
    (closes: #890431).
  * Handle the case where udevadm exists but is non-functional, as warned
    about by Lintian 2.5.75.

 -- Colin Watson <cjwatson@debian.org>  Sat, 17 Feb 2018 21:28:41 +0000

grub2 (2.02-3) unstable; urgency=medium

  * Use current location for upstream signing key
    (debian/upstream/signing-key.asc).
  * Update upstream signing key to a non-expired version.
  * Install bootinfo.txt and grub.chrp in grub-ieee1275-bin for ppc64, and
    install and use prep-bootdev on powerpc and ppc64 as well as ppc64el
    (thanks, John Paul Adrian Glaubitz; closes: #881730).
  * Cherry-pick upstream patch to change the default TSC calibration method
    to pmtimer on EFI systems (closes: #883193).
  * Move VCS to salsa.debian.org.
  * Consistently create /boot/grub in the postinst of all grub-<platform>
    packages (closes: #884883).

  [ Debconf translations ]
  * [sq] Albanian (Silva Arapi; closes: #874497).

 -- Colin Watson <cjwatson@debian.org>  Sat, 10 Feb 2018 03:00:30 +0000

grub2 (2.02-2) unstable; urgency=medium

  * Comment out debian/watch lines for betas and pre-releases for now.
  * Cherry-pick upstream patch to allow mounting ext2/3/4 file systems that
    have the 'encrypt' feature enabled (closes: #840204).

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Jul 2017 18:02:02 +0100

grub2 (2.02-1) unstable; urgency=medium

  * New upstream release.
    - xen: Fix wrong register in relocator (closes: #799480).
  * Resolve symlinks for supported init paths as well as for /sbin/init
    (thanks, Felipe Sateler; closes: #842315).

  [ Debconf translations ]
  * [sr] Serbian (Karolina Kalic; closes: #691288).
  * [sr@latin] Serbian Latin (Karolina Kalic; closes: #691289).
  * [pt] Portuguese (Rui Branco - DebianPT; closes: #864171).

 -- Colin Watson <cjwatson@debian.org>  Fri, 23 Jun 2017 13:47:39 +0100

grub2 (2.02~beta3-5) unstable; urgency=medium

  [ Steve McIntyre ]
  * Make grub-install check for errors from efibootmgr (closes: #853234).
    There are probably still underlying issues in other similar reported
    bugs, but they're more effectively tracked elsewhere (e.g. efibootmgr)
    at this point (closes: #756253, #852513).

  [ Debconf translations ]
  * [ug] Uyghur (Abduqadir Abliz).
  * [es] Spanish (Manuel "Venturi" Porras Peralta; closes: #852977).

 -- Colin Watson <cjwatson@debian.org>  Sat, 11 Feb 2017 15:09:19 +0000

grub2 (2.02~beta3-4) unstable; urgency=medium

  [ Colin Watson ]
  * Drop build-dependency on libxen-dev, unnecessary now that upstream has
    taken a copy of the necessary public headers.
  * Ensure that build-efi-images has a suitable PATH for running mkfs.msdos
    (thanks, Luca Boccassi; closes: #852001).

  [ dann frazier ]
  * Add grub2/update_nvram template to allow users to disable NVRAM
    updates during package upgrades (LP: #1642298).

  [ Debconf translations ]
  * [ro] Romanian (Andrei POPESCU).
  * [kk] Kazakh (Baurzhan Muftakhidinov).
  * [lt] Lithuanian (Rimas Kudelis).
  * [th] Thai (Theppitak Karoonboonyanan).
  * [sl] Slovenian (Vanja Cvelbar).
  * [pl] Polish (Łukasz Dulny).
  * [eu] Basque (Iñaki Larrañaga Murgoitio; closes: #851981).
  * [bg] Bulgarian (Damyan Ivanov; closes: #852024).
  * [de] German (Helge Kreutzmann; closes: #852027).
  * [vi] Vietnamese (Trần Ngọc Quân).
  * [ko] Korean (Changwoo Ryu; closes: #852061).
  * [ru] Russian (Yuri Kozlov; closes: #852064).
  * [tr] Turkish (Mert Dirik).
  * [it] Italian (Luca Monducci; closes: #852073).
  * [cs] Czech (Miroslav Kure; closes: #852189).
  * [be] Belarusian (Viktar Siarheichyk; closes: #852286).
  * [eo] Esperanto (Felipe Castro).
  * [uk] Ukrainian (Yatsenko Alexandr).
  * [pt_BR] Brazilian Portuguese (Adriano Rafael Gomes; closes: #852325).
  * [hr] Croatian (Tomislav Krznar).
  * [ca] Catalan (Innocent De Marchi; closes: #852331).
  * [fr] French (Baptiste Jammet; closes: #852341).
  * [da] Danish (Joe Hansen; closes: #852349).
  * [nl] Dutch (Frans Spiesschaert; closes: #852403).

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 Jan 2017 11:39:45 +0000

grub2 (2.02~beta3-3) unstable; urgency=medium

  [ Chad MILLER ]
  * Signal to zpool that it should emit full names of constituent devices
    (closes: #824974, LP: #1527727).

  [ Mathieu Trudel-Lapierre ]
  * Fix support for IPv6 PXE booting under UEFI (LP: #1229458):
    - misc-fix-invalid-char-strtol.patch: fix strto*l methods invalid chars.
    - net_read_bracketed_ipv6_addr.patch: read bracketed IPv6 addresses.
    - bootp_new_net_bootp6_command.patch: add new bootp6 commands.
    - efinet_uefi_ipv6_pxe_support.patch: teach efinet to allow bootp6.
    - bootp_process_dhcpack_http_boot.patch: process DHCPACK, support HTTP.
    - efinet_set_network_from_uefi_devpath.patch: configure network from the
      devpath provided by the UEFI firmware.
    - efinet_set_dns_from_uefi_proto.patch: set DNS nameservers and search
      domains from the UEFI protocol.
  * debian/patches/install_signed.patch: update patch for the new names of
    the EFI binaries from shim.
  * debian/control: Breaks shim (<< 0.9+1474479173.6c180c6-0ubuntu1~) due to
    the renamed binaries in the new shim.
  * debian/postinst.in: call on to update-secureboot-policy on configure to
    make sure users can disable shim validation if necessary.
  * debian/build-efi-images: add loopback and squash4 modules to the signed
    EFI images.

 -- Colin Watson <cjwatson@debian.org>  Tue, 01 Nov 2016 11:10:52 +0000

grub2 (2.02~beta3-2) unstable; urgency=medium

  * debian/watch: Switch URL scheme to HTTP.
  * Fix operator precedence in GRUB_DEVICE UUID tests (closes: #841680,
    #841741).

 -- Colin Watson <cjwatson@debian.org>  Mon, 31 Oct 2016 10:24:02 +0000

grub2 (2.02~beta3-1) unstable; urgency=medium

  [ Colin Watson ]
  * New upstream beta release.
  * syslinux_test: Fix out-of-tree build handling.
  * Drop "grub-shell: Pass -no-pad to xorriso when building floppy images".
    The floppy images built by grub-shell are no longer over the floppy
    limit, and this patch now itself causes fddboot_test failures.
  * Build with GCC 6 (closes: #835964).
  * linuxefi.patch: Adjust for libgcc removal.
  * Apply openSUSE patch to accept empty modules for now so that Xen builds
    work.

  [ Debconf translations ]
  * [ja] Japanese (Takuma Yamada; closes: #815203, #817084).

  [ Martin Pitt ]
  * debian/grub-common.init: Don't source /lib/init/vars.sh, we don't depend
    on initscripts (and don't want to). There is no reason why we would not
    use the LSB log_action_msg in non-verbose (default) mode, most other
    packages use it unconditionally (closes: #824875, LP: #1584134).

  [ Steve Beattie ]
  * debian/rules: Disable PIE builds for GRUB modules (closes: #837493).

 -- Colin Watson <cjwatson@debian.org>  Sun, 16 Oct 2016 10:46:46 +0100

grub2 (2.02~beta2-36) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-Git URL.
  * Add zfs, zfscrypt, and zfsinfo to signed EFI images (LP: #1542358).

  [ Martin Pitt ]
  * debian/postinst.in, debian/kernel/zz-update-grub: Call
    systemd-detect-virt (which works under any init system, despite the
    name) instead of the Ubuntu specific running-in-container wrapper.
    (LP: #1539016)

 -- Colin Watson <cjwatson@debian.org>  Fri, 05 Feb 2016 15:41:05 +0000

grub2 (2.02~beta2-35) unstable; urgency=medium

  * Apply the arm64 -mpc-relative-literal-loads workaround in configure
    rather than in debian/rules, to cope with toolchains that don't have the
    relevant patch applied.

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Jan 2016 11:02:10 +0000

grub2 (2.02~beta2-34) unstable; urgency=medium

  [ Colin Watson ]
  * Remove duplicate Replaces on grub-ieee1275 (<< 2.00-4) from
    grub2-common.
  * Refer to /usr/share/common-licenses/GPL-3 rather than
    /usr/share/common-licenses/GPL.
  * Cherry-pick upstream patches to add more ACPI opcodes to acpihalt
    (closes: #766853, LP: #1530648).
  * Drop build-dependency on libusb-dev, since it was currently unused in
    any case; also explicitly configure with --disable-grub-emu-usb to avoid
    possible future ambiguity (closes: #810421).
  * Use dpkg-maintscript-helper to convert directories to symlinks in
    various upgrade cases, in place of hand-coded equivalents.
  * Change versioned Conflicts from grub-common and grub2-common into Breaks
    or Breaks+Replaces as appropriate.
  * Remove pragmas related to -Wunreachable-code (closes: #812047).
  * Temporarily work around arm64 build failure with gcc-5 >= 5.3.1-4 using
    -mpc-relative-literal-loads.
  * Backport various ZFS improvements from trunk (closes: #706415, #772797;
    LP: #1451476, #1530457).

  [ Didier Roche ]
  * Use new plymouth theme path to set grub theme configuration.

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Jan 2016 10:03:00 +0000

grub2 (2.02~beta2-33) unstable; urgency=high

  [ Mathieu Trudel-Lapierre ]
  * Cherry-picks to better handle TFTP timeouts on some arches: (LP: #1521612)
    - (7b386b7) efidisk: move device path helpers in core for efinet
    - (c52ae40) efinet: skip virtual IP devices when enumerating cards
    - (f348aee) efinet: enable hardware filters when opening interface

  [ Lee Trager ]
  * Add raid5rec and raid6rec to signed EFI images (closes: #807385).

  [ Colin Watson ]
  * CVE-2015-8370: Fix authentication bypass via backspace integer underflow
    (closes: #808122).

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Dec 2015 09:46:22 +0000

grub2 (2.02~beta2-32) unstable; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Cherry-pick patch to add SAS disks to the device list from the ofdisk
    module. (LP: #1517586)

  [ dann frazier ]
  * Cherry-pick patch to open Simple Network Protocol exclusively.
    (LP: #1508893)

  [ Linn Crosetto ]
  * Install arm64 signed images if UEFI Secure Boot is enabled (closes:
    #806178).

 -- Colin Watson <cjwatson@debian.org>  Wed, 25 Nov 2015 16:07:21 +0000

grub2 (2.02~beta2-31) unstable; urgency=medium

  * Cherry-pick upstream patch to fix XFS alignment treatment.
  * Cherry-pick upstream patch to fix XFS handling of symlink with
    crc-enabled filesystem.

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Nov 2015 15:08:03 +0000

grub2 (2.02~beta2-30) unstable; urgency=medium

  [ dann frazier ]
  * arm64/setjmp: Add missing license macro. (LP: #1459871)

  [ Colin Watson ]
  * Cherry-pick upstream patches for XFS v5 support (closes: #772565).

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Nov 2015 12:30:27 +0000

grub2 (2.02~beta2-29) unstable; urgency=medium

  [ Linn Crosetto ]
  * Clean up docs, mpi, and other files (closes: #798607).

  [ dann frazier ]
  * progress: avoid NULL dereference for net files. (LP: #1459872)

 -- Colin Watson <cjwatson@debian.org>  Tue, 13 Oct 2015 23:36:46 +0100

grub2 (2.02~beta2-28) unstable; urgency=medium

  * Reduce the CFLAGS -O3 default on Ubuntu ppc64el to -O2; it introduces
    various -Werror failures and isn't worth it here.

 -- Colin Watson <cjwatson@debian.org>  Sun, 06 Sep 2015 01:25:56 +0100

grub2 (2.02~beta2-27) unstable; urgency=medium

  [ Felix Zielcke ]
  * Remove Robert Millan from Uploaders with his permission. Thanks for
    all the work he did for GRUB 2!
  * Stop forcing gcc-4.9 for building.
  * Update to Policy 3.9.6.
  * Update the Browser URL for our git repository.
  * Use dpkg-buildflags at least for the host binaries.
  * Simplify Build-Depends.

  [ Colin Watson ]
  * Go back to forcing a particular compiler version, but this time gcc-5.
    The reason for this is that new compiler versions often make slight
    changes to the size of compiled code which break delicate parts of GRUB,
    and we want to make sure that we test newer versions before switching to
    them.
  * Make builds that are not limited to architecture-dependent packages
    (i.e. dpkg-buildpackage -b) work on non-x86 architectures (closes:
    #744954).

  [ Mathieu Trudel-Lapierre ]
  * debian/build-efi-images: Look for grub.cfg in $cmdpath too in
    gcdx64.efi, to simplify embedded scenarios: putting a grub.cfg snippet
    that loads the right "real" grub.cfg can be useful. (LP: #1468111)
  * debian/patches/uefi_firmware_setup.patch: Take into account that the
    UEFI variable OsIndicationsSupported is a bit field, and as such should
    be compared as hex values in 30_uefi-firmware.in. (LP: #1456911)
  * Update quick boot logic to handle abstractions for which there is no
    write support. (LP: #1274320)

  [ dann frazier ]
  * d/p/arm64-set-correct-length-of-device-path-end-entry.patch: Fixes
    booting arm64 kernels on certain UEFI implementations. (LP: #1476882)

  [ Debconf translations ]
  * [lv] Latvian (Rudolfs Mazurs; closes: #777648).

 -- Colin Watson <cjwatson@debian.org>  Fri, 04 Sep 2015 12:35:59 +0100

grub2 (2.02~beta2-26) unstable; urgency=medium

  [ William Grant ]
  * Fix linuxefi module to be included on x86_64-efi rather than amd64-efi.
    amd64-efi isn't a thing. (LP: #1464959)

  [ Steven Chamberlain ]
  * Recognise Xen xbd and KVM virtio disks on kFreeBSD (closes: #786621).

 -- Colin Watson <cjwatson@debian.org>  Sun, 14 Jun 2015 10:02:19 +0100

grub2 (2.02~beta2-25) unstable; urgency=medium

  * Build-depend on dosfstools and mtools on arm64 as well as amd64.

 -- Colin Watson <cjwatson@debian.org>  Fri, 12 Jun 2015 12:29:19 +0100

grub2 (2.02~beta2-24) unstable; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Fix handling of --disk-module option (cherry-pick from fa335308).
    (Closes: #746596, LP: #1309735)
  * Fix double-free of LV names for mdraid (cherry-pick from fc535b32).
    (LP: #1330963)

  [ dann frazier ]
  * Build image tarball on arm64
  * Only include linuxefi module in images for amd64. This module doesn't
    exist on other platforms like arm64, where GRUB chainloads to the kernel
    EFI stub.

  [ Paulo Flabiano Smorigo ]
  * powerpc: Add a flag to avoid unnecessary optimizations (like vsx)
    (LP: #1459706).

 -- Colin Watson <cjwatson@debian.org>  Thu, 11 Jun 2015 17:08:09 +0100

grub2 (2.02~beta2-23) unstable; urgency=medium

  [ Debconf translations ]
  * [da] Danish (Joe Dalton; closes: #781333).

  [ Felix Zielcke ]
  * Run the tests with LC_MESSAGES=C.UTF-8. Some tests fail with non
    english locale. (Closes: #782580)

  [ Mathieu Trudel-Lapierre ]
  * Backport from upstream:
    - arp, icmp: Fix handling in case of oversized or invalid packets.
      (LP: #1428005)

  [ Robie Basak ]
  * Change the default GRUB_RECORDFAIL_TIMEOUT to 30, so interactive users
    still get the opporunity to intervene after a real boot failure, but
    headless users will not end up stuck after boot failures that were
    really power failures (closes: #782552, LP: #1443735).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 May 2015 16:18:33 +0100

grub2 (2.02~beta2-22) unstable; urgency=medium

  * Make grub-common's Suggests on grub-emu architecture-specific, to
    quieten debcheck.
  * Remove unnecessary feature test macros from hostfs, to fix building with
    glibc 2.20.
  * Backport from upstream:
    - Fix UEFI boot failure with some firmware that returns incorrect paths
      (closes: #735960).

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 Mar 2015 15:30:15 +0000

grub2 (2.02~beta2-21) unstable; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Fix overlap check in check_blocklists for load_env (backported patch
    from upstream commit 1f6af2a9; LP: #1311247).

  [ Steve McIntyre ]
  * Add support for running a 64-bit Linux kernel on a 32-bit EFI (closes:
    #775202).

  [ Colin Watson ]
  * Use mtmsr rather than mtmsrd in ppc64el-disable-vsx.patch, since the
    "VSX Available" bit is in the lower half of the MSR anyway, and mtmsrd
    faults on 32-bit systems (closes: #776400).

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Jan 2015 20:37:04 +0000

grub2 (2.02~beta2-20) unstable; urgency=medium

  [ Colin Watson ]
  * Generate alternative init entries in advanced menu (closes: #757298,
    #773173).
  * When configuring grub-pc, copy unicode.pf2 to /boot/grub/ even if
    /boot/grub/grub.cfg does not exist yet; this matches the behaviour of
    grub-efi-* (thanks, Luca Capello; closes: #617196).

  [ Debconf translations ]
  * [fi] Finnish (Timo Jyrinki; closes: #774060).
  * [mr] Marathi (sampada nakhare; closes: #773901).

 -- Colin Watson <cjwatson@debian.org>  Sat, 03 Jan 2015 12:39:52 +0000

grub2 (2.02~beta2-19) unstable; urgency=medium

  [ Steve McIntyre ]
  * Handle case insensitivity of VFAT filesystem on /boot/EFI when installing
    extra cpoy of grub-efi to the removable media path
    /boot/efi/EFI/BOOT/BOOT$ARCH.EFI (Closes: #773092)
  * Make the force_efi_extra_removable debconf prompt only show up when
    configuring grub-*efi*. Closes: #773004

  [ Ian Campbell ]
  * Improvements to English wording of new debconf template from Justin B Rye.
  * Add debian/README.source.

  [ Debconf translations ]
  * [eu] Basque (Iñaki Larrañaga Murgoitio, Closes: #772946)
  * [be] Belarusian (Viktar Siarheichyk, Closes: #773054)
  * [pt_BR] Brazilian Portuguese (Adriano Rafael Gomes, Closes: #773682)
  * [bg] Bulgarian (Damyan Ivanov, Closes: #772878)
  * [cs] Czech (Miroslav Kure, Closes: #772924)
  * [nl] Dutch (Frans Spiesschaert, Closes: 773637)
  * [eo] Esperanto (Felipe Castro, Closes: #773096)
  * [fi] Finnish (Timo Jyrinki, Closes: #772921)
  * [fr] French (Christian PERRIER, Closes: #772771)
  * [de] German (Martin Eberhard Schauer, Closes: #773664)
  * [el] Greek (Panagiotis Georgakopoulos, Closes: #773068)
  * [he] Hebrew (Omer Zak, Closes: #773377)
  * [is] Icelandic (Sveinn í Felli, Closes: #772922)
  * [it] Italian (Luca Monducci, Closes: #773553)
  * [kk] Kazakh (Baurzhan Muftakhidinov, Closes: #772916)
  * [lt] Lithuanian (Rimas Kudelis, Closes: #773060)
  * [pl] Polish (Łukasz Dulny, Closes: #772930)
  * [ro] Romanian (Andrei POPESCU, Closes: #773349)
  * [ru] Russian (Yuri Kozlov, Closes: #773211)
  * [sl] Slovenian (Vanja Cvelbar, Closes: #773508)
  * [es] Spanish (Manuel "Venturi" Porras Peralta, Closes: #773222)
  * [sv] Swedish (Martin Bagge & Anders Jonsson, Closes: 773208)
  * [th] Thai (Theppitak Karoonboonyanan, Closes: #773160)
  * [zh_TW] Traditional Chinese (Vincent W. Chen, Closes: #773418)
  * [tr] Turkish (Mert Dirik, Closes: #773666)

 -- Ian Campbell <ijc@debian.org>  Mon, 22 Dec 2014 11:55:33 +0000

grub2 (2.02~beta2-18) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add support for forcing an extra copy of grub-efi to the removable
    media path /boot/efi/EFI/BOOT/BOOT$ARCH.EFI (#767037)

  [ Ian Campbell ]
  * Add myself to Uploaders.

 -- Ian Campbell <ijc@debian.org>  Mon, 08 Dec 2014 08:38:38 +0000

grub2 (2.02~beta2-17) unstable; urgency=medium

  [ Colin Watson ]
  * Fix up some pointer-to-integer casts in linuxefi so that it can build on
    i386-efi.
  * Backport from upstream:
    - Fix typo (gettext_print instead of gettext_printf) (LP: #1390766).

  [ Ian Campbell ]
  * Correct syntax error in grub-xen-host bootstrap configuration file.
  * Log failure when grub-install fails in postinst, rather than failing the
    entire postinst. (Closes: #770412)
  * Arrange to insmod xzio and lzopio when booting a kernel as a Xen guest.
    (Closes: #755256)

 -- Ian Campbell <ijc@debian.org>  Sun, 30 Nov 2014 17:15:21 +0000

grub2 (2.02~beta2-16) unstable; urgency=medium

  [ Ian Campbell ]
  * Provide prebuilt grub-xen binaries for host use in a new grub-xen-host
    package.
  * Build/Install binaries into /boot/xen when installing grub-xen.

 -- Ian Campbell <ijc@debian.org>  Thu, 06 Nov 2014 13:32:01 +0000

grub2 (2.02~beta2-15) unstable; urgency=medium

  * Disable nvram installation again on chrp_ibm machines that are emulated
    by qemu; that doesn't have nvram devices so the nvram utility inevitably
    fails.

 -- Colin Watson <cjwatson@debian.org>  Wed, 15 Oct 2014 21:34:02 +0100

grub2 (2.02~beta2-14) unstable; urgency=medium

  * On architectures without a real GRUB port, just build the utilities.
    This makes tools such as grub-probe and grub-fstest available
    everywhere, and makes grub-mount available on all Linux and kFreeBSD
    architectures.
  * Remove .MIPS.abiflags section from images (thanks, Jurica Stanojkovic,
    although I used a slightly simpler approach; closes: #762307).
  * Include a text attribute reset in the clear command for ppc
    (LP: #1295255).
  * Disable VSX instruction on powerpc startup to fix booting on ppc64el.
  * Stop adding a CHRP note on chrp_ibm machines, since that apparently
    breaks PowerVM and isn't needed on other machine types as far as we can
    tell (LP: #1334793).
  * Refactor flicker-free-boot configuration in debian/rules to reduce
    duplication.
  * Disable flicker-free-boot on Ubuntu ppc64el for now, as it isn't needed
    there and causes too many problems (LP: #1338471).
  * Use nvram rather than nvsetenv on chrp_ibm machines, since that tool is
    better-supported and copes with such things as nvram being missing in
    qemu.
  * Remove brace-expansion from the postrm, and switch the preinst and
    postrm to /bin/sh (closes: #762940).
  * On ppc64el, look for a PReP partition and install the core image to the
    first one if found.  For now this is done by borrowing prep-bootdev.c
    from grub-installer, incurring a dependency on libparted.

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Sep 2014 18:05:15 +0100

grub2 (2.02~beta2-13) unstable; urgency=medium

  * Drop gcc-4.9-multilib build-dependency on ppc64el again.

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 Sep 2014 20:30:31 +0100

grub2 (2.02~beta2-12) unstable; urgency=medium

  [ Colin Watson ]
  * Point Vcs-* fields back at master.
  * Support grub-emu on x32 (closes: #760428).
  * Adjust packaging for x32:
    - Build-depend on cpio on x32 as well.
    - Make grub-efi-ia32-bin and grub-efi-amd64-bin depend on efibootmgr on
      any Linux architecture for which they are built (in practice, adding
      x32).
    - Build grub-mount-udeb on x32 as well.
    - Add Lintian binary-from-other-architecture overrides where
      appropriate.
  * Apply patches from Paulo Flabiano Smorigo to allow building a 32-bit
    big-endian loader on ppc64el using -m32 -mbig-endian, replacing the
    cross-compiler hack.

  [ Ian Campbell ]
  * Add dependency on efibootmgr to grub-efi-{arm,arm64}-bin.

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 Sep 2014 15:19:26 +0100

grub2 (2.02~beta2-11) unstable; urgency=medium

  * Force grub-pc/mixed_legacy_and_grub2 to be reshown, rather than failing
    when it was already seen (closes: #749571).
  * Build with GCC 4.9 (closes: #748003).
  * Build for sparc64 (closes: #753784).
  * Fix an infinite loop in grub-mkconfig when kernel paths contain regex
    metacharacters.  Thanks to Heimo Stranner for the report.
  * On upgrade, if we find that one of the install devices no longer exists,
    ask the debconf question at priority critical rather than high.

 -- Colin Watson <cjwatson@debian.org>  Thu, 24 Jul 2014 09:11:31 +0100

grub2 (2.02~beta2-10) unstable; urgency=medium

  [ Colin Watson ]
  * Add the true module to the signed image, since 05_debian_theme uses it.
    Thanks to Dimitri John Ledkov for the report.
  * Limit test suite parallelisation to 1; the test suite seems to have some
    isolation problems at higher levels at the moment (closes: #746856).
  * Simplify override_dh_install a bit.
  * Backport patches from upstream to make the network stack more responsive
    on busy networks (LP: #1314134).

  [ Dimitri John Ledkov ]
  * Add support for nvme device in grub-mkdevicemap (closes: #746396,
    LP: #1275162).

  [ Debconf translations ]
  * Korean (Changwoo Ryu, closes: #745559).

 -- Colin Watson <cjwatson@debian.org>  Thu, 08 May 2014 11:13:48 +0100

grub2 (2.02~beta2-9) unstable; urgency=medium

  * Backport from upstream:
    - Tolerate devices with no filesystem UUID returned by os-prober
      (LP: #1287436).

 -- Colin Watson <cjwatson@debian.org>  Thu, 10 Apr 2014 17:34:44 +0100

grub2 (2.02~beta2-8) unstable; urgency=medium

  [ Colin Watson ]
  * Backport from upstream:
    - ieee1275: check for IBM pseries emulated machine.
    - Fix partmap, cryptodisk, and abstraction handling in grub-mkconfig
      (closes: #735935).
    - btrfs: fix get_root key comparison failures due to endianness.
  * Build-depend on automake (>= 1.10.1) to ensure that it meets configure's
    requirements (LP: #1299041).
  * When installing an image for use with UEFI Secure Boot, generate a
    load.cfg even if there are no device abstractions in use (LP: #1298399).

  [ Jon Severinsson ]
  * Add Tanglu support, as in Debian except:
    - Enable splash screen by default (as Ubuntu)
    - Enable quiet and quick boot (as Ubuntu)
    - Enable the grub-common init script (as Ubuntu)
    - Enable dynamic gfxpayload (as Ubuntu)
    - Enable vt handover (as Ubuntu)
    - Use monochromatic theme by default (as Ubuntu)
    - Use Tanglu GRUB wallpaper by default.

 -- Colin Watson <cjwatson@debian.org>  Mon, 31 Mar 2014 16:30:37 +0100

grub2 (2.02~beta2-7) experimental; urgency=medium

  * Fix shift-held-down test not to clear other modifier key states
    (LP: #843804).
  * Explicitly pass an appropriate --target to grub-install in the postinst
    (suggested by Jordan Uggla).
  * Backport from upstream:
    - Use bootaa64.efi instead of bootaarch64.efi on arm64 to comply with
      EFI specification.  Also use grubaa64.efi for consistency.

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Mar 2014 13:39:33 +0000

grub2 (2.02~beta2-6) experimental; urgency=medium

  * Install bootinfo.txt and grub.chrp into grub-ieee1275-bin on powerpc and
    ppc64el.
  * Port yaboot logic to improve installation for various powerpc machine
    types.
  * Improve parsing of /etc/default/grub.d/*.cfg in C utilities
    (LP: #1273694).
  * Run grub-install on install or upgrade on grub-ieee1275/ppc64el.

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 Jan 2014 23:50:55 +0000

grub2 (2.02~beta2-5) experimental; urgency=medium

  * Add a number of EFI debugging commands to the signed image (lsefi,
    lsefimmap, lsefisystab, lssal).
  * Add gfxterm_background to the signed image so that background_image
    works in UEFI Secure Boot mode.  Thanks to syscon-hh for the report.

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 Jan 2014 10:03:00 +0000

grub2 (2.02~beta2-4) experimental; urgency=medium

  * Remove redundant build-dependencies on autoconf and automake, covered by
    dh-autoreconf.
  * In --enable-quick-boot mode, restore previous behaviour of using a
    hidden timeout if GRUB_HIDDEN_TIMEOUT=0 (thanks to Sebastien Bacher for
    the report).
  * Disable cpio test on kFreeBSD again for now; it fails within cpio itself
    with "field width not sufficient for storing rdev minor".
  * Copy shim.efi.signed to the correct path in UEFI Secure Boot mode.
    Thanks to syscon-hh for the report.

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Jan 2014 15:53:36 +0000

grub2 (2.02~beta2-3) experimental; urgency=medium

  * Pass VERBOSE=1 when running tests so that Automake will print test logs
    on failure.
  * Adjust Vcs-* fields to indicate the experimental branch.
  * Build-depend on cpio on architectures where we run the test suite, for
    tests/cpio_test.in.
  * Ignore EPERM when modifying kern.geom.debugflags on FreeBSD, fixing
    tests.

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 Jan 2014 10:50:40 +0000

grub2 (2.02~beta2-2) experimental; urgency=medium

  * Convert patch handling to git-dpm.
  * Add bi-endian support to ELF parser (Tomohiro B Berry).
  * Adjust restore_mkdevicemap.patch to mark get_kfreebsd_version as static,
    to appease "gcc -Werror=missing-prototypes".
  * Cherry-pick from upstream:
    - Change grub-macbless' manual page section to 8.
  * Install grub-glue-efi, grub-macbless, grub-render-label, and
    grub-syslinux2cfg.
  * grub-shell: Pass -no-pad to xorriso when building floppy images.

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 Jan 2014 15:18:04 +0000

grub2 (2.02~beta2-1) experimental; urgency=low

  * New upstream beta release.
  * Drop qemu-utils build-dependency; the test suite no longer uses
    qemu-img.
  * Build grub-common, grub2-common, grub-themes-starfield, and grub-mount
    on ARM and ARM64 architectures.
  * Install grub-mkrescue in grub-common on all architectures.
  * Make grub-efi-ia32, grub-efi-amd64, and grub-efi-ia64 conflict with
    elilo.
  * Adjust the postinst of grub-efi-ia64, grub-efi-arm, and grub-efi-arm64
    to keep the EFI System Partition up to date with grub-install after it
    has been run once, like grub-efi-ia32 and grub-efi-amd64 already do.
  * Regularise indentation of "recordfail" in /etc/grub.d/10_linux.
  * Add alpha.gnu.org to debian/watch, for pre-releases.
  * Add OpenPGP signature checking configuration to watch file.
  * Drop mkconfig_skip_dmcrypt.patch; it breaks GRUB_ENABLE_CRYPTODISK=y,
    which is a better fix for the original problem (closes: #732245).
  * Fix mismerge of mkconfig_loopback.patch.
  * Build for ppc64el, using a powerpc cross-compiler at least for now.
  * Don't run gettext_strings_test; this test is mainly useful as an
    upstream maintenance check.
  * Silence warning if /usr/share/locale-langpack does not exist (closes:
    #732595).
  * Remove debian/grub-common.preinst, superseded by .maintscript files.
  * Install grub-file in grub-common.
  * Fix crash due to pointer confusion in grub-mkdevicemap, introduced while
    converting away from nested functions in 2.00+20131208-1.

 -- Colin Watson <cjwatson@debian.org>  Thu, 26 Dec 2013 00:52:47 +0000

grub2 (2.00+20131208-1) experimental; urgency=low

  * New upstream snapshot.
    - Skip issuing cursor on/off sequences on Macs (closes: #683068).
    - Move grub-mknetdir to /usr/bin (closes: #688799).
    - Apply program name transformations at build-time rather than at
      run-time (closes: #696465).
    - Add info documentation for grub-mount (closes: #666427).
    - Clean up dangling references to grub-setup (LP: #1082045).
    - Avoid installing to sectors matching the signature of an Acer
      registration utility with several sightings in the wild (LP: #987022).
    - Document the need for GRUB_DEFAULT=saved in grub-set-default(8)
      (LP: #1102925).
    - Fix missing PVs if they don't contain an "interesting" LV (probably
      closes: #650724, #707613).
    - Reimplement grub-reboot to not depend on saved_entry (closes: #707695,
      LP: #704406).
    - Fix Ctrl-u handling to copy the killed characters to the kill buffer
      as UCS4 stored as grub_uint32_t rather than as 8-bit characters stored
      as char (closes: #710076).
    - Fix inconsistent use of GRUB_CRYPTODISK_ENABLE and
      GRUB_ENABLE_CRYPTODISK (LP: #1232237).
    - Support GRUB_DISABLE_SUBMENU configuration, and document submenu usage
      in grub-reboot(8) (closes: #690538).
    - Don't decompress initrd when booting with Xen (closes: #700197).
    - Document how to delete the whole environment block (closes: #726265).
    - Revamp hidden timeout handling by adding a new timeout_style
      environment variable and a corresponding GRUB_TIMEOUT_STYLE
      configuration key for grub-mkconfig.  This controls hidden-timeout
      handling more simply than the previous arrangements, and pressing any
      hotkeys associated with menu entries during the hidden timeout will
      now boot the corresponding menu entry immediately (LP: #1178618).  As
      part of merging this, radically simplify the mess that
      quick_boot.patch had made of /etc/grub.d/30_os-prober; if it finds
      other OSes it can now just set timeout_style=menu and make sure the
      timeout is non-zero.
    - On Linux, read partition start offsets from sysfs if possible
      (LP: #1237519).
    - New ports to arm-uboot, arm-efi, arm64-efi, i386-xen, and x86_64-xen.
  * Add grub-uboot*, grub-efi-arm*, and grub-xen* binary packages.
  * Ignore functional test failures for now as they are broken.
  * Move working directories around (build/<package> -> obj/<package>,
    build/stamps -> debian/stamps) so that "debian/rules build" still works
    after working directories have been created.
  * Drop "grub-mkrescue --diet" option; never merged upstream and only
    matters for floppies.  Please let me know if you were using this.
    Explicitly use -no-pad to build grub-rescue-floppy.img, which has an
    equivalent effect on size.
  * Break lupin-support (<< 0.55) due to the rewrite of grub-install in C.
  * Remove build-dependency on autogen, no longer needed.
  * Compress GRUB files on grub-rescue-floppy.img using xz.
  * Build-depend on wamerican, newly required by the test suite.
  * Run tests with LC_CTYPE=C.UTF-8, so that grub-fs-tester can handle UTF-8
    data correctly.
  * Update debian/legacy/update-grub to the version from grub 0.97-67.
  * Silence error message on initial installation when /etc/default/grub
    does not yet exist.
  * Add GRUB_RECOVERY_TITLE option, to allow the controversial "recovery
    mode" text to be customised (LP: #1240360).

 -- Colin Watson <cjwatson@debian.org>  Mon, 09 Dec 2013 00:21:45 +0000

grub2 (2.00-20) unstable; urgency=low

  * Backport from upstream:
    - Sort gnumach kernels in version order (closes: #725451).
  * Move packaging to git, following upstream.  Adjust Vcs-* fields.
  * Remove obsolete DM-Upload-Allowed field.
  * Merge (completely!) from Ubuntu:
    - Handle probing striped DM-RAID devices (thanks, Robert Collins;
      LP: #803658).
    - Unconditionally create grub.cfg on our EFI boot partition in Secure
      Boot mode; GRUB always needs some configuration in this case to find
      /boot/grub, since we can't modify the signed image at install time
      (Steve Langasek, LP: #1236625).
    - If MokManager is present on the host system, copy it onto the EFI boot
      partition for use (Steve Langasek).
    - Adjust UEFI installation to cope with Kubuntu setting GRUB_DISTRIBUTOR
      (LP: #1242417).
    - If building for Ubuntu:
      + Bypass menu unless other OSes are installed or Shift is pressed.
      + Show the boot menu if the previous boot failed.
      + Set GRUB_GFXPAYLOAD_LINUX=keep unless it's known to be unsupported
        on the current hardware.
      + Set vt.handoff=7 for smooth handoff to kernel graphical mode.
      + In recovery mode, add nomodeset to the Linux kernel arguments, and
        remove the 'set gfxpayload=keep' command.
      + Set default timeout to 10 seconds.
      + Enable hidden timeout support by default.
    - Migrate timeout settings from menu.lst.
    - Probe FusionIO devices (LP: #1237519).
  * Make grub.cfg world-unreadable if even hashed passwords are in use
    (closes: #632598).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Nov 2013 10:49:31 +0000

grub2 (2.00-19) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - debian/build-efi-images: Where possible, make use of the device path
      derived from the EFI Loaded Image Protocol to compute the prefix
      (LP: #1097570).
    - debian/build-efi-images: Add a netboot image target to our set of
      prebuilt EFI images (thanks, Steve Langasek).
  * Backport from upstream:
    - Handle partitions on non-512B EFI disks (LP: #1065281).

  [ Phillip Susi ]
  * restore_mkdevicemap.patch: Fix dmraid uuid check to look for "DMRAID-"
    anywhere instead of only at the start, since kpartx prefixes it with
    "partN-" (LP: #1183915).

 -- Colin Watson <cjwatson@debian.org>  Wed, 18 Sep 2013 17:18:27 +0100

grub2 (2.00-18) unstable; urgency=low

  * Add gettext module to signed UEFI images (LP: #1104627).
  * Put the preprocessor definition for quiet-boot in the right place so
    that it actually takes effect.

 -- Colin Watson <cjwatson@debian.org>  Mon, 26 Aug 2013 17:23:09 +0100

grub2 (2.00-17) unstable; urgency=low

  * Really include patches to reduce visual clutter in normal mode when
    building for Ubuntu.

 -- Colin Watson <cjwatson@debian.org>  Thu, 15 Aug 2013 09:58:59 +0100

grub2 (2.00-16) unstable; urgency=low

  * Make reportbug script file robust against su authentication failures and
    missing LVM commands.
  * Backport from upstream:
    - Move @itemize after @subsection to satisfy texinfo-5.1.
    - grub-mkconfig: Fix detection of Emacs autosave files.
    - Fix spurious failure on Xen partition devices without disk devices
      (closes: #708614).
  * Merge from Ubuntu:
    - Treat Kubuntu as an alias for Ubuntu in GRUB_DISTRIBUTOR (Harald
      Sitter).
    - Make any EFI system boot into the shim (if installed) even if
      SecureBoot is disabled (Stéphane Graber).
    - Allow Shift to interrupt 'sleep --interruptible'.
    - If building for Ubuntu:
      + Reduce visual clutter in normal mode.
      + Remove verbose messages printed before reading configuration.
      + Suppress kernel/initrd progress messages, except in recovery mode.
      + Suppress "GRUB loading" message unless Shift is held down.
    - Skip Windows os-prober entries on Wubi systems.
  * Consolidate debian/rules logic for when to build signed images.

 -- Colin Watson <cjwatson@debian.org>  Thu, 15 Aug 2013 08:35:53 +0100

grub2 (2.00-15) unstable; urgency=low

  [ Colin Watson ]
  * Install reportbug presubj and script files in all binary packages.
  * Make grub-yeeloong.postinst explicitly install with
    --target=mipsel-loongson (closes: #708204).
  * Make grub-script-check fail on scripts containing no commands (closes:
    #713886).
  * Make the description of grub-firmware-qemu a little more generic, rather
    than assuming that bochsbios provides qemu's default BIOS image (closes:
    #714277).
  * Don't assume that the presence of /etc/default/grub or
    /etc/default/grub.d/*.cfg means that any particular item is set in it
    (LP: #1199731).

  [ Debconf translations ]
  * Hungarian (Dr. Nagy Elemér Károly).

 -- Colin Watson <cjwatson@debian.org>  Sat, 13 Jul 2013 11:04:15 +0100

grub2 (2.00-14) unstable; urgency=low

  * Merge from Ubuntu:
    - Don't call update-grub in the zz-update-grub kernel hook if
      /boot/grub/grub.cfg doesn't exist.
    - acpihalt: expand parser to handle SSDTs and some more opcodes.  Fixes
      test suite hang with current seabios.
  * Remove kernel-specific grub.d conffiles that were dropped from packages
    built for all but their corresponding kernel type in 1.96+20090307-1
    (closes: #703539).
  * Look for grub-bios-setup in /usr/lib/grub/i386-pc/ as well (closes:
    #705636).
  * Merge 1.99-27.1 (thanks, Steve McIntyre):
    - Add entries for Windows Boot Manager found via UEFI in os-prober
      (closes: #698914).

 -- Colin Watson <cjwatson@debian.org>  Thu, 09 May 2013 00:14:55 +0100

grub2 (2.00-13) experimental; urgency=low

  * Backport from upstream:
    - Fix booting FreeBSD >= 9.1 amd64 kernels (closes: #699002).
  * Merge from Ubuntu:
    - Stop using the /usr/share/images/desktop-base/desktop-grub.png
      alternative as the fallback background if GRUB_DISTRIBUTOR is
      "Ubuntu".
    - source_grub2.py: Use attach_default_grub from apport's hookutils.
    - Output a menu entry for firmware setup on UEFI FastBoot systems.
    - Set a monochromatic theme and an appropriate background for Ubuntu.
    - Remove "GNU/Linux" from default distributor string for Ubuntu.
    - Apply Ubuntu GRUB Legacy changes to legacy update-grub script.
    - Apply patch from Fedora to add a "linuxefi" loader which boots kernels
      with EFI handover patches, avoiding ExitBootServices.
    - Temporarily make linuxefi refuse to validate kernels in the absence of
      a shim, until we get some other details worked out.
    - Automatically call linuxefi from linux if secure boot is enabled and
      the kernel is signed, to hand over to the kernel without calling
      ExitBootServices.  Otherwise, linux will fall through to previous
      code, call ExitBootServices itself, and boot the kernel normally.
    - Generate configuration for signed UEFI kernels if available.
    - On Ubuntu amd64, add a raw-uefi custom upload tarball for signing.
    - Install signed images if available and UEFI Secure Boot is enabled.
    - Add "splash" to default boot options on Ubuntu.

 -- Colin Watson <cjwatson@debian.org>  Fri, 01 Feb 2013 15:44:25 +0000

grub2 (2.00-12) experimental; urgency=low

  * Silence output from running-in-container.
  * Also skip update-grub when running in a container (LP: #1060404).

 -- Colin Watson <cjwatson@debian.org>  Thu, 24 Jan 2013 23:21:48 +0000

grub2 (2.00-11) experimental; urgency=low

  [ Adam Conrad ]
  * debian/{postinst,config}.in: Don't fail if /etc/default/grub.d
    configuration snippets exist, but /etc/default/grub does not.

  [ Colin Watson ]
  * Merge wheezy branch up to 1.99-27, fixing overzealous removal of
    load_video call when GRUB_GFXPAYLOAD_LINUX is empty (closes: #661789).
  * Merge from Ubuntu:
    - If the postinst is running in a container, skip grub-install and all
      its associated questions (LP: #1060404).
    - Fix backslash-escaping in merge_debconf_into_conf (LP: #448413).  Note
      that this differs slightly from the fix in Ubuntu, which corrected
      behaviour when amending an existing configuration item but
      accidentally over-escaped when adding a new one.
    - Replace "single" with "recovery" when friendly-recovery is installed
      (LP: #575469).
    - Adjust versions of grub-doc and grub-legacy-doc conflicts to tolerate
      Ubuntu's backport of the grub-doc split (LP: #493968).

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Jan 2013 10:49:00 +0000

grub2 (2.00-10) experimental; urgency=low

  * Support parallel builds.
  * Remove /boot/grub/unicode.pf2 on purge of grub-efi-{amd64,i386} (closes:
    #697183).
  * Build with GCC 4.7.
  * Merge from Ubuntu:
    - Don't permit loading modules on UEFI Secure Boot (since in such a
      setup the GRUB core image must be signed but it has no provision for
      verifying module signatures).
    - Read /etc/default/grub.d/*.cfg after /etc/default/grub (LP: #901600).
    - Blacklist 1440x900x32 from VBE preferred mode handling until a better
      solution is available (LP: #701111).

 -- Colin Watson <cjwatson@debian.org>  Thu, 03 Jan 2013 09:38:25 +0000

grub2 (2.00-9) experimental; urgency=low

  * Ensure /boot/grub exists before copying files to it for EFI installs
    (closes: #696962).

 -- Colin Watson <cjwatson@debian.org>  Sat, 29 Dec 2012 23:44:51 +0000

grub2 (2.00-8) experimental; urgency=low

  * debian/apport/source_grub2.py:
    - Use context managers to avoid (harmless) file descriptor leaks.
    - Set a file encoding, per PEP 0263.
  * Drop grub-ieee1275-bin's dependency on bc in favour of powerpc-ibm-utils
    (>= 1.2.12-1) (cf. #625728).
  * Move powerpc-ibm-utils and powerpc-utils dependencies from
    grub-ieee1275-bin to grub-ieee1275 (closes: #693400).
  * Merge from Ubuntu:
    - Ignore symlink traversal failures in grub-mount readdir
      (LP: #1051306).
    - Fix incorrect initrd minimum address calculation (LP: #1055686).
    - Avoid assuming that gets is declared.
  * Copy unicode.pf2 to /boot/grub/ for EFI installs so that it is more
    likely to be readable by GRUB (closes: #661789).

 -- Colin Watson <cjwatson@debian.org>  Fri, 28 Dec 2012 17:34:32 +0000

grub2 (2.00-7) experimental; urgency=low

  * Backport from upstream:
    - Fix stderr leakage from grub-probe in is_path_readable_by_grub.
    - Fix tftp endianness problem.
  * Merge from Ubuntu:
    - Prefer translations from language packs (LP: #537998).  (No-op for
      Debian, but harmless.)
    - Avoid getting confused by inaccessible loop device backing paths
      (LP: #938724).

 -- Colin Watson <cjwatson@debian.org>  Wed, 26 Sep 2012 16:05:07 +0100

grub2 (2.00-6) experimental; urgency=low

  [ Colin Watson ]
  * Adjust package descriptions to talk about update-grub, not update-grub2.
  * Backport from upstream:
    - Fix grub-emu build on FreeBSD.
  * Revert gcc-4.6-multilib build-dependency change from 2.00-1, since
    kfreebsd-i386 and hurd-i386 don't have gcc-4.6-multilib.  Instead, make
    sure to only install efiemu32.o and efiemu64.o on (linux-)i386,
    kopensolaris-i386, and any-amd64.
  * Manually expand @PACKAGE@ symbols in grub-efi.postinst (closes:
    #688725), grub-linuxbios.postinst (closes: #688726), and grub2.postinst
    (closes: #688724).

  [ Debconf translations ]
  * Lithuanian (Rimas Kudelis).  Closes: #675628
  * Galician (Jorge Barreiro).  Closes: #677389
  * Welsh (Daffyd Tomos).
  * Greek (galaxico).  Closes: #685201
  * Romanian (Andrei POPESCU).  Closes: #685477
  * Finnish (Timo Jyrinki).

  [ Cyril Brulebois ]
  * Use xz compression for all binaries to save up some space on CD images
    (closes: #688773).

 -- Colin Watson <cjwatson@debian.org>  Tue, 25 Sep 2012 22:47:03 +0100

grub2 (2.00-5) experimental; urgency=low

  * Backport from upstream:
    - Remove extra layer of escaping from grub_probe.
    - Add efifwsetup module to reboot into firmware setup menu.
    - Revert incorrect off-by-one fix when embedding in MBR (LP: #1051154).
  * Switch watch file to point to ftp.gnu.org.
  * Build-depend on liblzma-dev, enabling 'grub-mkimage -C xz'.
  * Adjust /etc/grub.d/30_os-prober to detect Ubuntu's use of "recovery"
    rather than "single".

 -- Colin Watson <cjwatson@debian.org>  Wed, 19 Sep 2012 08:52:27 +0100

grub2 (2.00-4) experimental; urgency=low

  * Fix platform postinsts to handle new core.img location.
  * Only fix up powerpc key repeat on IEEE1275 machines.  Fixes powerpc-emu
    compilation.
  * Move grub-install to grub2-common, since it's now common across
    platforms but clashes with grub-legacy.
  * Move grub-mknetdir to grub-common, since it's now common across
    platforms.
  * Make grub-install fall back to i386-pc if booted using EFI but the
    relevant *-efi target is not available (because only grub-pc is
    installed).

 -- Colin Watson <cjwatson@debian.org>  Fri, 14 Sep 2012 13:38:37 +0100

grub2 (2.00-3) experimental; urgency=low

  * Use dh-autoreconf.
  * Bail out if trying to run grub-mkconfig during upgrade to 2.00 (e.g.
    while configuring a kernel image), since the old /etc/grub.d/00_header
    conffile breaks until such time as grub-common is configured.

 -- Colin Watson <cjwatson@debian.org>  Thu, 13 Sep 2012 17:07:18 +0100

grub2 (2.00-2) experimental; urgency=low

  * Add -Wno-error=unused-result to HOST_CFLAGS for the moment, since at
    least grub-core/lib/crypto.c fails to compile on Ubuntu otherwise.
  * Update default/grub.md5sum to include Ubuntu maverick's default md5sum.
  * Autogenerate packaging files for grub-emu, in order that its postinst
    does not contain unexpanded @PACKAGE@ symbols.
  * Only try to install efiemu*.o into grub-emu on *-i386.

 -- Colin Watson <cjwatson@debian.org>  Sat, 08 Sep 2012 10:32:33 +0100

grub2 (2.00-1) experimental; urgency=low

  [ Jordi Mallach, Colin Watson ]
  * New upstream release.
    - Add LUKS and GELI encrypted disk support (closes: #463107).
    - Lazy scanning to avoid accessing devices which aren't really used.
      This avoids boot delay due to slow device scanning (closes: #549905,
      #550015, #550083, #564252, #595059, #632408).
    - Don't override more informative errors when loading kernel/initrd
      (closes: #551630).
    - Support 4K-sector NTFS (closes: #567728).
    - Unify grub-mkrescue interface on powerpc with that on other
      architectures (closes: #570119).
    - Fix infinite recursion in gettext when translation fails (closes:
      #611537, #612454, #616487, #619618, #626853, #643608).
    - Add more missing quotes to grub-mkconfig (closes: #612417).
    - Import gnulib change to fix argp_help segfault with help filter
      (closes: #612692).
    - Support %1$d syntax in grub_printf (closes: #630647).
    - Use write-combining MTRR to speed up video with buggy BIOSes (closes:
      #630926).
    - Remove multiboot header from PXE images to avoid confusing ipxe
      (closes: #635877).
    - Fix crash when attempting to install to a non-BIOS disk (closes:
      #637208).
    - Fix handling of grub-mkrescue --xorriso= option (closes: #646788).
    - Use umask rather than chmod to create grub.cfg.new to avoid insecure
      grub.cfg (closes: #654599).
    - Improve font installation logic (closes: #654645).
    - Add grub-probe info documentation (closes: #666031).
    - Don't crash on canonicalize_file_name failure in grub-probe (closes:
      #677211).

  [ Colin Watson ]
  * Adjust debian/watch to point to xz-compressed tarballs.
  * debian/grub.d/05_debian_theme: Source grub-mkconfig_lib from
    /usr/share/grub, not the /usr/lib/grub compatibility link.
  * Convert to source format 3.0 (quilt).  Developers, note that patches are
    stored applied in bzr; you may want to 'quilt pop -a' / 'quilt push -a'
    around merges.
  * Remove pointless debian/grub-mount-udeb.install.hurd-i386;
    grub-mount-udeb is not built on the Hurd.
  * Refactor debian/grub-common.install.hurd-i386 into .in files so that it
    imposes less of a maintenance burden.
  * Restore grub-mkdevicemap for now.  While it's kind of a mess, requiring
    lots of OS-specific code to iterate over all possible devices, we use it
    in a number of scripts to discover devices and reimplementing those in
    terms of something else would be very complicated.
  * Add grub-efi-ia64-bin and grub-efi-ia64 packages.  These are currently
    experimental, and grub-efi-ia64 does not automatically run grub-install.
  * Build-depend on gcc-4.6-multilib on kfreebsd-i386 and hurd-i386 as well
    as the other i386 architectures, since we need it to build efiemu32.o
    and efiemu64.o.
  * Add per-platform *-dbg packages containing files needed to use GRUB's
    GDB stub.  These are relatively large and thus worth splitting out.
  * Build-depend on ttf-dejavu-core for the starfield theme.
  * Add a grub-theme-starfield package containing the starfield theme.
  * Backport from upstream:
    - Don't decrease efi_mmap_size (LP: #1046429).
  * grub-common Suggests: console-setup for grub-kbdcomp (closes: #686815).
  * Silence error messages when translations are unavailable.
  * Don't pass *.module to dpkg-shlibdeps, avoiding lots of build-time
    warnings.
  * Move transitional package to Section: oldlibs.
  * Acknowledge NMU (closes: #676609).

  [ Debconf translations ]
  * Lithuanian (Rimas Kudelis).  Closes: #675628
  * Galician (Jorge Barreiro).  Closes: #677389
  * Welsh (Daffyd Tomos).
  * Greek (galaxico).  Closes: #685201
  * Romanian (Andrei POPESCU).  Closes: #685477
  * Finnish (Timo Jyrinki).

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Sep 2012 19:04:21 +0100

grub2 (1.99-27.1) unstable; urgency=medium

  * NMU
  * Add entries for Windows Boot Manager found via UEFI in
    os-prober. Closes: #698914 before the Wheezy release.

 -- Steve McIntyre <93sam@debian.org>  Fri, 26 Apr 2013 23:53:34 +0100

grub2 (1.99-27) unstable; urgency=low

  * Amend gfxpayload_keep_default.patch to no longer remove the call to
    load_video when GRUB_GFXPAYLOAD_LINUX is empty (closes: #661789).

 -- Colin Watson <cjwatson@debian.org>  Sun, 20 Jan 2013 16:37:52 +0000

grub2 (1.99-26) unstable; urgency=low

  * Remove /boot/grub/unicode.pf2 on purge of grub-efi-{amd64,i386} (closes:
    #697183).

 -- Colin Watson <cjwatson@debian.org>  Wed, 02 Jan 2013 11:54:50 +0000

grub2 (1.99-25) unstable; urgency=low

  * Ensure /boot/grub exists before copying files to it for EFI installs
    (closes: #696962).

 -- Colin Watson <cjwatson@debian.org>  Sat, 29 Dec 2012 23:45:01 +0000

grub2 (1.99-24) unstable; urgency=low

  * Acknowledge NMU with thanks.
  * Fix namespace of EFI boot failure patch file added in NMU.
  * Copy unicode.pf2 to /boot/grub/ for EFI installs so that it is more
    likely to be readable by GRUB (closes: #661789).
  * Fix infinite recursion in gettext when translation fails (closes:
    #611537, #612454, #616487, #619618, #626853, #643608).
  * Fix grammar in Finnish translation (closes: #687681).

 -- Colin Watson <cjwatson@debian.org>  Fri, 28 Dec 2012 13:01:38 +0000

grub2 (1.99-23.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply Ubuntu patch fixing some EFI boot failures (closes: #687320)
    - Thanks to Colin Watson.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 14 Oct 2012 04:09:51 -0400

grub2 (1.99-23) unstable; urgency=low

  [ Debconf translations ]
  * Lithuanian (Rimas Kudelis).  Closes: #675628
  * Galician (Jorge Barreiro).  Closes: #677389
  * Welsh (Daffyd Tomos).
  * Greek (galaxico).  Closes: #685201
  * Romanian (Andrei POPESCU).  Closes: #685477
  * Finnish (Timo Jyrinki).

  [ Cyril Brulebois ]
  * Use xz compression for all binaries to save up some space on CD images
    (closes: #688773).

  [ Colin Watson ]
  * Autogenerate packaging files for grub-emu (closes: #688727), in order
    that its postinst does not contain unexpanded @PACKAGE@ symbols.
  * Manually expand @PACKAGE@ symbols in grub-efi.postinst (closes:
    #688725), grub-linuxbios.postinst (closes: #688726), and grub2.postinst
    (closes: #688724).

 -- Colin Watson <cjwatson@debian.org>  Tue, 25 Sep 2012 18:59:18 +0100

grub2 (1.99-22.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply upstream patches for hurd-i386:
    - Test inode number (Closes: #634799).
    - Disable zfs code on GNU/Hurd (Closes: #670069).
    - Add userland partition support (Closes: #670186).
  * Fix packages build without libfuse (Closes: #670189).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 08 Jun 2012 01:19:00 +0200

grub2 (1.99-22) unstable; urgency=low

  [ Debconf translations ]
  * Khmer added (Khoem Sokhem)
  * Slovenian (Vanja Cvelbar).  Closes: #670616
  * Traditional Chinese (Vincent Chen).
  * Vietnamese (Hai Lang).
  * Marathi (Sampada Nakhare)
  * Finnish (Timo Jyrinki).  Closes: #673976
  * Latvian (Rūdolfs Mazurs).  Closes: #674697

  [ Colin Watson ]
  * Make apport hook compatible with Python 3.
  * Add upstream r3476 (fix memory leak in grub_disk_read_small) to
    4k_sectors.patch, otherwise the larger disk cache due to
    efi_disk_cache.patch can cause EFI systems to run out of memory.

 -- Colin Watson <cjwatson@debian.org>  Wed, 30 May 2012 10:38:40 +0100

grub2 (1.99-21) unstable; urgency=low

  * Backport from upstream:
    - Fix hook calling for unaligned segments (closes: #666992,
      LP: #972250).

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Apr 2012 14:19:18 +0100

grub2 (1.99-20) unstable; urgency=low

  * Backport kFreeBSD support from upstream to 4k_sectors.patch.

 -- Colin Watson <cjwatson@debian.org>  Mon, 02 Apr 2012 21:53:02 +0100

grub2 (1.99-19) unstable; urgency=low

  [ Colin Watson ]
  * Add grub-probe to grub-mount-udeb (LP: #963471).
  * Backport from upstream:
    - Restore CFLAGS after efiemu check (closes: #665772).
    - Include __ctzdi2 and __ctzsi2 from libgcc if present (closes:
      #665993).
    - Support non-512B sectors and agglomerate reads.

  [ Debconf translations ]
  * Croatian (Tomislav Krznar).

 -- Colin Watson <cjwatson@debian.org>  Mon, 02 Apr 2012 18:26:09 +0100

grub2 (1.99-18) unstable; urgency=low

  [ Colin Watson ]
  * Ensure that /sbin and /usr/sbin are in $PATH when running tests (closes:
    #662916).
  * mkconfig_loopback.patch: Use different GRUB loop devices for different
    OS loop devices (thanks, bcbc; LP: #888281).
  * Backport from upstream:
    - Add support for LZO compression in btrfs (LP: #727535).
    - Fix efiemu configure check.

  [ Ilya Yanok ]
  * Backport from upstream:
    - Make FAT UUID uppercase to match Linux (LP: #948716).

  [ Debconf translations ]
  * Norwegian Bokmål (Hans Fredrik Nordhaug).
  * Gujarati (Kartik Mistry).  Closes: #663542

 -- Colin Watson <cjwatson@debian.org>  Mon, 19 Mar 2012 18:24:33 +0000

grub2 (1.99-17) unstable; urgency=low

  * efi_disk_cache.patch: Fix incorrect GRUB_DISK_CACHE_BITS (LP: #944347).

 -- Colin Watson <cjwatson@debian.org>  Tue, 06 Mar 2012 17:43:42 +0000

grub2 (1.99-16) unstable; urgency=low

  * Backport from upstream:
    - Build with -fno-asynchronous-unwind-tables to save space (closes:
      #662787).

 -- Colin Watson <cjwatson@debian.org>  Tue, 06 Mar 2012 12:45:42 +0000

grub2 (1.99-15) unstable; urgency=low

  [ Adam Conrad ]
  * grub.cfg_400.patch: Redirect grep stdout to /dev/null since
    grub-mkconfig is "exec > grub.cfg.new", which causes grep's input
    and output to be the same FD (LP: #934269) (closes: #652972)
  * efi_disk_cache.patch: Bump the disk cache on EFI systems to
    dramatically reduce load times for vmlinux/initrd (LP: #944347)

  [ Colin Watson ]
  * no_libzfs.patch: Use xasprintf rather than asprintf.
  * Backport from upstream:
    - Rewrite XFS btree parsing; fixes invalid BMAP (closes: #657776).
    - Handle newer autotools, and add some missing quotes in the process.
      (Note that this moves grub-mkconfig_lib and update-grub_lib to
      /usr/share/grub; I added links in /usr/lib/grub for compatibility.)
    - Fix incorrect identifiers in bash-completion (closes: #661415).
    - Add support for GRUB_CMDLINE_GNUMACH (closes: #660493).
  * Build with GCC 4.6 (closes: #654727).

  [ Debconf translations ]
  * Dutch (Jeroen Schot).  Closes: #651275
  * Bulgarian (Damyan Ivanov).  Closes: #653356
  * Icelandic (Sveinn í Felli).
  * Ukrainian (Yatsenko Alexandr).  Closes: #654294
  * Italian (Luca Monducci).  Closes: #654304
  * Thai (Theppitak Karoonboonyanan).  Closes: #656551
  * Uyghur (Abduqadir Abliz)
  * Indonesian (Mahyuddin Susanto).  Closes: #656705
  * Hebrew (Omer Zak).  Closes: #656852
  * Turkish (Atila KOÇ).  Closes: #656907
  * Polish (Michał Kułach).  Closes: #657265
  * Asturian (Mikel González).
  * Dzongkha (Dawa Pemo)
  * Tamil (Dr.T.Vasudevan).
  * Belarusian (Viktar Siarhiejczyk).  Closes: #662615

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 Mar 2012 16:58:01 +0000

grub2 (1.99-14) unstable; urgency=low

  * Rewrite no_libzfs.patch using a different approach.  (Closes: #648539)

 -- Robert Millan <rmh@debian.org>  Sun, 13 Nov 2011 00:14:38 +0100

grub2 (1.99-13) unstable; urgency=low

  [ Debconf translations ]
  * Portuguese (Miguel Figueiredo).  Closes: #641226
  * German (Martin Eberhard Schauer).  Closes: #641630
  * Sinhala (Danishka Navin).  Closes: #644080
  * Uyghur (Gheyret Tohti).  Closes: #627011

  [ Robert Millan ]
  * LVM support for GNU/kFreeBSD.
    - kfreebsd_lvm.patch
  * Cherry-pick several ZFS updates from upstream Bazaar.
    - zfs_update.patch
  * Build without libzfs.

 -- Robert Millan <rmh@debian.org>  Fri, 11 Nov 2011 23:04:58 +0100

grub2 (1.99-12) unstable; urgency=low

  [ Robert Millan ]
  * Fix grub-probe detection for LSI MegaRAID SAS devices on kFreeBSD.
    - kfreebsd_mfi_devices.patch

  [ Colin Watson ]
  * Backport from upstream:
    - Canonicalise the path argument to grub-probe (closes: #637768).
    - Skip */README* as well as README* (LP: #537123).

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 Sep 2011 15:17:20 +0100

grub2 (1.99-11) unstable; urgency=low

  * Backport from upstream:
    - Honour GRUB_CMDLINE_LINUX_XEN_REPLACE and
      GRUB_CMDLINE_LINUX_XEN_REPLACE_DEFAULT, which replace
      GRUB_CMDLINE_LINUX and GRUB_CMDLINE_LINUX_DEFAULT (complementing the
      existing options which append; closes: #617538).

 -- Colin Watson <cjwatson@debian.org>  Mon, 08 Aug 2011 17:55:21 +0100

grub2 (1.99-10) unstable; urgency=high

  * Mark la_array as packed.
    - zfs_packed_la_array.patch

 -- Robert Millan <rmh@debian.org>  Sun, 07 Aug 2011 20:16:31 +0000

grub2 (1.99-9) unstable; urgency=low

  [ Colin Watson ]
  * Adjust apport hook to attach /boot/grub/device.map if it exists.
  * Fix regression in gfxterm background_color handling.
  * Improve detection of invalid shell syntax in apport hook.

  [ Debconf translations ]
  * Esperanto (Felipe E. F. de Castro).  Closes: #632157
  * Slovak (Slavko).

  [ Robert Millan ]
  * Enable grub-mount on kfreebsd-any.
  * Build grub-mount-udeb on kfreebsd-i386 and kfreebsd-amd64.

 -- Robert Millan <rmh@debian.org>  Mon, 25 Jul 2011 15:36:31 +0200

grub2 (1.99-8) unstable; urgency=low

  [ Robert Millan ]
  * Avoid buggy versions of libgeom-dev (see #630107).  Closes: #630197
  * Fix grub-probe detection for ATA devices using `ata' driver on kFreeBSD 9.
    - kfreebsd-9_ada_devices.patch

  [ Colin Watson ]
  * Update ntldr-img from grub-extras:
    - Handle ext3 inode sizes other than 128.

  [ Debconf translations ]
  * Kazakh (Baurzhan Muftakhidinov). Closes: #630915

 -- Colin Watson <cjwatson@debian.org>  Tue, 21 Jun 2011 02:10:10 +0100

grub2 (1.99-7) unstable; urgency=low

  [ Debconf translations ]
  * Basque (Iñaki Larrañaga Murgoitio).  Closes: #628716
  * Swedish (Martin Bagge / brother).  Closes: #628866
  * Czech (Miroslav Kure).  Closes: #628978
  * Brazilian Portuguese (Flamarion Jorge).  Closes: #629135
  * Spanish (Francisco Javier Cuadrado).  Closes: #629633

  [ Colin Watson ]
  * Cope with btrfs / inside an encrypted block device (thanks, alexeagar;
    LP: #757631).
  * Merge from Ubuntu:
    - Give up scanning partitions after ten consecutive open failures
      (LP: #787461).

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 Jun 2011 00:13:14 +0100

grub2 (1.99-6) unstable; urgency=low

  [ Colin Watson ]
  * Update Vcs-* fields for Alioth changes.
  * Backport from upstream, removing the need for Breaks: udev (<< 168-1):
    - Don't stat devices unless we have to.

  [ Debconf translations ]
  * Catalan (Jordi Mallach).
  * Farsi (Behrad Eslamifar).  Closes: #628648

 -- Colin Watson <cjwatson@debian.org>  Tue, 31 May 2011 09:20:54 +0100

grub2 (1.99-5) unstable; urgency=low

  [ Colin Watson ]
  * Change grub2/linux_cmdline and grub2/kfreebsd_cmdline descriptions to
    indicate that the command line is allowed to be empty, since this is a
    common source of confusion (thanks, Jordan Uggla).
  * On non-Ubuntu-derived systems, add Breaks: udev (<< 168-1) to
    grub-common, for the sake of (some?) users without initrds (closes:
    #627587).

  [ Debconf translations ]
  * French (Christian Perrier)
  * Russian (Yuri Kozlov).  Closes: #628196
  * Simplified Chinese (YunQiang Su).  Closes: #628210
  * Japanese (Hideki Yamane).  Closes: #628382
  * Danish (Joe Hansen).  Closes: #628427

 -- Colin Watson <cjwatson@debian.org>  Sun, 29 May 2011 21:58:55 +0100

grub2 (1.99-4) unstable; urgency=low

  * Make grub-<platform>-bin packages depend on grub-common rather than
    grub2-common, and add grub2-common dependencies to grub-<platform>.
    This ensures that grub-<platform>-bin packages are coinstallable with
    grub-legacy, making it easier to use them as build-dependencies.
  * Stop trying to install the non-existent grub-ofpathname(8) on sparc for
    now.  It will exist in the next upstream snapshot.

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 May 2011 12:38:45 +0100

grub2 (1.99-3) unstable; urgency=low

  * Ship grub-mkrescue on non-Linux amd64/i386 architectures.
  * Don't try to ship grub-mkrescue on sparc.
  * Drop boot_blocklist_hack.patch, fixed differently upstream some time ago
    by being smarter about filesystem-root-relative path conversion.

 -- Colin Watson <cjwatson@debian.org>  Wed, 18 May 2011 14:06:51 +0100

grub2 (1.99-2) unstable; urgency=low

  * Include both old and new Lintian override styles for
    statically-linked-binary tag, since ftp-master has not yet been updated
    to 2.5.0~rc1.

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 May 2011 01:36:10 +0100

grub2 (1.99-1) unstable; urgency=low

  * New upstream release.
    - Ensure uniqueness of RAID array numbers even if some elements have a
      name (closes: #609804).
    - Remove unnecessary brackets from tr arguments (closes: #612564).
    - Add grub-mkrescue info documentation (closes: #612585).
    - Avoid generating invalid configuration when something that looks like
      a Xen hypervisor is present without any Xen kernels (closes: #612898).
    - Fix memory alignment when calling 'linux' multiple times on EFI
      (closes: #616638).
    - Fix grub-install on amd64 EFI systems (closes: #617388).
    - Automatically export pager variable (closes: #612995).
    - Fix parser error with "time" (closes: #612991).
    - Ignore case of bitmap extensions (closes: #611123).
    - Skip vmlinux-* on x86 platforms (closes: #536846, #546008).
    - Accept old-style Xen kernels (closes: #610428).
    - Skip damaged LVM volumes (closes: #544731).
    - Handle LVM mirroring (closes: #598441).
    - Detect spares and report them as not RAID members (closes: #611561).
    - Don't enable localisation unless gfxterm is available (closes:
      #604609).
    - Fix partitioned RAID support (closes: #595071, #613444).
    - Dynamically count the number of lines for the lower banner (closes:
      #606494).
    - Improve quoting in grub-mkconfig, to support background image file
      names containing spaces (closes: #612417).
    - Flush BIOS disk devices more accurately (closes: #623124).
    - Identify RAID devices by their UUID rather than by their guessed name
      (closes: #624232).
    - Add "SEE ALSO" sections to most man pages (closes: #551428).

  [ Christian Perrier ]
  * Drop extra word in French debconf translation. Thanks to David
    Prévôt.
  * Fix spelling error in French debconf translation. Thanks to David
    Prévôt.

  [ Colin Watson ]
  * Set PACKAGE_VERSION and PACKAGE_STRING using configure arguments rather
    than sedding configure.ac in debian/rules (which sometimes has annoying
    interactions with quilt, etc.).
  * Update branch_embed-sectors.patch:
    - Detect sector used by HighPoint RAID controller (closes: #394868).
  * Add debian/README.source (from quilt).
  * Make debian/rules more explicit about when autogen.sh is run.  We need
    to be careful that all full builds run it, since we use GRUB extras.
  * Merge from Ubuntu:
    - Handle filesystems loop-mounted on file images.
    - On Wubi, don't ask for an install device, but just update wubildr
      using the diverted grub-install.
    - Add grub-mount-udeb, containing just grub-mount.  This can be used by
      os-prober and other parts of d-i.
    - Artificially bump Replaces: grub-common versioning to account for
      grub-reboot/grub-set-default movement in Ubuntu.
  * Don't do a separate build pass for grub-common.  It will be identical to
    the build for the default platform for the CPU architecture anyway, so
    reuse that.
  * Build with GCC 4.5 on all architectures.
  * Update Lintian overrides for changes in Lintian 2.5.0~rc1.
  * Invert how files are split among binary packages: rather than code in
    debian/rules to remove files we don't want, add dh_install configuration
    to declare the files we do want.  This means a little more repetition
    for platform-specific programs, but it seems less confusing and easier
    to extend.
  * Drop versioned dependencies on base-files.  GPL-3 has been there for two
    Debian releases now, and the dependency was never upgrade-critical
    anyway.
  * Create grub2-common package containing files that are common among GRUB
    platform packages but that would break GRUB Legacy, or that are too
    confusing when coinstalled with GRUB Legacy (closes: #564167).
  * Drop conflict on an ancient (pre-lenny/hardy) version of desktop-base.
  * Move /etc/grub.d/05_debian_theme to grub-common, to go with the other
    /etc/grub.d/* files.
  * Drop redundant Suggests: os-prober from several platform packages, as
    grub-common already Recommends: os-prober.
  * Create grub-<platform>-bin packages corresponding to all grub-<platform>
    packages (except for grub-emu).  These do not automatically install the
    boot loader or update grub.cfg, and they install their binaries to
    /usr/lib/grub/<cpu>-<platform>/; this means that they can be installed
    in parallel, making it easier to use them to build GRUB-based disk
    images (e.g. d-i).  The grub-<platform> packages now depend on these and
    include symlinks, so their behaviour will remain as before.
  * Make grub-emu depend on grub-common.
  * Make the documentation directory in most binary packages be a symlink to
    that in grub-common.
  * Drop lenny compatibility from grub2-common's dpkg/install-info
    dependency, since it produces a Lintian warning and using the current
    packaging on lenny is probably rather a stretch anyway.

  [ Updated translations ]
  * Belarusian (Viktar Siarheichyk).  Closes: #606864
  * Danish (Joe Hansen).  Closes: #606879
  * Romanian (Andrei POPESCU).  Closes: #606888
  * Italian (Luca Monducci).  Closes: #606891
  * Brazilian Portuguese (Flamarion Jorge).  Closes: #610613
  * Greek (Emmanuel Galatoulas).  Closes: #604847

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 May 2011 17:42:07 +0100

grub2 (1.99~rc1-13) unstable; urgency=low

  * Cherry-pick from upstream:
    - Use correct limits for mips initrd.
  * Run grub-install on install or upgrade of grub-yeeloong.
  * Update branch_fuse.patch:
    - Tell FUSE to run single-threaded, since GRUB code is not thread-safe
      (LP: #756297).

 -- Colin Watson <cjwatson@debian.org>  Fri, 15 Apr 2011 12:11:21 +0100

grub2 (1.99~rc1-12) unstable; urgency=low

  * Update branch_butter.patch:
    - Fix filename comparison.
    - Take extent offset in account on uncompressed extents.
    - Use filled extent size if available.
  * Allow use of first sector on btrfs (LP: #757446).
  * Merge from Ubuntu:
    - Build part_msdos and vfat into EFI boot images (LP: #677758).

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Apr 2011 16:22:08 +0100

grub2 (1.99~rc1-11) unstable; urgency=low

  * Update branch_fuse.patch:
    - Make grub-mount exit non-zero if opening the device or filesystem
      fails.
    - Translate GRUB error codes into OS error codes for FUSE (LP: #756456).
  * Merge from Ubuntu:
    - Fix use of freed memory when replacing existing loopback device
      (LP: #742967).

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Apr 2011 21:52:26 +0100

grub2 (1.99~rc1-10) unstable; urgency=low

  * Update branch_butter.patch, fixing RAID1/duplicated chunk size
    calculation (thanks, Vladimir Serbinenko; LP: #732149).

 -- Colin Watson <cjwatson@debian.org>  Sat, 09 Apr 2011 21:22:15 +0100

grub2 (1.99~rc1-9) unstable; urgency=low

  * Update branch_parse-color.patch, to blend text when any background is
    set as opposed to only when a stretched background is set (closes:
    #613120).
  * Make update-grub2 a symlink to update-grub, rather than bothering with a
    wrapper script.
  * Cherry-pick from upstream:
    - Check RAID superblock offset (closes: #610184).
    - Flush buffer cache on close and not on open (closes: #620663).
    - Handle special naming of yeeloong directory (closes: #620420).
  * Add grub-mount utility, from the upstream 'fuse' branch.
  * efibootmgr is only available on Linux architectures, so only make
    grub-efi-ia32 and grub-efi-amd64 depend on it on Linux.

 -- Colin Watson <cjwatson@debian.org>  Sat, 09 Apr 2011 03:39:56 +0100

grub2 (1.99~rc1-8) unstable; urgency=low

  * Cherry-pick from upstream:
    - Fix FreeBSD compilation problem.

 -- Colin Watson <cjwatson@debian.org>  Tue, 29 Mar 2011 15:13:51 +0100

grub2 (1.99~rc1-7) unstable; urgency=low

  * Add /proc/mdstat, LVM information, and listings of /dev/disk/by-id/ and
    /dev/disk/by-uuid/ to bug reports, by request of upstream.
  * Cherry-pick from upstream:
    - Use libgeom on FreeBSD to detect partitions (closes: #612128).
    - Copy the partition table zone if floppy support is disabled, even if
      no partition table is found (LP: #741867).
    - Fix an ext2 overflow affecting inodes past 2TiB.
    - Fix RAID-0 disk size calculation for metadata 1.x (LP: #743136).
  * Merge from Ubuntu:
    - Build with gcc-4.5 on ppc64.
    - Add apport hook for ProblemType = 'Package', thanks to Jean-Baptiste
      Lallement (LP: #591753).

 -- Colin Watson <cjwatson@debian.org>  Tue, 29 Mar 2011 12:30:36 +0100

grub2 (1.99~rc1-6) unstable; urgency=low

  * Cherry-pick from upstream:
    - Fix crash when extending menu entry line beyond 79 characters (closes:
      #615893).
    - Account for FreeBSD module headers when calculating allocation size.
    - Switch back to framebuffer page zero before loading the kernel
      (thanks, Felix Kuehling).
  * Merge from Ubuntu:
    - If we're upgrading and /boot/grub/core.img doesn't exist, then don't
      ask where to install GRUB, since it probably means we're in some kind
      of specialised environment such as a live USB stick (LP: #591202).
    - Drop the default priority of grub2/linux_cmdline to medium.  We only
      need to ask it if we're upgrading from GRUB Legacy and found an empty
      kopt in menu.lst (LP: #591202).
  * Update branch_embed-sectors.patch, avoiding consuming lots of space and
    time if the first partition is not near the start of the disk (closes:
    #619458, LP: #691569).

 -- Colin Watson <cjwatson@debian.org>  Fri, 25 Mar 2011 19:23:04 +0000

grub2 (1.99~rc1-5) unstable; urgency=low

  * Update debian/legacy/update-grub to the version from grub 0.97-65.
  * Mark binary packages as Multi-Arch: foreign (for example, an amd64
    kernel installed on an i386 system could use the native architecture's
    GRUB).
  * Rewrite find_root_device_from_mountinfo to cope with move-mounts
    (LP: #738345).

  [ Updated translations ]
  * Esperanto (Felipe Castro).  Closes: #606524
  * Thai (Theppitak Karoonboonyanan).  Closes: #607706

 -- Colin Watson <cjwatson@debian.org>  Wed, 23 Mar 2011 15:51:47 +0000

grub2 (1.99~rc1-4) unstable; urgency=low

  * Don't touch /boot/grub/grub2-installed if using the --root-directory
    option to grub-install (thanks, Nicolas George; closes: #614927).
  * Update branch_devmapper.patch, adding partitioned MD RAID support
    (untested) and support for probing multipath disks.
  * Update ntldr-img from grub-extras:
    - Only call ntfs_fix_mmft if the attribute to find is AT_DATA.  This
      matches GRUB's NTFS module.
    - Install grubinst as grub-ntldr-img.
  * Fix loading GRUB from lnxboot (LP: #693671).
  * Update branch_embed-sectors.patch to avoid straying into first partition
    when embedding-area sectors are in use (closes: #613409, LP: #730225).

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 Mar 2011 11:01:48 +0000

grub2 (1.99~rc1-3) unstable; urgency=low

  * Build for ppc64 (except for grub-emu, which doesn't build cleanly yet).
  * Suppress output from debconf-communicate in upgrade-from-grub-legacy.
  * Refer to the info documentation at the top of /etc/default/grub (closes:
    #612538).
  * We need at least freebsd-utils (>= 8.0-4) on kFreeBSD architectures for
    camcontrol, so depend on it.
  * Tolerate camcontrol failing to read capacity of IDE devices, until such
    time as we know how to do this properly (see #612128).
  * Adjust /etc/default/grub for rename of GRUB_DISABLE_LINUX_RECOVERY to
    GRUB_DISABLE_RECOVERY (closes: #612777).
  * Update ntldr-img from grub-extras:
    - Install g2hdr.bin and g2ldr.mbr (closes: #613245).

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Feb 2011 13:11:11 +0000

grub2 (1.99~rc1-2) unstable; urgency=low

  * Merge 1.98+20100804-13 and 1.98+20100804-14, updating translations:
    - Kazakh (Baurzhan Muftakhidinov / Timur Birsh).
  * mkconfig_skip_dmcrypt.patch: Refer to GRUB_PRELOAD_MODULES rather than
    suggesting people write a /etc/grub.d/01_modules script (thanks, Jordan
    Uggla).
  * Handle empty dir passed to grub_find_root_device_from_mountinfo; fixes
    grub-mkrelpath on btrfs subvolumes (LP: #712029).
  * Add rootflags=subvol=<name> if / is on a btrfs subvolume (LP: #712029).
  * Upload to unstable.

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Feb 2011 11:39:26 +0000

grub2 (1.99~rc1-1) experimental; urgency=low

  [ Colin Watson ]
  * New upstream release candidate.

  [ Alexander Kurtz ]
  * 05_debian_theme:
    - If we find a background image and no colours were specified, use
      upstream defaults for color_normal and color_highlight rather than
      setting color_normal to black/black.
    - Make the code more readable by replacing code for handling
      alternatives.
    - Make the code for searching for pictures in /boot/grub more readable
      and robust (for example against newlines in the filename).
    - Don't try the other alternatives when $GRUB_BACKGROUND is set; you can
      now add GRUB_BACKGROUND= to /etc/default/grub to force no background
      image (closes: #608263).

 -- Colin Watson <cjwatson@debian.org>  Mon, 17 Jan 2011 13:43:06 +0000

grub2 (1.99~20110112-1) experimental; urgency=low

  * New Bazaar snapshot.
    - Disable ieee1275_fb on sparc (closes: #560823).
    - Fix pf2 font generation on big-endian platforms (closes: #609818).
  * branch_butter.patch: Resolve the device returned by
    grub_find_root_device_from_mountinfo or find_root_device_from_libzfs
    using grub_find_device (closes: #609590, #609814, LP: #700147).

 -- Colin Watson <cjwatson@debian.org>  Thu, 13 Jan 2011 00:12:41 +0000

grub2 (1.99~20110111-1) experimental; urgency=low

  * New Bazaar snapshot.
    - Don't check amount of low memory, as reportedly INT 12h can be broken
      and if low memory is too low we wouldn't have gotten into
      grub_machine_init anyway (closes: #588293, LP: #513528).
    - Submenu default support (LP: #691878).
    - Fix optimisation-dependent grub-mklayout crash (closes: #609584).
  * branch_butter.patch: Don't free an uninitialised pointer if /proc is
    unmounted (LP: #697493).
  * Add a po/LINGUAS file listing the translations we've synced from the TP
    (closes: #609671).

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Jan 2011 17:11:44 +0000

grub2 (1.99~20110106-1) experimental; urgency=low

  * New Bazaar snapshot.
    - Check that named RAID array devices exist before using them (closes:
      #606035).
    - Clear terminfo output on initialisation (closes: #569678).
    - Fix grub-probe when btrfs is on / without a separate /boot.

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Jan 2011 13:38:57 +0000

grub2 (1.99~20110104-2) experimental; urgency=low

  * Support long command lines as per the 2.06 Linux boot protocol, from the
    upstream 'longlinuxcmd' branch.
  * Add a background_color command, from the upstream 'parse-color' branch.
  * Update branch_devmapper.patch, adding a #include to fix a build failure
    on Ubuntu amd64.
  * When embedding the core image in a post-MBR gap, check for and avoid
    sectors matching any of a number of known signatures, from the upstream
    'embed-sectors' branch.

 -- Colin Watson <cjwatson@debian.org>  Wed, 05 Jan 2011 13:31:05 +0000

grub2 (1.99~20110104-1) experimental; urgency=low

  * New Bazaar snapshot.
    - Don't emit drivemap directive for Windows Server 2008 (closes:
      #607687).
    - Don't add spurious RAID array members (closes: #605357).
    - Improve presentation of Xen menu entries (closes: #607867).
    - Fix PCI probing hangs by skipping remaining functions on devices that
      do not implement function 0 (closes: #594967).
    - Fix typo in descriptions of extract_legacy_entries_source and
      extract_legacy_entries_configfile (LP: #696721).
  * Merge 1.98+20100804-12:
    - Use semicolons rather than commas to separate size from model in
      debconf disk and partition descriptions.
  * Add full btrfs support, from the upstream 'butter' branch.
  * Support partitioned loop devices and improve devmapper support, from the
    upstream 'devmapper' branch.
  * Add squashfs 4 support, from the upstream 'squash' branch.

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Jan 2011 16:12:45 +0000

grub2 (1.99~20101221-1) experimental; urgency=low

  * New Bazaar snapshot.
    - Initialise next pointer when creating multiboot module (closes:
      #605567).
    - Fix gettext quoting to work with bash as /bin/sh, and make echo
      UTF-8-clean so that (at least) Catalan boot messages are displayed
      properly (closes: #605615).
    - Fix use of uninitialised memory in Reed-Solomon recovery code
      (LP: #686705).

 -- Colin Watson <cjwatson@debian.org>  Tue, 21 Dec 2010 17:43:52 +0000

grub2 (1.99~20101210-2) experimental; urgency=low

  * Automatically remove MD devices from device.map on upgrade, since the
    BIOS cannot read from these and including them in device.map will break
    GRUB's ability to read from such devices (LP: #690030).
  * Merge 1.98+20100804-9, 1.98+20100804-10, and 1.98+20100804-11:
    - Apply debconf template review by debian-l10n-english and mark several
      more strings for translation, thanks to David Prévot and Justin B Rye.
    - Incorporate rewritten 05_debian_theme by Alexander Kurtz, which works
      when /usr is inaccessible by GRUB.

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Dec 2010 13:25:14 +0000

grub2 (1.99~20101210-1) experimental; urgency=low

  * New Bazaar snapshot.
    - ZFS moved into grub-core.
    - Extend gettext to fall back from ll_CC to ll, and set lang to include
      country part by default so that Chinese works (LP: #686788).
  * Remove grub-mknetdir from grub-emu.
  * Exit silently from zz-update-grub kernel hook if update-grub does not
    exist (e.g. if grub-pc has been removed but not purged; closes:
    #606184).

 -- Colin Watson <cjwatson@debian.org>  Sat, 11 Dec 2010 01:22:26 +0000

grub2 (1.99~20101126-1) experimental; urgency=low

  * New Bazaar snapshot (mipsel build fix, LVM-on-RAID probing fix).
  * Fix comma-separation in handling of grub-pc/install_devices.

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Nov 2010 13:08:52 +0000

grub2 (1.99~20101124-1) experimental; urgency=low

  * New Bazaar snapshot (command priorities, build fixes, grub-mkdevicemap
    segfault).
  * Don't try to build grub-efi-amd64 on kfreebsd-i386 or hurd-i386
    (requires gcc-4.4-multilib).

 -- Colin Watson <cjwatson@debian.org>  Wed, 24 Nov 2010 12:12:33 +0000

grub2 (1.99~20101123-1) experimental; urgency=low

  * New Bazaar snapshot (build fixes).
  * Build-depend on qemu-utils and parted on non-Hurd architectures.
  * qemu_img_exists.patch: Skip partmap test if qemu-img doesn't exist (as
    is the case on the Hurd).
  * Make grub-efi-ia32 and grub-efi-amd64 depend on efibootmgr so that
    grub-install works properly.
  * Upgrade the installed core image when upgrading grub-efi-ia32 or
    grub-efi-amd64, although only if /boot/efi/EFI/<id> (where <id> is an
    identifier based on GRUB_DISTRIBUTOR, e.g. 'debian') already exists.
  * Re-expand a couple of dpkg architecture wildcards to exclude certain
    special cases: gcc-4.4-multilib is not available on kfreebsd-i386 or
    hurd-i386, and qemu-system is not available on hurd-i386.

 -- Colin Watson <cjwatson@debian.org>  Tue, 23 Nov 2010 10:51:23 +0000

grub2 (1.99~20101122-1) experimental; urgency=low

  [ Colin Watson ]
  * New Bazaar snapshot.  Too many changes to list in full, but some of the
    more user-visible ones are as follows:
    - GRUB script:
      + Function parameters, "break", "continue", "shift", "setparams",
        "return", and "!".
      + "export" command supports multiple variable names.
      + Multi-line quoted strings support.
      + Wildcard expansion.
    - sendkey support.
    - USB hotunplugging and USB serial support.
    - Rename CD-ROM to cd on BIOS.
    - Add new --boot-directory option to grub-install, grub-reboot, and
      grub-set-default; the old --root-directory option is still accepted
      but was often confusing.
    - Basic btrfs detection/UUID support (but no file reading yet).
    - bash-completion for utilities.
    - If a device is listed in device.map, always assume that it is
      BIOS-visible rather than using extra layers such as LVM or RAID.
    - Add grub-mknetdir script (closes: #550658).
    - Remove deprecated "root" command.
    - Handle RAID devices containing virtio components.
    - GRUB Legacy configuration file support (via grub-menulst2cfg).
    - Keyboard layout support (via grub-mklayout and grub-kbdcomp).
    - Check generated grub.cfg for syntax errors before saving.
    - Pause execution for at most ten seconds if any errors are displayed,
      so that the user has a chance to see them.
    - Support submenus.
    - Write embedding zone using Reed-Solomon, so that it's robust against
      being partially overwritten (closes: #550702, #591416, #593347).
    - GRUB_DISABLE_LINUX_RECOVERY and GRUB_DISABLE_NETBSD_RECOVERY merged
      into a single GRUB_DISABLE_RECOVERY variable.
    - Fix loader memory allocation failure (closes: #551627).
    - Don't call savedefault on recovery entries (closes: #589325).
    - Support triple-indirect blocks on ext2 (closes: #543924).
    - Recognise DDF1 fake RAID (closes: #603354).

  [ Robert Millan ]
  * Use dpkg architecture wildcards.

  [ Updated translations ]
  * Slovenian (Vanja Cvelbar).  Closes: #604003
  * Dzongkha (dawa pemo via Tenzin Dendup).  Closes: #604102

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Nov 2010 12:24:56 +0000

grub2 (1.98+20100804-14) unstable; urgency=low

  [ Updated translations ]
  * Kazakh (Baurzhan Muftakhidinov / Timur Birsh).  Closes: #609187

  [ Alexander Kurtz ]
  * 05_debian_theme:
    - If we find a background image and no colours were specified, use
      upstream defaults for color_normal and color_highlight rather than
      setting color_normal to black/black.
    - Don't try the other alternatives when $GRUB_BACKGROUND is set; you can
      now add GRUB_BACKGROUND= to /etc/default/grub to force no background
      image (closes: #608263).

 -- Colin Watson <cjwatson@debian.org>  Mon, 17 Jan 2011 23:19:38 +0000

grub2 (1.98+20100804-13) unstable; urgency=low

  * Backport from upstream:
    - Don't add spurious RAID array members (closes: #605357).

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Jan 2011 14:07:14 +0000

grub2 (1.98+20100804-12) unstable; urgency=low

  * Backport from upstream:
    - Support big ext2 files (closes: #543924).
    - Fix gettext quoting to work with bash as /bin/sh, and make echo
      UTF-8-clean so that (at least) Catalan boot messages are displayed
      properly (closes: #605615).
    - Initialise next pointer when creating multiboot module (closes:
      #605567).
    - Fix PCI probing hangs by skipping remaining functions on devices that
      do not implement function 0 (closes: #594967).
  * Use semicolons rather than commas to separate size from model in debconf
    disk and partition descriptions; commas are too easily confused with the
    multiselect choice separator, and in particular make it impossible to
    answer questions properly in the editor frontend (closes: #608449).
    Unfuzzy all translations where possible.

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Jan 2011 00:42:29 +0000

grub2 (1.98+20100804-11) unstable; urgency=low

  * Exit silently from zz-update-grub kernel hook if update-grub does not
    exist (e.g. if grub-pc has been removed but not purged; closes:
    #606184).
  * Apply debconf template review by debian-l10n-english and mark several
    more strings for translation, thanks to David Prévot and Justin B Rye
    (closes: #605748).
  * Unfuzzy some translations that were not updated in this round (thanks,
    David Prévot; closes: #606921).
  * Incorporate rewritten 05_debian_theme by Alexander Kurtz, which works
    when /usr is inaccessible by GRUB (closes: #605705).
  * Backport from upstream:
    - Recognise DDF1 DM-RAID (closes: #603354).

  [ Updated translations ]
  * Chinese (YunQiang Su).  Closes: #606426
  * Indonesian (Arief S Fitrianto).  Closes: #606431
  * Slovenian (Vanja Cvelbar).  Closes: #606445
  * Swedish (Martin Bagge / brother).  Closes: #606455
  * Ukrainian (Yatsenko Alexandr).  Closes: #606538
  * Basque (Iñaki Larrañaga Murgoitio).  Closes: #606644
  * Slovak (Slavko).  Closes: #606663
  * Catalan (Jordi Mallach).
  * Bulgarian (Damyan Ivanov).  Closes: #606452
  * Persian (Morteza Fakhraee).  Closes: #606672
  * Russian (Yuri Kozlov).  Closes: #606753
  * Dutch (Paul Gevers).  Closes: #606807
  * Japanese (Hideki Yamane).  Closes: #606836
  * French (Christian Perrier).  Closes: #606842
  * Czech (Miroslav Kure).  Closes: #606854
  * Spanish (Francisco Javier Cuadrado).  Closes: #606903
  * Portuguese (Tiago Fernandes / Miguel Figueiredo).  Closes: #606908
  * German (Martin Eberhard Schauer).  Closes: #606896

 -- Colin Watson <cjwatson@debian.org>  Sat, 18 Dec 2010 17:20:09 +0000

grub2 (1.98+20100804-10) unstable; urgency=low

  * fix_crash_condition_in_kfreebsd_loader.patch: Import from upstream.
    Fixes crash condition in case kfreebsd_* commands are used after
    kfreebsd has (gracefully) failed.

 -- Robert Millan <rmh@debian.org>  Tue, 30 Nov 2010 19:40:11 +0100

grub2 (1.98+20100804-9) unstable; urgency=low

  [ Robert Millan ]
  * Import from upstream:
    - refuse_embedingless_cross_disk.patch: Refuse to do a cross-disk
      embeddingless install rather than creating a broken install.
    - fix_grub_install_error_msg.patch: Replace useless recomendation to
      pass --modules with a recomendation to report a bug.
    - message_refresh.patch: Make error messages visible again. (Closes: #605485)

  [ Jordi Mallach ]
  * Update Catalan translation with latest file from the Translation Project.

  [ Updated translations ]
  * Slovenian (Vanja Cvelbar).  Closes: #604003
  * Dzongkha (dawa pemo via Tenzin Dendup).  Closes: #604102

 -- Robert Millan <rmh@debian.org>  Tue, 30 Nov 2010 15:44:02 +0100

grub2 (1.98+20100804-8) unstable; urgency=low

  [ Robert Millan ]
  * increase_disk_limit.patch: Increase SCSI/IDE disk limits to cope with
    Sun Fire X4500.
  * linux_mdraid_1x.patch: Support for Linux MD RAID v1.x.  (Closes: #593652)
  * yeeloong_boot_info.patch: On Yeeloong, pass machine type information
    to Linux.

  [ Updated translations ]
  * Portuguese fixed by Christian Perrier (variable names
    were translated)

 -- Robert Millan <rmh@debian.org>  Fri, 05 Nov 2010 23:43:15 +0100

grub2 (1.98+20100804-7) unstable; urgency=low

  [ Robert Millan ]
  * zfs_fix_mkrelpath.patch: Replace with proper fix from upstream Bazaar.
    (Closes: #601087)

  [ Updated translations ]
  * Vietnamese (Clytie Siddall). Closes: #598327
  * Icelandic (Sveinn í Felli).  Closes: #600126

 -- Robert Millan <rmh@debian.org>  Sun, 24 Oct 2010 16:35:37 +0200

grub2 (1.98+20100804-6) unstable; urgency=low

  [ Robert Millan ]
  * zfs_v23.patch: Accept ZFS up to v23 (no changes required).
  * fix_usb_boot.patch: Fix boot on USB devices, for BIOSes that
    expose them as floppies.  (Closes: #600580)
  * zfs_fix_mkrelpath.patch: Fix grub-mkrelpath for non-root ZFS.
    (Closes: #600578)

  [ Updated translations ]
  * Kazakh (kk.po) by Baurzhan Muftakhidinov via Timur Birsh (closes:
    #598188).
  * Portuguese (pt.po) by Tiago Fernandes via Rui Branco (closes: #599767).
  * Catalan (ca.po) by Jordi Mallach.

 -- Robert Millan <rmh@debian.org>  Thu, 21 Oct 2010 23:45:23 +0200

grub2 (1.98+20100804-5) unstable; urgency=low

  [ Updated translations ]
  * Hebrew (he.po) by Omer Zak and Lior Kaplan (closes: #593855).
  * Romanian (ro.po) by ioan-eugen STAN (closes: #595727).
  * Esperanto (eo.po) by Felipe Castro (closes: #596171).

  [ Colin Watson ]
  * Make grub-efi-amd64 conflict with grub-pc as well as the other way
    round.
  * Backport upstream patches to fix DM-RAID support (closes: #594221,
    LP: #634840).

  [ Robert Millan ]
  * enable_zfs.patch: Fix grub-fstest build problem.
  * zfs_fix_label_arg.patch: Fix kfreebsd_device initialization on ZFS
    for non-main filesystems.

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 Sep 2010 23:45:10 +0100

grub2 (1.98+20100804-4) unstable; urgency=low

  [ Updated translations ]
  * Italian (it.po) by Luca Monducci (closes: #593685).
  * Finnish (fi.po) by Esko Arajärvi (closes: #593921).

  [ Colin Watson ]
  * Run update-grub from kernel hooks if DEB_MAINT_PARAMS is unset, for
    compatibility with old kernel packages.  This may produce duplicate runs
    of update-grub, but that's better than not running it at all (closes:
    #594037).

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 Aug 2010 12:11:55 +0100

grub2 (1.98+20100804-3) unstable; urgency=low

  [ Updated translations ]
  * Brazilian Portuguese (pt_BR.po) by Flamarion Jorge (closes: #592156).
  * Asturian (ast.po) by Maacub (closes: #592313).
  * Galician (gl.po) by Jorge Barreiro (closes: #592816).

  [ Robert Millan ]
  * Backport ZFS bugfixes from upstream Bazaar:
    - zfs_fix_chroot.patch: Fix breakage when running grub-probe inside chroot.
    - zfs_fix_label_arg.patch: Fix grub-probe fs_label argument.
    - zfs_fix_pathname.patch: Fix pathname for non-root ZFS filesystems.
    - zfs_fix_segfault.patch: Fix segfault when /dev is not mounted.

  [ Colin Watson ]
  * Escape single quotes when removing them from $mode in zz-update-grub, so
    that this works when /bin/sh is bash (thanks, Will Dyson; closes:
    #593242).
  * Add support for ext2 root on GNU/kFreeBSD (thanks, Aurelien Jarno;
    closes: #593467).

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Aug 2010 18:21:45 +0100

grub2 (1.98+20100804-2) unstable; urgency=low

  [ Colin Watson ]
  * Make /etc/kernel/postrm.d/zz-update-grub a real file rather than a
    symlink (closes: #592076).

  [ Updated translations ]
  * Norwegian Bokmål (nb.po) by Hans Nordhaug (closes: #591569).

 -- Colin Watson <cjwatson@debian.org>  Sat, 07 Aug 2010 17:53:34 +0100

grub2 (1.98+20100804-1) unstable; urgency=low

  * New Bazaar snapshot.
    - Fix grub-emu build on GNU/kFreeBSD (closes: #591490).

  [ Colin Watson ]
  * Add kernel hook scripts and remove any uses of update-grub as a
    postinst_hook or postrm_hook in /etc/kernel-img.conf (closes: #554175).
    Thanks to Ben Hutchings for advice and to Harald Braumann for an early
    implementation.
  * Extend the existing GRUB_LEGACY_0_BASED_PARTITIONS handling to avoid
    new-style partition naming when generating output for GRUB Legacy
    (closes: #590554).

  [ Updated translations ]
  * Slovak (sk.po) by Slavko (closes: #591458).

 -- Colin Watson <cjwatson@debian.org>  Wed, 04 Aug 2010 04:48:11 +0100

grub2 (1.98+20100802-1) unstable; urgency=low

  * New Bazaar snapshot.
    - Remove compatibility with terminal.mod prior to
      terminal_input/terminal_output separation (LP: #519358).
    - Enable `grub-probe -t device' resolution on ZFS.
    - Don't use UUID for LVM root when generating Xen entries (closes:
      #591093).
    - Restore missing whitespace to commands' --help output (closes:
      #590874).
    - Select unique numbers for named RAID arrays, for use as keys in the
      disk cache.

  [ Updated translations ]
  * German (Martin Eberhard Schauer).  Closes: #590108
  * Spanish (Francisco Javier Cuadrado).  Closes: #590448
  * Traditional Chinese (Tetralet).  Closes: #591191
  * Danish (Joe Hansen).  Closes: #591223
  * Dutch (Paul Gevers).  Closes: #590864
  * Japanese (Hideki Yamane).  Closes: #591058

  [ Robert Millan ]
  * postinst.in: Fill in device size and model information on GNU/kFreeBSD,
    using camcontrol.
  * patches/enable_zfs.patch: New patch. Link ZFS from grub-extras into
    grub-probe and grub-setup.
  * control: Build-Depend on libzfs-dev and libnvpair-dev on kfreebsd-*.

  [ Colin Watson ]
  * Offer RAID devices as GRUB installation targets if they contain /,
    /boot, or /boot/grub.

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Aug 2010 02:13:07 +0100

grub2 (1.98+20100722-1) unstable; urgency=low

  * New Bazaar snapshot.
    - Don't count named RAID arrays when looking for unused array numbers.

  [ Colin Watson ]
  * Merge from Ubuntu:
    - grub-common Breaks: lupin-support (<< 0.30) due to a grub-mkimage
      syntax change (lupin-support isn't in Debian, but this is harmless
      anyway).

 -- Colin Watson <cjwatson@debian.org>  Thu, 22 Jul 2010 14:33:34 +0100

grub2 (1.98+20100720-1) unstable; urgency=low

  * New Bazaar snapshot.
    - Link to Info documentation on changes from GRUB Legacy in README
      (closes: #502623).
    - Add support for mdadm metadata formats 1.x (closes: #492897).

  [ Aaron M. Ucko ]
  * Compare -trunk kernels earlier than numeric ABIs (closes: #568160).

  [ Colin Watson ]
  * Remove /boot/grub/device.map, /boot/grub/grubenv,
    /boot/grub/installed-version, and /boot/grub/locale/ on purge, if
    permitted (closes: #547679).
  * Convert from CDBS to dh.
  * Use exact-version dependencies in grub2 and grub-efi, to reduce
    potential confusion.
  * Raise priority of grub-common and grub-pc to optional (also done in
    archive overrides).
  * Copy-edit debian/presubj.
  * Use 'mktemp -t' rather than hardcoding /tmp (closes: #589537).

  [ Mario 'BitKoenig' Holbe ]
  * Update /etc/grub.d/05_debian_theme to handle multiple entries in
    GRUB_TERMINAL_OUTPUT (closes: #589322).

  [ Updated translations ]
  * Simplified Chinese (zh_CN.po) by YunQiang Su (closes: #589013).
  * Russian (ru.po) by Yuri Kozlov (closes: #589244).
  * Swedish (sv.po) by Martin Bagge / brother (closes: #589259).
  * Bulgarian (bg.po) by Damyan Ivanov (closes: #589272).
  * Indonesian (id.po) by Arief S Fitrianto (closes: #589318).
  * Arabic (ar.po) by Ossama M. Khayat.
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio (closes: #589489).
  * Persian (fa.po) by Bersam Karbasion (closes: #589544).
  * Czech (cs.po) by Miroslav Kure (closes: #589568).
  * Belarusian (be.po) by Viktar Siarheichyk (closes: #589634).

 -- Colin Watson <cjwatson@debian.org>  Wed, 21 Jul 2010 09:11:14 +0100

grub2 (1.98+20100710-1) unstable; urgency=low

  * New Bazaar snapshot.
    - Handle degraded RAID arrays in grub-probe and grub-setup.
    - Fix gfxterm pager handling.

  [ Fabian Greffrath ]
  * Get value of correct debconf question when deciding whether to purge
    /boot/grub (closes: #588331).

  [ Colin Watson ]
  * Generate device.map in something closer to the old ordering (thanks,
    Vadim Solomin).

  [ Updated translations ]
  * Croatian (hr.po) by Josip Rodin, closes: #588350.
  * French (fr.po) by Christian Perrier (closes: #588695).

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 Jul 2010 11:46:53 +0100

grub2 (1.98+20100706-1) unstable; urgency=low

  * New Bazaar snapshot.
    - USB hub support.
    - Fix GRUB_BACKGROUND configuration ordering.
    - Fix corruption of first entry name in a reiserfs directory.
    - Don't include MD devices when generating device.map (if you're using
      RAID and upgraded through 1.98+20100702-1 or 1.98+20100705-1, you may
      need to fix this up manually).

 -- Colin Watson <cjwatson@debian.org>  Tue, 06 Jul 2010 18:06:40 +0100

grub2 (1.98+20100705-1) unstable; urgency=medium

  * New Bazaar snapshot.
    - Bidi and diacritics support.
      + Use terminfo for ieee1275 terminals (closes: #586953).
    - Don't use empty grub_device in EFI grub-install (closes: #587838).
    - Fix grub-setup core.img comparison when not embedding (thanks, Matt
      Kraai and M. Vefa Bicakci; closes: #586621).

  * Update Source: in debian/copyright (thanks, Jörg Sommer).
  * Convert by-id disk device names from device.map to traditional device
    names for display (closes: #587951).
  * Set urgency=medium.  We've cleared out most of the apparent regressions
    at this point, and #550704 is getting more and more urgent to fix in
    testing.

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 Jul 2010 02:09:58 +0100

grub2 (1.98+20100702-1) unstable; urgency=low

  * New Bazaar snapshot.
    - Use video functions in Linux loader rather than hardcoding UGA; load
      all available video backends (closes: #565576, probably).
    - Add support for initrd images on Fedora 13.
    - Output grub.cfg stanzas for Xen (closes: #505517).
    - Add 'cat --dos' option to treat DOS-style "\r\n" line endings as
      simple newlines (closes: #586358).
    - Change grub-mkdevicemap to emit /dev/disk/by-id/ names where possible
      on Linux.
    - Return CF correctly in mmap e820/e801 int15 hook (closes: #584846).
    - The info documentation now has no broken references, although of
      course it could still use more work (closes: #553460).
    - Support GRUB_BADRAM in grub-mkconfig.
    - Skip LVM snapshots (closes: #574863).

  [ Colin Watson ]
  * Mention grub-rescue-usb.img in grub-rescue-pc description (closes:
    #586462).
  * Add instructions for using grub-rescue-usb.img (closes: #586463).
  * Remove /usr/lib/grub/mips-* from grub-common rather than the incorrect
    /usr/lib/grub/mipsel-*, so that it stops clashing with grub-yeeloong;
    add a versioned Replaces to grub-yeeloong just in case (closes:
    #586526).
  * Remove qemu-system build-dependency on hurd-i386, where it doesn't seem
    to exist.  Disable tests if qemu-system-i386 isn't available.
  * Mark "upgrade-from-grub-legacy" paragraph in
    grub-pc/chainload_from_menu.lst as untranslatable.
  * Update Homepage field (thanks, Sedat Dilek).
  * On Linux, if /boot/grub/device.map exists on upgrade to this version,
    regenerate it to use stable device names in /dev/disk/by-id/.  If it had
    more than one entry, then display a critical-priority debconf note
    (sorry, but it's better than silently breaking boot menu entries)
    advising people to check custom boot menu entries and update them if
    necessary (closes: #583271).
  * Use 'set -e' rather than '#! /bin/sh -e' or '#! /bin/bash -e', to avoid
    accidents when debugging with 'sh -x'.
  * Store grub-pc/install_devices as persistent device names under
    /dev/disk/by-id/ (closes: #554790).  Migrate previous device names to
    that, with explicit confirmation in non-trivial cases to make sure we
    got the right ones.  If the devices we were told to install to ever go
    away, ask again.  (This is based on the implementation in Ubuntu.)
  * If grub-install fails during upgrade-from-grub-legacy, allow the user to
    try again with a different device, but failing that cancel the upgrade
    (closes: #587790).
  * Remove numbering from patch files.  The order is now explicit in a quilt
    series file, and renumbering from time to time is tedious.

  [ Updated translations ]
  * Ukrainian (uk.po) by Yatsenko Alexandr / Borys Yanovych (closes:
    #586611).
  * Indonesian (id.po) by Arief S Fitrianto (closes: #586799).
  * Swedish (sv.po) by Martin Bagge (closes: #586827).
  * Persian (fa.po) by Behrad Eslamifar (closes: #587085).
  * French (fr.po) by Christian Perrier (closes: #587383).
  * Galician (gl.po) by Jorge Barreiro (closes: #587796).

  [ Robert Millan ]
  * Add commented GRUB_BADRAM example in debian/default/grub.

 -- Colin Watson <cjwatson@debian.org>  Fri, 02 Jul 2010 17:42:56 +0100

grub2 (1.98+20100617-1) unstable; urgency=low

  * New Bazaar snapshot.
    - Fix i386-pc prefix handling with nested partitions (closes: #585068).

  * When running grub-pc.postinst from upgrade-from-grub-legacy, tell it to
    disregard the fact that /boot/grub/stage2 and /boot/grub/menu.lst still
    exist (closes: #550477).
  * Touch a marker file when grub-install is run but GRUB Legacy files are
    still around.  If that marker file is present, pretend that GRUB Legacy
    files are missing when upgrading.
  * If GRUB Legacy files are present when upgrading, scan boot sectors of
    all disks for GRUB 2.  If we find GRUB 2 installed anywhere, then ask
    the user if they want to finish conversion to GRUB 2, and warn them that
    not doing so may render the system unbootable (closes: #586143).  Thanks
    to Sedat Dilek for helping to narrow down this bug.
  * Leaving grub-pc/install_devices empty makes sense in some situations,
    but more often than not is a mistake.  On the other hand, automatically
    selecting all disk devices would upset some people too.  Compromise by
    simply asking for explicit confirmation if grub-pc/install_devices is
    left empty, defaulting to false so that simply selecting all the
    defaults in debconf can't leave you with an unbootable system (closes:
    #547944, #557425).

 -- Colin Watson <cjwatson@debian.org>  Sat, 19 Jun 2010 01:31:40 +0100

grub2 (1.98+20100614-2) unstable; urgency=low

  * Build-depend on gcc-4.4-multilib on i386 and kopensolaris-i386 too, in
    order to build grub-efi-amd64.
  * Ignore non-option arguments in grub-mkconfig (closes: #586056).

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Jun 2010 17:58:48 +0100

grub2 (1.98+20100614-1) unstable; urgency=low

  * New Bazaar snapshot.
    - Make target-related error messages from grub-mkimage slightly more
      helpful (closes: #584415).
    - Fix underquoting that broke savedefault (thanks, Mario 'BitKoenig'
      Holbe; closes: #584812).
    - Expand 'info grub' substantially, including a new section on
      configuring authentication (closes: #584822).
    - Give all manual pages proper NAME sections (closes: #496706).

  * Update 915resolution from grub-extras:
    - Fix a hang with 945GME (thanks, Sergio Perticone; closes: #582142).

  [ Colin Watson ]
  * Disable grub-emu on sparc for the time being.  We're currently trying to
    use TARGET_* flags to build it, which won't work.
  * Don't build-depend on libsdl1.2-dev on hurd-i386.  Although
    libsdl1.2-dev exists there, it's currently uninstallable due to missing
    libpulse-dev, and we can happily live without it for now.
  * kfreebsd-amd64 needs gcc-4.4-multilib too (closes: #585668).
  * Warn and return without error from prepare_grub_to_access_device if
    /boot is a dm-crypt device (thanks, Marc Haber; closes: #542165).
  * Make /etc/grub.d/05_debian_theme usable by shells other than bash
    (thanks, Alex Chiang; closes: #585561).
  * Remove grub-mkisofs leftovers from debian/copyright.
  * Fix reversed sense of DEB_BUILD_OPTIONS=nocheck handling.
  * Build-depend on qemu-system for grub-pc tests.

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 Jun 2010 12:45:35 +0100

grub2 (1.98+20100602-2) unstable; urgency=low

  * Only build-depend on libdevmapper-dev on Linux architectures.
  * Don't build-depend on libusb-dev on hurd-i386, where it doesn't seem to
    be available.
  * Fix printf format mismatch in disk/usbms.c (closes: #584474).
  * Fix verbose error output when device-mapper isn't supported by the
    running kernel (closes: #584196).
  * Prepend "part_" to partmap module names in grub-mkconfig, in line with
    grub-install (closes: #584426).

 -- Colin Watson <cjwatson@debian.org>  Fri, 04 Jun 2010 14:01:58 +0100

grub2 (1.98+20100602-1) unstable; urgency=low

  * New Bazaar snapshot.
    - Add btrfs probing support, currently only in the single-device case
      (closes: #540786).
    - Fix grub-emu build on mips/powerpc/sparc.
    - Add safety check to make sure that /boot/grub/locale exists before
      trying to probe it (closes: #567211).
    - Several 'info grub' improvements, including a new section on
      configuration file generation using grub-mkconfig which documents the
      available keys in /etc/default/grub (closes: #497085).
    - Many USB fixes.

  [ Colin Watson ]
  * Reorganise configure and build targets in debian/rules to use stamp
    files.  configure/* never existed and build/* was always a directory, so
    make never considered either of them up to date (closes: #450505).
  * Remove config.h.in from AUTOGEN_FILES, since autoheader doesn't
    necessarily update it.
  * Remove conf/gcry.mk from AUTOGEN_FILES, and conf/gcry.rmk from their
    dependencies.  autogen.sh runs util/import_gcry.py after autoconf et al,
    so conf/gcry.rmk's timestamp will be later than some of the
    autogenerated outputs.
  * Go back to shipping rescue images in the grub-rescue-pc .deb itself
    rather than generating them in the postinst.  This means that (a) they
    get removed when the package is removed (closes: #584176); (b) they are
    listed in package metadata, as is proper for files in /usr (closes:
    #584218); (c) grub-rescue-pc can potentially be used as a
    build-dependency for other packages that need to build GRUB images into
    installation media etc., without having to build-depend on grub-pc which
    isn't coinstallable with other platform variants and does invasive
    things in its postinst.
  * Add grub-mkrescue patch from Thomas Schmitt to allow reducing the size
    of xorriso-created images.  Use this to ensure that
    grub-rescue-floppy.img fits well within size limits (closes: #548320).

 -- Colin Watson <cjwatson@debian.org>  Thu, 03 Jun 2010 11:24:41 +0100

grub2 (1.98+20100527-2) unstable; urgency=low

  * Always override statically-linked-binary Lintian tag for kernel.img;
    dynamic linking makes no sense here.
  * kernel.img is stripped upstream where it can be, but override Lintian's
    error for the cases where it can't.
  * Override binary-from-other-architecture for kernel.img as well as *.mod
    when building grub-efi-amd64 on i386.

 -- Colin Watson <cjwatson@debian.org>  Tue, 01 Jun 2010 13:48:14 +0100

grub2 (1.98+20100527-1) unstable; urgency=low

  * New Bazaar snapshot.
    - Support multiple terminals in grub-mkconfig, e.g.
      GRUB_TERMINAL='serial console' (closes: #506707).
    - Speed up consecutive hostdisk operations on the same device (closes:
      #508834, #574088).
    - Fix grammar error in grub-setup warning (closes: #559005).
    - Use xorriso for image creation rather than embedding a modified copy
      of mkisofs (closes: #570156).
    - Issue an error rather than segfaulting if only some LVM component
      devices are in device.map (closes: #577808).
    - Fix typo in make_device_name which caused grub-probe problems on
      systems with BSD disk labels (closes: #578201).
    - Add DM-RAID probe support (closes: #579919).
    - Include all gnumach kernels on Hurd, not just gnumach and gnumach.gz
      (closes: #581584).

  [ Colin Watson ]
  * Restore TEXTDOMAINDIR correction in grub.d files, lost by mistake in a
    merge.  Noticed by Anthony Fok.
  * Don't fail on purge if the ucf association has already been taken over
    by a different grub package (closes: #574176).
  * Add debian/grub-extras/*/conf/*.mk to AUTOGEN_FILES.
  * Remove support for the lpia architecture, now removed from Ubuntu.
  * Conflict with grub (<< 0.97-54) as well as grub-legacy.
  * Build-depend on libdevmapper-dev for DM-RAID probe support.
  * Switch to quilt.
  * Suggest xorriso (>= 0.5.6.pl00) in grub-common, since grub-mkrescue now
    needs it.  Depend on it in grub-rescue-pc.
  * Move grub-mkimage to grub-common, now that it only has one
    implementation.
  * Clean up temporary files used while building grub-firmware-qemu.
  * Make grub-probe work with symlinks under /dev/mapper (closes: #550704).
  * When upgrading a system where GRUB 2 is chainloaded from GRUB Legacy and
    upgrade-from-grub-legacy has not been run, upgrade the chainloaded image
    rather than confusing the user by prompting them where they want to
    install GRUB (closes: #546822).
  * Build-depend on libsdl1.2-dev for SDL support in grub-emu.
  * Don't leak debconf's file descriptor to update-grub, so that the LVM
    tools called from os-prober don't complain about it (closes: #549976).
    Other leaks are not this package's fault, may not be bugs at all, and in
    any case os-prober 1.36 suppresses the warnings.
  * Build-depend on flex (>= 2.5.35).
  * Build-depend on gcc-4.4-multilib on amd64.

  [ Updated translations ]
  * Slovenian (sl.po) by Vanja Cvelbar (closes: #570110).
  * Vietnamese (vi.po) by Clytie Siddall (closes: #574578).
  * Tamil (ta.po) by Tirumurti Vasudevan (closes: #578282).
  * Portuguese (pt.po) by Tiago Fernandes (closes: #580140).
  * Romanian (ro.po) by Eddy Petrișor / Andrei Popescu (closes: #583185).

 -- Colin Watson <cjwatson@debian.org>  Tue, 01 Jun 2010 11:24:38 +0100

grub2 (1.98-1) unstable; urgency=low

  * New upstream release (closes: #572898).
    - Fix grub-script-check to handle empty lines (closes: #572302).
    - Fix offset computation when reading last sectors.  Partition reads and
      writes within and outside a partition (closes: #567469, #567884).
    - Fix script execution error handling bug that meant that an error in a
      menuentry's last statement caused the whole menuentry to fail (closes:
      #566538, LP: #464743).
    - Support GRUB_GFXPAYLOAD_LINUX (closes: #536453, LP: #416772).

  [ Samuel Thibault ]
  * Add GRUB_INIT_TUNE example to /etc/default/grub (closes: #570340).

  [ Colin Watson ]
  * Build-depend on libusb-dev so that grub-emu is reliably built with USB
    support (closes: #572854).
  * Update directions in debian/rules on exporting grub-extras to account
    for it being maintained in Bazaar nowadays.
  * Add myself to Uploaders.
  * Acknowledge NMUs, thanks to Torsten Landschoff and Julien Cristau.

 -- Colin Watson <cjwatson@debian.org>  Tue, 09 Mar 2010 13:25:35 +0000

grub2 (1.98~20100128-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Stop setting gfxpayload=keep (closes: #567245).

 -- Julien Cristau <jcristau@debian.org>  Sun, 14 Feb 2010 20:37:51 +0100

grub2 (1.98~20100128-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply trivial patch (already merged upstream) fixing the offset
    computation for non-cached reads (closes: #567637).

 -- Torsten Landschoff <torsten@debian.org>  Mon, 08 Feb 2010 22:15:01 +0100

grub2 (1.98~20100128-1) unstable; urgency=low

  * New Bazaar snapshot.
    - Fix corruption problem when reading files from CDROM.  (Closes: #567219)

  [ Felix Zielcke ]
  * Never strip kernel.img in rules. Upstream already does it when it
    can be done. (Closes: #561933)
  * Bump Standards-Version to 3.8.4.

  [ Robert Millan ]
  * rules: Run the testsuite (make check) when building grub-pc.

 -- Robert Millan <rmh.debian@aybabtu.com>  Thu, 28 Jan 2010 16:28:45 +0100

grub2 (1.98~20100126-1) unstable; urgency=low

  * New Bazaar snapshot.
    - Includes mipsel-yeeloong port.

  [ Robert Millan ]
  * config.in: Lower priority of grub2/linux_cmdline_default.

  [ Felix Zielcke ]
  * Drop `CFLAGS=-O0' workaround on powerpc. Should be fixed correctly now.
  * Ship grub-bin2h and grub-script-check in grub-common.
  * Terminate NEWS.Debian with a blank line like lintian would suggest
    if that check would be working correctly.

 -- Felix Zielcke <fzielcke@z-51.de>  Tue, 26 Jan 2010 19:26:25 +0100

grub2 (1.98~20100115-1) unstable; urgency=low

  * New Bazaar snapshot.
    - Includes savedefault / grub-reboot branch.
    - Includes Multiboot video support (from latest 1.x draft).

 -- Robert Millan <rmh.debian@aybabtu.com>  Fri, 15 Jan 2010 18:15:26 +0100

grub2 (1.98~20100110-1) unstable; urgency=low

  * New Bazaar snapshot.

  [ Robert Millan ]
  * grub-rescue-pc.postinst: Fix image generation during upgrades.
    (Closes: #564261)

 -- Robert Millan <rmh.debian@aybabtu.com>  Sun, 10 Jan 2010 02:45:52 +0100

grub2 (1.98~20100107-1) unstable; urgency=low

  * New Bazaar snapshot.

  [ Robert Millan ]
  * grub-rescue-pc.postinst: Use grub-mkrescue for floppy as well.

  [ Updated translations ]
  * Chinese (zh_TW.po) by Tetralet. (Closes: #564044)

 -- Robert Millan <rmh.debian@aybabtu.com>  Thu, 07 Jan 2010 17:56:10 +0100

grub2 (1.98~20100101-1) unstable; urgency=high

  * New Bazaar snapshot.
    - Fix FTBS on sparc.

  [ Robert Millan ]
  * rules: Auto-update version from debian/changelog.

  [ Felix Zielcke ]
  * Add -O0 to CFLAGS on powerpc to avoid the `_restgpr_31_x in boot is
    not defined' FTBFS.

 -- Felix Zielcke <fzielcke@z-51.de>  Fri, 01 Jan 2010 00:31:37 +0100

grub2 (1.98~20091229-1) unstable; urgency=high

  * New Bazaar snapshot.
    - Fix slowness when $prefix uses an UUID.
      (Closes: #541145, LP: #420933)
    - Correctly set TARGET_CFLAGS. (Closes: #562953)

  [ Robert Millan ]
  * grub-rescue-pc.postinst: Build USB rescue image.
  * rules: Invoke configure with relative path.  This makes binaries smaller,
    since dprintf strings are constructed using this path.

  [ Felix Zielcke ]
  * Urgency=high due to RC bug fix.
  * Fix version comparison in grub-common.preinst for handling obsolete
    /etc/grub.d/10_freebsd. (Closes: #562921)

 -- Felix Zielcke <fzielcke@z-51.de>  Tue, 29 Dec 2009 16:05:00 +0100

grub2 (1.98~20091222-1) unstable; urgency=low

  * New Baazar snapshot.
    - Make 30_os-prober again dash compatible. (Closes: #562034)

 -- Felix Zielcke <fzielcke@z-51.de>  Tue, 22 Dec 2009 12:50:57 +0100

grub2 (1.98~20091221-1) unstable; urgency=low

  * New Bazaar snapshot.
    - Fix search command failing on some broken BIOSes. (Closes: #530357)

  [ Felix Zielcke ]
  * Add Replaces:/Conflicts: grub-linuxbios to grub-coreboot. (Closes: #561811)
  * Delete obsolete /etc/grub.d/10_freebsd if it has not been modified,
    else disable it. (Closes: #560346)

 -- Robert Millan <rmh.debian@aybabtu.com>  Mon, 21 Dec 2009 22:04:17 +0100

grub2 (1.98~20091210-1) unstable; urgency=low

  * Version bump.

 -- Robert Millan <rmh.debian@aybabtu.com>  Mon, 14 Dec 2009 14:52:59 +0100

grub2 (1.97+20091210-1) unstable; urgency=low

  * New Bazaar snapshot.
    - patches/02_fix_mountpoints_in_mkrelpath.diff: Remove (merged).
    - Fixes FTBFS on powerpc (again) and sparc.
    - patches/903_grub_legacy_0_based_partitions.diff: Resync (merged into
      debian branch).

  * Fix dpkg dependency for lenny compatibility.

 -- Robert Millan <rmh.debian@aybabtu.com>  Thu, 10 Dec 2009 00:35:20 +0100

grub2 (1.97+20091130-1) unstable; urgency=low

  * New Bazaar snapshot.
  * Enable ntldr-img from grub-extras.

 -- Robert Millan <rmh.debian@aybabtu.com>  Mon, 30 Nov 2009 02:33:03 +0100

grub2 (1.97+20091125-2) unstable; urgency=low

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanovi (Closes: #558039)

  [ Robert Millan ]
  * control: Remove genisoimage from Build-Depends/Suggests (no longer
    used).
  * grub.d/05_debian_theme: Make output string distro-agnostic.

  [ Felix Zielcke ]
  * patches/02_fix_mountpoints_in_mkrelpath.diff: New patch to handle
    mount points like the old shell function did. (Closes: #558042)

 -- Felix Zielcke <fzielcke@z-51.de>  Sun, 29 Nov 2009 21:38:00 +0100

grub2 (1.97+20091125-1) unstable; urgency=low

  [ Robert Millan ]
  * New upstream snapshot.
    - Fixes script parser load error.

  * Add gettext to Build-Depends and gettext-base to grub-common's
    Depends.

 -- Felix Zielcke <fzielcke@z-51.de>  Wed, 25 Nov 2009 19:22:51 +0100

grub2 (1.97+20091124-1) unstable; urgency=low

  * New upstream snapshot.
    - Fix grub-mkisofs related FTBFS on powerpc. (Closes: #557704)
    - Create fake GRUB devices for devices not listed in device.map.
      This also makes dmraid and multipath work as long as
      search --fs-uuid works. (Closes: #442382, #540549, LP: #392136)
    - rules: grub-emu is now built as a port.

  [ Felix Zielcke ]
  * Change the bt-utf-source build dependency to xfonts-unifont. It's
    more complete, better maintained and grub-mkfont supports actually
    more then BDF fonts as input, thanks to libfreetype.
  * Use grub-probe to get the GRUB device of /boot/grub instead of
    passing (hd0) to grub-install when creating the core.img with
    chainloading. This avoids the (UUID=) hack slowness in case
    /boot/grub is on a different disk then (hd0) in device.map.
  * patches/903_grub_legacy_0_based_partitions.diff: Update.
  * Add a build dependency on automake and python.
  * Set TARGET_CC=$(CC) to really use gcc-4.4 everywhere. Also pass it
    and CC as arguments to ./configure instead of env vars so they get
    preserved.
  * Ship grub-mkrelpath in grub-common.
  * Ship the locale files in grub-common.
  * Add a dependency on 'dpkg (>= 1.15.4) | install-info' for grub-common
    as recommended by Policy and lintian.


 -- Felix Zielcke <fzielcke@z-51.de>  Tue, 24 Nov 2009 21:20:00 +0100

grub2 (1.97+20091115-1) unstable; urgency=low

  * New upstream snapshot.
    - Fix security problem with password checking.  (Closes: #555195)
    - Fix the generated GNU/Hurd menu entries and also add support for
      it in 30_os-prober. (Closes: #555188)
    - Same grub-mkrescue for grub-pc and grub-coreboot, used by
      grub-rescue-pc during postinst now. (Closes: #501867)

  [ Felix Zielcke ]
  * Ship grub-mkisofs in grub-common.
  * patches/002_grub.d_freebsd.in.diff: Remove (merged upstream).
  * patches/906_grub_extras.diff: Remove. Superseded by GRUB_CONTRIB variable
    in recent upstream trunk.
  * rules: Export GRUB_CONTRIB to enable grub-extras add-ons.
  * Pass --force to grub-install in the postinst. (Closes: #553415)
  * Don't strip debug symbols from grub-emu. It's meant for debugging
    and with them it's much more useful.
  * Ship grub-mkfloppy in grub-pc.
  * Revert the Replaces: grub-common to (<= 1.96+20080413-1) on the
    grub-pc package. It was wrongly modified long ago.

  [ Robert Millan ]
  * copyright: Document mkisofs.
  * control: Update Vcs- fields (moved to Bazaar).
  * rules: Update debian/legacy/update-grub rule to Bazaar.

 -- Felix Zielcke <fzielcke@z-51.de>  Sun, 15 Nov 2009 19:13:31 +0100

grub2 (1.97-1) unstable; urgency=low

  [ Robert Millan ]
  * patches/905_setup_force.diff: Remove, no longer needed as of
    grub-installer >= 1.47.
  * grub.d/05_debian_theme: Attempt to source grub_background.sh from
    desktop-base (Needed for #495282, #495616, #500134, see also
    #550984).

  [ Felix Zielcke ]
  * Add a build dependency on texinfo.
  * Fix little typo in /etc/default/grub. (LP: #457703)

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi. (Closes: #551912)

 -- Felix Zielcke <fzielcke@z-51.de>  Sun, 25 Oct 2009 19:50:21 +0100

grub2 (1.97~beta4-1) unstable; urgency=low

  * New upstream beta release.

  [ Felix Zielcke ]
  * Change the Recommends: os-prober to (>= 1.33).
  * patches/907_grub.cfg_400.diff: Really add it. Somehow it was a 0 byte file.
    (Closes: #547409)
  * Convert newlines back to spaces when parsing kopt from
    GRUB Legacy's menu.lst, before giving the value to Debconf.
    Thanks to Colin Watson. (Closes: #547649)
  * Ship the info docs in grub-common. (Closes: #484074)
  * Remove generated /usr/share/info/dir* files.
  * Update the presubj bug file and also install it for grub-common.

  [ Robert Millan ]
  * Enable ZFS and 915resolution in grub-extras (now requires explicit
    switch).
  * grub-common conflicts with grub-doc (<< 0.97-32) and grub-legacy-doc
    (<< 0.97-59).
  * Move grub-emu to a separate package.

  [ Updated translations ]
  * Japanese (ja.po) by Hideki Yamane. (Closes: #549599)

 -- Robert Millan <rmh.debian@aybabtu.com>  Mon, 05 Oct 2009 20:03:04 +0200

grub2 (1.97~beta3-1) unstable; urgency=high

  * New upstream beta release.
    - Make it more clear how to use /etc/grub.d/40_custom. (Closes: #545153)
    - fix a serious memory corruption in the graphical subsystem.
      (Closes: #545364, #544155, #544639, #544822, LP: #424503)
    - patches/003_grub_probe_segfault.diff: Remove (merged).

  * Change the watch file so upstream beta releases are recognized.
  * Include /etc/default/grub in bug reports.
  * Recommend os-prober (>= 1.32). (Closes: #491872)
  * Change the gcc-multilib [sparc] build dependency to gcc-4.4-multilib
    [sparc].
  * patches/907_grub.cfg_400.diff: New patch to make grub.cfg again mode
    444 if it does not contain a password line.
  * Use `su' in the bug reporting script to read grub.cfg in case the user
    is not allowed to read it.
  * Readd grub-pc/kopt-extracted template.

  [ Updated translations ]
  * Brazilian Portuguese (pt_BR.po) by Flamarion Jorge.
  * Japanese (ja.po) by Hideki Yamane. (Closes: #545331)
  * Spanish (es.po) by Francisco Javier Cuadrado. (Closes: #545566)
  * Italian (it.po) by Luca Monducci. (Closes: #546035)

 -- Felix Zielcke <fzielcke@z-51.de>  Sat, 12 Sep 2009 15:28:20 +0200

grub2 (1.97~beta2-2) unstable; urgency=low

  [ Updated translations ]
  * Dutch (nl.po) by Paul Gevers. (Closes: #545050)

  [ Felix Zielcke ]
  * Move GRUB Legacy's grub-set-default to /usr/lib/grub-legacy in
    preparation for GRUB 2's grub-set-default.
  * Remove password lines in bug script.

  [ Robert Millan ]
  * Do not conflict with `grub' dummy package (this prevented upgrades).
  * patches/003_grub_probe_segfault.diff: Disable file test codepath, which
    wasn't normally used before.

 -- Felix Zielcke <fzielcke@z-51.de>  Sat, 05 Sep 2009 00:27:22 +0200

grub2 (1.97~beta2-1) unstable; urgency=low

  * New upstream beta release.
    - Fix loading of FreeBSD modules. (Closes: #544305)

  [ Updated translations ]
  * French (fr.po) by Christian Perrier. (Closes: #544320)
  * Czech (cs.po) by Miroslav Kure. (Closes: #544327)
  * Belarusian (be.po) by Hleb Rubanau.
  * Arabic (ar.po) by Ossama M. Khayat.
  * Catalan (ca.po) by Juan Andrés Gimeno Crespo.
  * Russian (ru.po) by Yuri Kozlov. (Closes: #544730)
  * Swedish (sv.po) by Martin Ågren. (Closes: #544759)
  * Brazilian Portuguese (pt_BR.po) by Flamarion Jorge. (Closes: #544810)
  * German (de.po) by Helge Kreutzmann. (Closes: #544912)

  [ Robert Millan ]
  * Build with GCC 4.4.

 -- Robert Millan <rmh.debian@aybabtu.com>  Fri, 04 Sep 2009 14:40:20 +0200

grub2 (1.97~beta1-1) unstable; urgency=low

  * New upstream beta release.

  [ Updated translations ]
  * German (de.po) by Helge Kreutzmann. (Closes: #544261)
  * Asturian (ast.po) by Marcos.
  * Georgian (ka.po) by Aiet Kolkhi.

  [ Robert Millan ]
  * Merge config, templates, postinst, postrm, dirs and install files
    into a single source.
  * Disable Linux-specific strings on GNU/kFreeBSD.  Enable translations
    in grub2/linux_cmdline_default.  Add grub2/kfreebsd_* strings (still
    unused).

 -- Felix Zielcke <fzielcke@z-51.de>  Sun, 30 Aug 2009 18:01:40 +0200

grub2 (1.96+20090829-1) unstable; urgency=low

  * New SVN snapshot.
    - Fix filesystem mapping on GNU/kFreeBSD.  (Closes: #543950)

  * New grub-extras SVN snapshot.
    - Add 915resolution support to the GMA500 (poulsbo) graphics chipset.
      Thanks to Pedro Bulach Gapski. (Closes: #543917)

  * Use `cp -p' to copy /usr/share/grub/default/grub to the temporary
    file to preverse permissions.
  * Remove also efiemu files from /boot/grub on purge if requested.
  * Check that GRUB_CMDLINE_LINUX and GRUB_CMDLINUX_LINUX_DEFAULT is at
    the start of line in *.postinst.
  * Don't check that $GRUB_CMDLINE_LINUX{,DEFAULT} are non empty strings
    in *.config.
  * Add empty GRUB_CMDLINE_LINUX to /usr/share/grub/default/grub.
  * Factorise the editing of the temporary file. Thanks to Martin F
    Krafft.
  * Read in /etc/default/grub in *.config files.

  [ Updated translations ]
  * French (fr.po) by Christian Perrier. (Closes: #544023)
  * Russian (ru.po) by Yuri Kozlov. (Closes: #544077)
  * Italian (it.po) by Luca Monducci. (Closes: #544200)

 -- Felix Zielcke <fzielcke@z-51.de>  Sat, 29 Aug 2009 17:01:17 +0200

grub2 (1.96+20090826-3) unstable; urgency=low

  * Add missing quotes in grub-pc.config and *.postinst.

 -- Felix Zielcke <fzielcke@z-51.de>  Wed, 26 Aug 2009 19:14:23 +0200

grub2 (1.96+20090826-2) unstable; urgency=low

  * Really use the correct templates in grub-pc.config. ARGS.

 -- Felix Zielcke <fzielcke@z-51.de>  Wed, 26 Aug 2009 14:10:41 +0200

grub2 (1.96+20090826-1) unstable; urgency=low

  * New SVN snapshot.

  * Use the right templates in grub-pc.config. (Closes: #543615)

 -- Felix Zielcke <fzielcke@z-51.de>  Wed, 26 Aug 2009 11:00:36 +0200

grub2 (1.96+20090825-1) unstable; urgency=low

  * New SVN snapshot.
    - Enable gfxterm only if there's a suitable video backend and don't
      print an error if not. (Closes: #520846)

  [ Felix Zielcke ]
  * Copy unicode.pf2 instead of ascii.pf2 to /boot/grub in grub-pc
    postinst (Closes: #542314).
  * Update Standards version to 3.8.3.
  * Use DEB_HOST_ARCH_CPU for the generation of the lintian overrides.
  * Fix calling the grub-pc/postrm_purge_boot_grub template in
    grub-pc.postinst.
  * Handle GRUB_CMDLINE_LINUX and GRUB_CMDLINE_LINUX_DEFAULT via
    debconf. Thanks to Martin F. Krafft and Colin Watson for idea and
    hints.
  * Use ucfr --force when /etc/default/grub is registered to a grub-* package.
  * Use #!/bin/sh in *.config and fix a small bashism in grub-pc.config.

  [ Robert Millan ]
  * patches/907_terminal_output_workaround.diff: Remove.  It seems that
    it wasn't really necessary.
  * grub-pc.postinst: Avoid printing an error if /etc/kernel-img.conf
    doesn't exist, because it is misleading.  We simply refrain from
    fixing it and move along.
  * grub-pc.postinst: Don't schedule generation of grub.cfg via "grub-install"
    code path unless we actually run grub-install.
  * grub-pc.postinst: Only copy unicode.pf2 and moreblue-orbit-grub.png when
    /boot/grub/grub.cfg is scheduled to be generated.
  * legacy/upgrade-from-grub-legacy: Reset grub-pc/install_devices.
    Thanks Colin Watson.  (Closes: #541230)

 -- Felix Zielcke <fzielcke@z-51.de>  Tue, 25 Aug 2009 21:45:24 +0200

grub2 (1.96+20090808-1) unstable; urgency=low

  * New SVN snapshot.
    - Fix XFS with inode size different then 256. (Closes: #528761)
    - Add support for multiple LVM metadata areas. (LP: #408580)
    - patches/008_dac_palette_width.diff: Remove. (merged)
    - Prefer unicode over ascii font. (LP: #352034)

  [ Felix Zielcke ]
  * Fix the generation of the lintian override for efiemu64.o.
  * Remove the Conflicts dmsetup.
  * Use ?= for setting DEB_HOST_ARCH.
  * Document GRUB_DISABLE_LINUX_RECOVERY in /etc/default/grub.
    (Closes: #476536 LP: #190207)
  * Add docs/grub.cfg to examples.
  * patches/01_uuids_and_lvm_dont_play_along_nicely.diff: Updated to
    also disable UUIDs on LVM over RAID.
  * Add a debconf prompt to remove all grub2 files from /boot/grub on
    purge. (Closes: #527068, #470400)
  * Move the Suggests: os-prober from grub-pc to grub-common.
  * patches/901_dpkg_version_comparison.diff: Updated.
  * Update the Replaces on grub-common for the other packages to (<<
    1.96+20080831-1). (Closes: #540492)

  [ Robert Millan ]
  * Reorganize grub-pc.{config,postinst} logic.  The idea being that if there's
    no trace of GRUB Legacy, the grub-pc/install_devices template will be
    shown even if this is the first install.
  * When setting grub-pc/install_devices, obtain input dynamically from
    grub-mkdevicemap (rather than devices.map). (Closes: #535525)
  * Add a note to grub-pc/install_devices template that it's also possible
    to install GRUB to a partition boot record.
  * patches/002_grub.d_freebsd.in.diff: New patch.  Reimplement
    10_freebsd.in to handle multiple kernel versions & acpi.ko.

 -- Robert Millan <rmh.debian@aybabtu.com>  Mon, 10 Aug 2009 18:49:52 +0200

grub2 (1.96+20090725-1) unstable; urgency=high

  * New SVN snapshot.
    - Don't add drivemap call with Windows Vista/7. It breaks Win 7.
      (LP: #402154)

  [ Felix Zielcke ]
  * Don't build grub-efi-amd64 on hurd-i386.
  * Change DEB_BUILD_ARCH to DEB_HOST_ARCH in the check for sparc.
  * Don't add the lintian override for kernel.img for sparc and grub-pc.
  * Add a lintian override for binary-from-other-architecture for
    grub-efi-amd64 and grub-pc on i386.
  * Use wildcards in the lintian overrides.
  * Add a Conflicts/Replaces for all packages except grub-common.
    (Closes: #538177)

  [ Robert Millan ]
  * 008_dac_palette_width.diff: New patch.  Fix blank screen when booting
    Linux with vga= parameter set to a packed color mode (<= 8-bit).
    (Closes: #535026)
  * Set urgency=high because #535026 affects 1.96+20090709-1 which is in
    testing now.
  * patches/907_terminal_output_workaround.diff: Work around recent regression
    with terminal_output command (not critical, just breaks gfxterm).

 -- Robert Millan <rmh.debian@aybabtu.com>  Sat, 25 Jul 2009 19:00:53 +0200

grub2 (1.96+20090721-4) unstable; urgency=low

  * Place grub-ofpathname only in grub-common. (Closes: #537999)

 -- Felix Zielcke <fzielcke@z-51.de>  Wed, 22 Jul 2009 13:38:24 +0200

grub2 (1.96+20090721-3) unstable; urgency=low

  * Don't strip kernel.img on sparc.
  * Suggest efibootmgr on grub-efi-{amd64,ia32}.
  * Pass --disable-grub-fstest to configure. (Closes: #537897)

 -- Felix Zielcke <fzielcke@z-51.de>  Tue, 21 Jul 2009 21:46:01 +0200

grub2 (1.96+20090721-2) unstable; urgency=low

  * Add back Conflicts/Replaces grub.

 -- Felix Zielcke <fzielcke@z-51.de>  Tue, 21 Jul 2009 11:24:45 +0200

grub2 (1.96+20090721-1) unstable; urgency=low

  * New SVN snapshot.

  * Change License of my update-grub(8) and update-grub2(8) manpages to
    GPL3+ to match new copyright file.
  * Merge from Ubuntu: Don't build grub-efi-amd64 on lpia.
  * Don't pass `--enable-efiemu' to configure. On kfreebsd-i386 it won't
    compile and it should be now auto detected if it's compilable.
    (Closes: #536783)
  * Don't build grub-efi-amd64 on kfreebsd-i386. It lacks 64bit compiler
    support.
  * Rename the lintian override for kernel.elf to kernel.img.
  * Strip kernel.img not kernel.elf, but not in the case of grub-pc.
  * Rename the Conflicts/Replaces grub to grub-legacy. (Closes: #537824)

 -- Felix Zielcke <fzielcke@z-51.de>  Tue, 21 Jul 2009 10:50:20 +0200

grub2 (1.96+20090709-1) unstable; urgency=low

  * New SVN snapshot.

  * control (Build-Depends): Add gcc-multilib [sparc].
  * copyright: Rewrite using DEP-5 format.
  * Merge grub-extras into the package, and integrate it with GRUB's
    build system.
    - patches/906_grub_extras.diff
    - rules
    - copyright

 -- Robert Millan <rmh.debian@aybabtu.com>  Thu, 09 Jul 2009 00:26:49 +0200

grub2 (1.96+20090702-1) unstable; urgency=low

  * New SVN snapshot.
  * rules: Remove duplicated files in sparc64-ieee1275 port.
  * rules: Comment out -DGRUB_ASSUME_LINUX_HAS_FB_SUPPORT=1 setting.  We'll
    re-evaluate using it when it's more mature.  (Closes: #535026).

 -- Robert Millan <rmh.debian@aybabtu.com>  Thu, 02 Jul 2009 13:23:51 +0200

grub2 (1.96+20090629-1) unstable; urgency=low

  * New SVN snapshot.
    - Misc fixes in Linux loader.

  * control (grub-firmware-qemu): Make it buildable only on i386/amd64.
  * control: Add sparc (grub-ieee1275), remove remnants of ppc64.
  * rules: Include all modules in grub-firmware-qemu build.

 -- Robert Millan <rmh.debian@aybabtu.com>  Mon, 29 Jun 2009 19:22:37 +0200

grub2 (1.96+20090628-1) unstable; urgency=low

  * New SVN snapshot.
  * Re-enable QEMU port.

 -- Robert Millan <rmh.debian@aybabtu.com>  Sun, 28 Jun 2009 01:11:10 +0200

grub2 (1.96+20090627-2) unstable; urgency=low

  * Disable QEMU port untill it goes through NEW.
  * Upload to unstable.

 -- Robert Millan <rmh.debian@aybabtu.com>  Sat, 27 Jun 2009 18:40:17 +0200

grub2 (1.96+20090627-1) experimental; urgency=low

  * New SVN snapshot.
    - Fix parsing of --output in grub-mkconfig. (Closes: #532956)

  [ Felix Zielcke ]
  * Use ucfr --force in grub-ieee1275.postinst in case we're upgrading
    from previous version. It registered /etc/default/grub wrongly with
    package iee1275.
  * Drop the build dependency on libc6-dev-i386.
  * Remove ppc64 from the Architectures. It's totally dead.
  * Add a note to /etc/default/grub that update-grub needs to be run to
    update grub.cfg. (Closes: #533026)
  * Fix the svn-snapshot rule.
  * Update Standards version to 3.8.2. No changes needed.

  [ Robert Millan ]
  * legacy/upgrade-from-grub-legacy: Invoke grub-pc.postinst directly rather
    than dpkg-reconfigure.  Since we pretend we're upgrading, it will DTRT.
  * Add grub-firmware-qemu package.
    - patches/008_qemu.diff: QEMU port (patch from upstream).
    - control (grub-firmware-qemu): New package.
    - rules: Add grub-firmware-qemu targets.
    - debian/grub-firmware-qemu.dirs
    - debian/grub-firmware-qemu.install
  * patches/906_revert_to_linux16.diff: Remove, now that gfxpayload is
    supported.

 -- Robert Millan <rmh.debian@aybabtu.com>  Sat, 27 Jun 2009 00:46:23 +0200

grub2 (1.96+20090611-1) experimental; urgency=low

  * New SVN snapshot.

  * Append .diff to patches/01_uuids_and_lvm_dont_play_along_nicely so
    it gets really applied.
  * Drop completely the build dependency on gcc-multilib.
  * Instead of arborting in the preinst if /etc/kernel-img.conf still
    contains /sbin/update-grub, change the file with sed. Policy allows
    thisi, because it's not a conffile, according to Colin Watson.
  * Change /etc/default/grub to an ucf managed file instead of dpkg
    conffile.

 -- Felix Zielcke <fzielcke@z-51.de>  Fri, 12 Jun 2009 11:46:24 +0200

grub2 (1.96+20090609-1) experimental; urgency=low

  * New SVN snapshot.
    - Fix variable parsing inside strings. (Closes: #486180)
    - Add `true' command. (Closes: #530736)

  [ Robert Millan ]
  * Split grub-efi in grub-efi-ia32 and grub-efi-amd64, both available
    on i386 and amd64.  (Closes: #524756)
  * Add kopensolaris-i386 to arch list.

  [ Felix Zielcke ]
  * Add a NEWS entry about the grub-efi split.
  * Drop the build dependency on gcc-multilib for all *i386.
  * Change upgrade-from-grub-legacy to use `dpkg-reconfigure grub-pc' to
    install grub2 into MBR.

  [ New translations ]
  * Catalan (ca.po) by Jordi Mallach.

  [ Updated translations ]
  * Spanish (es.po) by Francisco Javier Cuadrado. (Closes: #532407)

 -- Jordi Mallach <jordi@debian.org>  Tue, 09 Jun 2009 19:21:15 +0200

grub2 (1.96+20090603-1) unstable; urgency=low

  * New SVN snapshot.

  * Abort the install of grub-pc if /etc/kernel-img.conf still contains
    /sbin/update-grub (Closes: #500631).

 -- Felix Zielcke <fzielcke@z-51.de>  Wed, 03 Jun 2009 20:01:11 +0200

grub2 (1.96+20090602-1) unstable; urgency=low

  * New SVN snapshot.

  [ Felix Zielcke ]
  * Skip floopies in the grub-install debconf prompt in grub-pc postinst.
    Patch by Fabian Greffrath. (Closes: #530848)

  [ Robert Millan ]
  * Change Vcs-Browser field to viewsvn.

  [ Felix Zielcke ]
  * Change Vcs-Svn field to point to the trunk. (Closes: #531391)
  * patches/01_uuids_and_lvm_dont_play_along_nicely: New patch.
    On Debian root=UUID= with lvm still doestn't work so disable it.
    (Closes: #530357)
  * Remove Otavio Salvador from Uploaders with his permission.
  * add grub-pc.preinst

 -- Felix Zielcke <fzielcke@z-51.de>  Wed, 03 Jun 2009 14:42:11 +0200

grub2 (1.96+20090523-1) unstable; urgency=low

  * New SVN snapshot.
    - Add drivemap command, similar to grub-legacy's map command.
      (Closes: 503630)
    - Export GRUB_TERMINAL_INPUT in grub-mkconfig. (Closes: #526741)

  [ Robert Millan ]
  * rules: Set GRUB_ASSUME_LINUX_HAS_FB_SUPPORT=1 in CFLAGS.
  * patches/905_setup_force.diff: Relax blocklist warnings.
  * patches/906_revert_to_linux16.diff: Keep using linux16 for now.

  [ Felix Zielcke ]
  * patches/07_core_in_fs.diff: Updated.
  * Remove /etc/grub.d/10_hurd on non-Hurd systems in the grub-common
    preinst. Likewise for 10_freebsd for non kFreebsd and 10_linux on
    kFreebsd and Hurd. (Closes: #523777)

 -- Felix Zielcke <fzielcke@z-51.de>  Sat, 23 May 2009 20:05:10 +0200

grub2 (1.96+20090504-1) experimental; urgency=low

  * New SVN snapshot.
    - Add support for parttool command, which can be used to hide partitions.
      (Closes: #505905)
    - Fix a segfault with LVM on RAID. (Closes: #520637)
    - Add support for char devices on (k)FreeBSD. (Closes: #521292)
    - patches/08_powerpc-ieee1275_build_fix.patch: Remove (merged).

  [ Updated translations ]
  * Basque (eu.po) by Piarres Beobide. (Closes: #522457)
  * German (de.po) by Helge Kreutzmann. (Closes: #522815)

  [ Robert Millan ]
  * Update my email address.
  * Remove 04_uuids_and_abstraction_dont_play_along_nicely.diff now that
    bugs #435983 and #455746 in mdadm and dmsetup have been fixed.

  [ Felix Zielcke ]
  * Place new grub-dumpbios in grub-common.
  * Add lpia to the archictectures to reduce the ubuntu delta.
  * Add a manpage for the update-grub and update-grub2 stubs, written by
    me. (Closes: #523876)
  * Suggest genisoimage on grub-pc and grub-ieee1275, because grub-mkrescue
    needs it to create a cd image. (Closes: #525845)
  * Add a dependency on $(AUTOGEN_FILES) for the configure/grub-common target,
    this is needed now that upstream removed the autogenerated files from SVN.
  * Add `--enable-efiemu to' `./configure' flags.
  * Add a build dependency on gcc-multilib for i386.
  * Drop alternate build dependency on gcc-4.1 (<< 4.1.2).

 -- Felix Zielcke <fzielcke@z-51.de>  Mon, 04 May 2009 21:01:22 +0200

grub2 (1.96+20090402-1) experimental; urgency=low

  * New SVN snapshot.
    - Fix regression in disk/raid.c.  (Closes: #521897, #514338)
    - Fix handling of filename string lengths in HFS.
      (Really closes: #516458).
  * Add myself to Uploaders.
  * Add patch 08_powerpc-ieee1275_build_fix.patch to fix powerpc-ieee1275
    builds which were lacking header files for kernel_elf_HEADERS. Thanks
    Vladimir Serbinenko.

 -- Jordi Mallach <jordi@debian.org>  Fri, 03 Apr 2009 20:58:37 +0200

grub2 (1.96+20090401-1) experimental; urgency=low

  [ Felix Zielcke ]
  * New SVN snapshot.
    - Pass grub's gfxterm mode to Linux kernel. (Closes: #519506)
    - Fix ext4 extents on powerpc. (Closes: #520286)

  [ Robert Millan ]
  * Remove grub-of transitional package (Lenny had grub-ieee1275 already).
  * Fix kopt parsing in grub-pc.config. Thanks Marcus Obst. (Closes: #514837)
  * Add debconf template to automatically run grub-install during upgrades
    (prior user confirmation).  (Closes: #514705)

 -- Robert Millan <rmh@aybabtu.com>  Wed, 01 Apr 2009 01:19:45 +0200

grub2 (1.96+20090317-1) unstable; urgency=low

  * New SVN snapshot.
    - Fix loading of files with underscore in HFS. (Closes: #516458)

  * Update Standards version to 3.8.1. No changes needed.

  [ Updated translations ]
  * Brazilian Portuguese (pt_BR.po) by Flamarion Jorge. (Closes: #519417)

 -- Felix Zielcke <fzielcke@z-51.de>  Tue, 17 Mar 2009 14:42:10 +0100

grub2 (1.96+20090309-1) unstable; urgency=low

  * New SVN snapshot.

 -- Felix Zielcke <fzielcke@z-51.de>  Mon, 09 Mar 2009 10:03:13 +0100

grub2 (1.96+20090307-1) unstable; urgency=low

  * New SVN snapshot.
    - Add support for /dev/md/dNNpNN mdraid devices. (Closes: #509960)
    - Add new PF2 fontengine. (Closes: #510344)
    - Avoid mounting ext2 partitions with backward-incompatible features.
      (Closes: #502333)
    - Try to avoid false positives with FAT. (Closes: #514263)

  [ Felix Zielcke ]
  * Remove build-dependency on unifont package and add one for bf-utf-source
    package and libfreetype6-dev
  * grub-pc.postinst: Copy new ascii.pf2 instead of old ascii.pff to /boot/grub.
  * Add `--enable-grub-mkfont' to configure flags.
  * Put new grub-mkfont in grub-common package.
  * Add a dependency for ${misc:Depends} to all packages to make lintian a bit
    more happy.
  * Detect when grub-setup leaves core.img in filesystem, and include that
    info in bug report templates.
    - debian/patches/07_core_in_fs.diff
    - debian/script
  * Add myself to Uploads and add `DM-Upload-Allowed: yes' tag.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Alvarez Costales. (Closes: #511144)
  * Traditional Chinese (zh_TW.po) by Tetralet. (Closes: #513918)
  * Belarusian (be.po) by Pavel Piatruk. (Closes: #516243)

 -- Felix Zielcke <fzielcke@z-51.de>  Sat, 07 Mar 2009 11:54:43 +0100

grub2 (1.96+20081201-1) experimental; urgency=low

  * New SVN snapshot.

 -- Robert Millan <rmh@aybabtu.com>  Mon,  1 Dec 2008 00:07:31 +0100

grub2 (1.96+20081120-1) experimental; urgency=low

  * New SVN snapshot.

  * Update to new debian theme.
    - grub-pc.postinst: Switch to moreblue-orbit-grub.png.
    - grub.d/05_debian_theme: Likewise.
  * grub.d/05_debian_theme:
      - Update to use new grub-mkconfig_lib instead of the deprecated
        update-grub_lib.
      - Update to check if `GRUB_TERMINAL_OUTPUT' is `gfxterm' instead of
        `GRUB_TERMINAL'.

   [ Updated translations ]
  * Romanien (ro.po) by Eddy Petrișor. (Closes: #506039)

 -- Felix Zielcke <fzielcke@z-51.de>  Thu, 20 Nov 2008 20:25:56 +0100

grub2 (1.96+20081108-1) experimental; urgency=low

  * New SVN snapshot.
    - Add support for /dev/md/N style mdraid devices. (Closes: #475585)
    - Handle LVM dash escaping. (Closes: #464215)
    - Use case insensitive match in NTFS. (Closes: #497889)
    - Use hd%d drive names in grub-mkdevicemap for all architectures.
      (Closes: #465365)
    - Handle LVM circular metadata. (Closes: #462835, #502953)
    - Fix NULL dereference and failure paths in LVM.  Thanks Guillem Jover.
      (Closes: #500482)
    - Provides GRUB header files (only in grub-common).

  [ Updated translations ]
  * Dutch (nl.po) by Paul Gevers. (Closes: #500514)
  * French (fr.po) by Christian Perrier. (Closes: #503708)
  * Georgian (ka.po) by Aiet Kolkhi. (Closes: #503715)
  * Czech (cs.po) by Miroslav Kure. (Closes: #503809)
  * German (de.po) by Helge Kreutzmann. (Closes: #503841)
  * Japanese (ja.po) by Hideki Yamane. (Closes: #503869)
  * Italian (it.po) by Luca Monducci. (Closes: #504076)
  * Swedish (sv.po) by Martin Ågren. (Closes: #504207)
  * Arabic (ar.po) by Ossama Khayat. (Closes: #504254)
  * Portuguese (pt.po) by Miguel Figueiredo. (Closes: #504280)
  * Russian (ru.po) by Yuri Kozlov. (Closes: #504324)
  * Finnish (fi.po) by Esko Arajärvi. (Closes: #504310)
  * Basque (eu.po) by Piarres Beobide. (Closes: #504466)
  * Dutch (nl.po) by Paul Gevers. (Closes: #504683)

  [ Felix Zielcke ]
  * patches/01_grub_legacy_0_based_partitions.diff: Rename to
  * patches/903_grub_legacy_0_based_partitions.diff: this and adapt for
    s/biosdisk.c/hostdisk.c/ rename upstream.
  * patches/03_disable_floppies.diff
    patches/904_disable_floppies.diff: Likewise.
  * update-grub has been renamed to grub-mkconfig, so provide a stub for
    compatibility.
  * Make grub-pc/linux_cmdline debconf template translatable. (Closes: #503478)
  * Remove ro.po and ta.po. They don't contain a single translated
    message.

  [ Robert Millan ]
  * control: Make grub-common dependency = ${binary:Version}.
  * default/grub: Set GRUB_CMDLINE_LINUX=quiet to syncronize with
    default D-I settings.

 -- Robert Millan <rmh@aybabtu.com>  Sat,  8 Nov 2008 13:54:10 +0100

grub2 (1.96+20080831-1) experimental; urgency=low

  * New SVN snapshot.
   - patches/00_fix_double_prefix.diff: Remove (merged). (Closes: #487565)
   - patches/00_getline.diff: Remove (merged). (Closes: #493289)
   - Handle errors in RAID/LVM scan routine (rather than letting the upper
     layer cope with them).  (Closes: #494501, #495049)
   - patches/901_linux_coreboot.diff: Remove (replaced).
   - Add support for GFXMODE variable (Closes: #493106)
   - Skips /dev/.* in grub-probe.  (Closes: #486624)
   - RAID code has various fixes. (Closes: #496573)
   - Buffered file read is now used to read the background image faster.
     (Closes: #490584)

  * We are already using LZMA, because upstream includes it's own lzma encoder,
    so drop completely the liblzo handling in control and rules files.

  [ Felix Zielcke ]
  * Remove the 1.95 partition numbering transition debconf warning
    from grub2 package and removed it from all languages (*.po).
    (Closes: #493744)
  * Add a comment for the new GFXMODE in default/grub.
  * debian/rules:
      - Remove 2 ./configure options which it didn't understand.
      - New grub-mkelfimage belongs to grub-common.
  * debian/control:
      - Change debhelper compat level to 7 and build depend on it >= 7.
      - Remove ${misc:Depend} dependency on all packages except grub-pc which is
        the only one using debconf.
      - Replace deprecated ${Source-Version} with ${source:Version} for <<
        dependency and with ${build:Version} for = ones.
      - Remove versioned dependency of Build-Depends patchutils and cdbs,
        because etch has newer versions then the one used.
      - Remove dpkg-dev completely from Build-Depends because it's
        build-essentail and a non versioned dependency results in a lintian error.
      - Remove Conflict/Replaces pupa, it has been removed from Debian 2004.
      - Change build-dependency of unifont-bin to unifont (>= 1:5.1.20080820),
        it's the new package containing unifont.hex and that version to avoid
        licensing problems (Closes: #496061)
      - Remove Jason Thomas from Uploaders with his permission.
  * Preserve arguments in update-grub2 stub. (Closes: #496610)

  [ Updated translations ]
  * Japanese (ja.po) by Hideki Yamane (Closes: #493347)

  [ Robert Millan ]
  * Move a few files to grub-common and remove them from the arch-
    specific packages.
  * patches/02_old_linux_version_comparison.diff: Replace with ...
  * patches/901_dpkg_version_comparison.diff: ... this.
    Use dpkg --compare-versions in update-grub. (Closes: #494158)
  * patches/03_disable_floppies.diff: Free .drive struct member when skipping
    floppy drives.  (Closes: #496040)
  * patches/902_boot_blocklist_hack.diff: Support separate /boot when using
    blocklists.  (Closes: #496820, #489287, #494589)

 -- Robert Millan <rmh@aybabtu.com>  Sun, 31 Aug 2008 18:40:09 +0200

grub2 (1.96+20080730-1) experimental; urgency=low

  * New SVN snapshot.
    - patches/00_fix_overflow.diff: Remove (merged).
    - patches/00_uuid_boot.diff: Remove (merged).
    - patches/00_raid_duped_disks.diff: Remove (merged).
    - patches/00_xfs.diff: Remove (merged).
    - patches/00_strengthen_apple_partmap_check.diff: Remove (merged).
    - patches/00_skip_dev_dm.diff: Remove (merged).

  * patches/901_linux_coreboot.diff: Implements Linux load on Coreboot
    (patch from Coresystems).

  * grub-linuxbios -> grub-coreboot rename again.

 -- Robert Millan <rmh@aybabtu.com>  Wed, 30 Jul 2008 22:12:07 +0200

grub2 (1.96+20080724-4) unstable; urgency=high

  * patches/00_fix_overflow.diff: fix overflow with a big grub.cfg.
    (Closes: #473543)

 -- Felix Zielcke <fzielcke@z-51.de>  Tue, 29 Jul 2008 17:10:59 +0200

grub2 (1.96+20080724-3) unstable; urgency=low

  [ Felix Zielcke ]
  * changed dependency for debconf to also support debconf-2.0. (Closes: #492543)
  * patches/00_xfs.diff: Fix "out of partition" error with XFS.
    (Closes: #436943)

  [ Robert Millan ]
  * patches/00_raid_duped_disks.diff: Do not abort when two RAID disks with
    the same number are found.  (Closes: #492656)
  * patches/00_strengthen_apple_partmap_check.diff: Be more strict when probing
    for Apple partition maps (this prevents false positives on i386-pc
    installs).  (Closes: #475718)

 -- Robert Millan <rmh@aybabtu.com>  Tue, 29 Jul 2008 00:48:01 +0200

grub2 (1.96+20080724-2) unstable; urgency=high

  [ Felix Zielcke ]
  * fixed lintian override for kernel.elf
  * debian/rules: changed cvs targets to use svn

  [ Robert Millan ]
  * patches/00_skip_dev_dm.diff: Skip /dev/dm-[0-9] devices also (implicitly)
    for RAID.  (Closes: #491977)
  * patches/00_uuid_boot.diff: Fix cross-disk installs by using UUIDs.
    (Closes: #492204)

 -- Robert Millan <rmh@aybabtu.com>  Sat, 26 Jul 2008 01:06:07 +0200

grub2 (1.96+20080724-1) unstable; urgency=high

  * New SVN snapshot.
    - Support for ext4dev extents.
    - patches/00_speed_up_font_load.diff: Remove (merged).

  [ Felix Zielcke ]
  * upgrade-from-grub-legacy now calls update-grub if grub.cfg doestn't exist
    and prints a big warning if it failed.
  * Update Standards version to 3.8.0. No changes need.
  * Added Build-Dep for po-debconf and a lintian override, to make it happy.

  [ Updated translations ]
  * Swedish (sv.po) by Martin Ågren (Closes: #492056)

  [ Robert Millan ]
  * Revert r844.  grub-coreboot is stuck on NEW, and it was too early
    for branching.

 -- Robert Millan <rmh@aybabtu.com>  Thu, 24 Jul 2008 13:27:53 +0200

grub2 (1.96+20080717-1) experimental; urgency=low

  * New SVN snapshot.
    - Provides LZMA support (not yet used in the package).
    - Fix grub-mkrescue manpage generation.  (Closes: #489440)

  * Rename grub-linuxbios to grub-coreboot (and leave a dummy grub-linuxbios
    package to handle upgrades).

  [ Updated translations ]
  * Spanish (es.po) by Maria Germana Oliveira Blazetic  (Closes: #489877)
  * Portuguese (pt.po) by Ricardo Silva  (Closes: #489807)

 -- Robert Millan <rmh@aybabtu.com>  Sat, 12 Jul 2008 17:47:09 +0200

grub2 (1.96+20080704-2) unstable; urgency=high

  * patches/02_old_linux_version_comparison.diff: Set interpreter to /bin/bash.
    (Closes: #489426, #489446)

 -- Robert Millan <rmh@aybabtu.com>  Mon,  7 Jul 2008 15:17:58 +0200

grub2 (1.96+20080704-1) unstable; urgency=high

  * New SVN snapshot.
  * default/grub: Add commented example to disable graphical terminal.
  * Use substvars to support linking with liblzo1.
  * Bring 03_disable_floppies.diff to pre-r805 state.  (Closes: #488375)
  * patches/02_old_linux_version_comparison.diff: New patch.  Steal version
    comparison code from GRUB Legacy's update-grub.  (Closes: #464086, #489133)
  * patches/00_speed_up_font_load.diff: New patch.  Generate font files with
    only the needed characters.  (Closes: #476479, #477083)

 -- Robert Millan <rmh@aybabtu.com>  Fri,  4 Jul 2008 21:39:07 +0200

grub2 (1.96+20080626-1) unstable; urgency=high

  * New CVS snapshot.
    - Avoids passing UUID to Linux when not using initrd.  (Closes: #484228)
    - patches/04_uuids_and_abstraction_dont_play_along_nicely.diff: Resync.

 -- Robert Millan <rmh@aybabtu.com>  Thu, 26 Jun 2008 16:43:48 +0200

grub2 (1.96+20080621-1) unstable; urgency=high

  * Urgency set to "high" because of #482688.
  * New CVS snapshot.
    - Fix module load hook in prepare_grub_to_access_device().
      (Closes: #486804)
    - Call prepare_grub_to_access_device() before accessing devices, never
      afterwards.  (Closes: #487198)
  * grub.d/05_debian_theme: Prefer /boot/grub over /usr for image
    loading, since chances are it's less LVMed.

 -- Robert Millan <rmh@aybabtu.com>  Sat, 21 Jun 2008 15:52:48 +0200

grub2 (1.96+20080617-1) unstable; urgency=low

  * New CVS snapshot.
    - Supports IDA block devices.  (Closes: #483858)
    - Fixes some problems in ext2/ext3.  (Closes: #485068, #485065)
    - Uses EUID instead of UID in update-grub.  (Closes: #486043, #486039,
      #486040, #486041).
    - Fixes incomplete I2O device support.  Thanks Sven Mueller.
      (Closes: #486505)
    - Fixes recent regressions in fs/ext2.c.  (Closes: #485279)
    - Only use UUIDs when requested device is not the same as the one
      providing /boot.  (Closes: #486119)
    - patches/02_libgcc_powerpc_hack.diff: Remove.  Probably not needed
      anymore.
    - patches/04_uuids_and_abstraction_dont_play_along_nicely.diff: Update.
  * patches/06_olpc_prefix_hack.diff: Hardcode prefix to (sd,1) on OLPC.
  * Refurbish 03_disable_floppy_support_in_util_biosdisk.diff into
    03_disable_floppies.diff.

 -- Robert Millan <rmh@aybabtu.com>  Tue, 17 Jun 2008 01:07:52 +0200

grub2 (1.96+20080601-2) unstable; urgency=low

  * 04_run_grub_mkdevicemap_when_grub_probe_fails.diff: Remove.  Argueably
    makes grub-probe unreliable and is quite annoying.
  * 04_uuids_and_abstraction_dont_play_along_nicely.diff: New patch.  Disable
    UUID parameter to Linux when LVM or dmRAID is in use.  (Closes: #484228)
    This is a workaround for bug #484297 in udev.

 -- Robert Millan <rmh@aybabtu.com>  Tue,  3 Jun 2008 16:29:53 +0200

grub2 (1.96+20080601-1) unstable; urgency=low

  * New CVS snapshot.
    - patches/06_backward_compat_in_uuid_support.diff: Merged.
    - Fixes NULL pointer dereference in biosdisk.c.  (Closes: #483895, #483900)
    - Extends UUID support for XFS and ReiserFS.

 -- Robert Millan <rmh@aybabtu.com>  Sun,  1 Jun 2008 15:44:08 +0200

grub2 (1.96+20080531-1) unstable; urgency=low

  * New CVS snapshot.
    - Work around BIOS bug affecting keyboard on macbooks.  (Closes: #482860)
    - Adjust grub.d/05_debian_theme to use the new UUID-compatible API.
    - default/grub: Add commented GRUB_DISABLE_LINUX_UUID variable.
    - patches/06_backward_compat_in_uuid_support.diff: New.  Make update-grub
      generate code that is compatible with older GRUB installs.
    - util/biosdisk.c no longer complains about duplicated device.map entries.
      (Closes: #481236)

  [ Updated translations ]
  * Galician (gl.po) by Jacobo Tarrio  (Closes: #480977)

 -- Robert Millan <rmh@aybabtu.com>  Sat, 31 May 2008 00:02:54 +0200

grub2 (1.96+20080512-1) unstable; urgency=low

  * New CVS snapshot.
    - Adds support for default-only Linux cmdline options.  (Closes: #460843)
    - Supports Xen virtual block devices.  (Closes: #456777)
    - Supports Virtio block devices.  (Closes: #479056)
    - Supports CCISS block devices.  (Closes: #479735)
    - Fixes handling of more LVM abnormal conditions.  (Closes: #474343,
      #474931, #477175)

  * Switch to liblzo2 now that it's GPLv3-compatible.  (Closes: #466375)
  * grub-pc.postinst: Escape \ and / in cmdline sed invokation.
    (Closes: #479279)

  [ Updated translations ]
  * Italian (it.po) by Luca Monducci  (Closes: #480740)

 -- Robert Millan <rmh@aybabtu.com>  Mon, 12 May 2008 17:46:38 +0200

grub2 (1.96+20080429-1) unstable; urgency=high

  * New CVS snapshot.
    - Includes sample grub.cfg file; we use it for grub-rescue-pc.
      (Closes: #478324)
  * grub-common: Upgrade Replaces to << 1.96+20080426-3.  (Closes: #478224,
    #478353, #478144)

  [ Updated translations ]
  * French (fr.po) by Christian Perrier  (Closes: #471291)

 -- Robert Millan <rmh@aybabtu.com>  Tue, 29 Apr 2008 13:27:52 +0200

grub2 (1.96+20080426-1) unstable; urgency=high

  * New CVS snapshot.
    - Fixes syntax error when setting GRUB_PRELOAD_MODULES.  (Closes: #476517)
  * Move os-prober to Suggests, to avoid trouble with #476184.
    (Closes: #476684)
  * patches/04_run_grub_mkdevicemap_when_grub_probe_fails.diff: New patch,
    does what its name says.  (Closes: #467127)
    - Also move grub-mkdevicemap from grub-pc to grub-common, so that GRUB
      Legacy can use it.

  [ Updated translations ]
  * Basque (eu.po) by Piarres Beobide  (Closes: #476708)

 -- Robert Millan <rmh@aybabtu.com>  Sat, 26 Apr 2008 20:06:55 +0200

grub2 (1.96+20080413-1) unstable; urgency=high

  * New CVS snapshot.
    - Provides 30_os-prober update-grub add-on.  Thanks Fabian Greffrath.
      (Closes: #461442)
    - Improves robustness when handling LVM.
      (Closes: #474931, #474343)
  * patches/03_disable_floppy_support_in_util_biosdisk.diff: New.  Does
    what its name says.  (Closes: #475177)

 -- Robert Millan <rmh@aybabtu.com>  Sun, 13 Apr 2008 13:53:28 +0200

grub2 (1.96+20080408-1) unstable; urgency=low

  * New CVS snapshot.
    - grub-probe skips non-existant devices when processing device.map.
    (Closes: #473209)
  * control: Fix syntax error.

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi (Closes: #468641)

 -- Robert Millan <rmh@aybabtu.com>  Tue,  8 Apr 2008 15:45:25 +0200

grub2 (1.96+20080228-1) unstable; urgency=low

  * New CVS snapshot.
  * Split grub-probe into grub-common package.  Make all flavours depend on it.
    (Closes: #241972)
  * Suggest multiboot-doc.
  * patches/01_grub_legacy_0_based_partitions.diff: New patch.  Add a hack that
    tells grub-probe you want 0-based partition count
    (GRUB_LEGACY_0_BASED_PARTITIONS variable)
  * Stop depending on lsb-release (too heavy! we don't need python in base).
    Instead of assuming it's there, try calling it and otherwise just echo
    Debian.

 -- Robert Millan <rmh@aybabtu.com>  Thu, 28 Feb 2008 16:43:40 +0100

grub2 (1.96+20080219-3) unstable; urgency=low

  * default/grub: Use lsb_release to support Debian derivatives.
    (Closes: #466561)
  * grub.d/05_debian_theme: Only setup background image when a reader for it
    is present in /boot/grub.  (Closes: #467111)

  [ Updated translations ]
  * Russian (ru.po) by Yuri Kozlov (Closes: #467181)

 -- Robert Millan <rmh@aybabtu.com>  Sun, 24 Feb 2008 15:39:50 +0100

grub2 (1.96+20080219-2) unstable; urgency=high

  * grub-pc.postinst: Create /boot/grub if it doesn't exist.

 -- Robert Millan <rmh@aybabtu.com>  Wed, 20 Feb 2008 07:15:14 +0100

grub2 (1.96+20080219-1) unstable; urgency=high

  * New CVS snapshot.
    - Improves GPT support, allowing it to work without blocklists.

 -- Robert Millan <rmh@aybabtu.com>  Tue, 19 Feb 2008 15:05:10 +0100

grub2 (1.96+20080216-1) unstable; urgency=high

  * New CVS snapshot.
    - Fixes offset calculation issue when installing on GPT (urgency set
      to high because of this).
  * Fix Vcs-Browser tag.  Thanks James.  (Closes: #465697)
  * Only process grub-pc/linux_cmdline if /boot/grub/menu.lst exists.
    (Closes: #465708)

  [ Updated translations ]
  * French (fr.po) by Christian Perrier  (Closes: #465706)

 -- Robert Millan <rmh@aybabtu.com>  Sat, 16 Feb 2008 23:30:55 +0100

grub2 (1.96+20080213-1) unstable; urgency=low

  * New CVS snapshot.
    - Failure to read one device in a RAID-1 array no longer causes boot
      to fail (so long as there's a member that works).  (Closes: #426341)
  * script: For /proc/mounts, only report lines that start with /dev/.
  * Add new upgrade-from-grub-legacy script for the user to complete the upgrade
    process from GRUB Legacy, and advertise it prominently in menu.lst.
    (Closes: #464912)
  * Add a hack to support gfxterm / background_image on systems where /usr
    isn't accessible.  (Closes: #464911, #463144)
    - grub-pc.postinst
    - grub.d/05_debian_theme
  * Fix a pair of spelling mistakes in debconf.  (Closes: #465296)
  * Migrate kopt from menu.lst.  (Closes: #461164, #464918)

  [ Updated translations ]
  * Portuguese (pt.po) by Ricardo Silva (Closes: #465137)
  * German (de.po) by Helge Kreutzmann (Closes: #465295)

 -- Robert Millan <rmh@aybabtu.com>  Wed, 13 Feb 2008 16:37:13 +0100

grub2 (1.96+20080210-1) unstable; urgency=high

  * New CVS snapshot.
    - Errors that cause GRUB to enter rescue mode are displayed now.
      (Closes: #425149)
    - Build LVM/RAID modules into a few commands that were missing them
      (notably, grub-setup).  (Closes: #465033)
  * Fix license violation (incompatibility between GRUB and LZO2).
    (Closes: #465056)
    - Urgency set to high.
    - control: Move liblzo2-dev from Build-Depends to Build-Conflicts
      (leaving liblzo-dev as the only option).

 -- Robert Millan <rmh@aybabtu.com>  Sun, 10 Feb 2008 17:09:15 +0100

grub2 (1.96+20080209-1) unstable; urgency=low

  * New CVS snapshot.
    - Fix a root device setting issue in grub-setup.  (Closes: #463391)
    - Fix partmap detection under LVM/RAID.
    - Add scripting commands that would allow user to implement hiddenmenu-like
      functionality (http://grub.enbug.org/Hiddenmenu).
    - Provide manpages for grub-setup, grub-emu, grub-mkimage and others.
      (Closes: #333516, #372890)
  * Fix a pair of spelling errors in debconf templates.  Thanks Christian
    Perrier.  (Closes: #464133)
  * Run debconf-updatepo.  (Closes: #463918)
  * Lower base-files versioned dependency to >= 4.0.1~bpo40+1.

 -- Robert Millan <rmh@aybabtu.com>  Sat,  9 Feb 2008 13:43:49 +0100

grub2 (1.96+20080203-1) unstable; urgency=low

  * New CVS snapshot (and release, but we skipped that ;-))
    - patches/01_regparm.diff: Delete.
    - Improved XFS support.
    - util/grub.d/00_header.in: Add runtime error detection (for gfxterm).
    - Fixes problem when chainloading to Vista.
  * Fix po-debconf errors.  Thanks Thomas Huriaux.  (Closes: #402972)
  * grub.d/05_debian_theme:
    - Add runtime error detection.
    - Detect/Enable PNG background when it is present.
  * control (grub-ieee1275): Remove versioned dependency on powerpc-ibm-utils.

 -- Robert Millan <rmh@aybabtu.com>  Sun,  3 Feb 2008 19:31:23 +0100

grub2 (1.95+20080201-1) unstable; urgency=low

  * New CVS snapshot.
  * presubj: Improve notice.
  * patches/01_regparm.diff: Fix CPU context corruption affecting fs/xfs.c.
    (Closes: #463081, #419766, #462159)
  * patches/02_libgcc_powerpc_hack.diff: Fix FTBFS on powerpc. (Closes: #457491)
  * patches/disable_xfs.diff: Actually remove this time...

 -- Robert Millan <rmh@aybabtu.com>  Fri,  1 Feb 2008 17:06:00 +0100

grub2 (1.95+20080128-1) unstable; urgency=low

  * New CVS snapshot.
    - Fixes bogus CLAIM problems on Apple firmware.  (Closes: #449135, #422729)
    - grub-probe performs sanity checks to make sure our filesystem drivers
      are usable.  (Closes: #462449)
    - patches/disable_ata.diff: Remove.  ATA module isn't auto-loaded in
      rescue floppies now.
    - patches/disable_xfs.diff: Remove.  See above (about grub-probe).
  * Bring back grub-emu; it can help a lot with debugging feedback.
    - control
    - rules

 -- Robert Millan <rmh@aybabtu.com>  Mon, 28 Jan 2008 00:01:11 +0100

grub2 (1.95+20080116-2) unstable; urgency=low

  * grub.d/05_debian_theme: Enable swirlish beauty.
  * rules: Obtain debian/legacy/update-grub dynamicaly from GRUB Legacy svn.

 -- Robert Millan <rmh@aybabtu.com>  Sat, 19 Jan 2008 13:16:18 +0100

grub2 (1.95+20080116-1) unstable; urgency=low

  * New CVS snapshot.
    - update-grub ignores stale *.dpkg-* files.  (Closes: #422708, #424223)
    - LVM/RAID now working properly (except when it affects /boot).
      (Closes: #425666)
    - Fixes flickery in timeout message.  (Closes: #437275)
  * grub-pc.postinst: Use `--no-floppy' whenever possible.  Die, floppies,
    die!
  * Resync with latest version of GRUB Legacy's update-grub.  This time,
    using the $LET_US_TRY_GRUB_2 hack to reuse the same script both for
    addition of core.img and its removal.
  * grub-*.install: Add update-grub2 stub.  Packages providing /etc/grub.d/
    scripts should invoke update-grub2 in both postinst and postrm (whenever
    it is found, of course).
  * control: Reorganize a bit, including a complete rewrite of the
    package descriptions.
  * control (grub-ieee1275): Enable for i386/amd64.

 -- Robert Millan <rmh@aybabtu.com>  Wed, 16 Jan 2008 15:00:54 +0100

grub2 (1.95+20080107-1) unstable; urgency=low

  * New CVS snapshot.
    - Supports ReiserFS.  (Closes: #430742)
    - patches/disable_ata.diff: Resync.

 -- Robert Millan <rmh@aybabtu.com>  Mon,  7 Jan 2008 12:46:39 +0100

grub2 (1.95+20080105-2) unstable; urgency=low

  * grub-pc.postinst: Fix covered assumption that menu.lst exists.
    (Closes: #459247)
  * copyright: Fix copyright/license reference.

 -- Robert Millan <rmh@aybabtu.com>  Sun,  6 Jan 2008 18:02:28 +0100

grub2 (1.95+20080105-1) unstable; urgency=low

  * New CVS snapshot.
    - Fixes install on non-devfs systems with devfs-style paths (ouch).
      (Closes: #450709).
    - Fixes boot of "Linux" zImages (including memtest86+).  (Closes: #436113).
    - Corrects usage message in grub-setup.  (Closes: #458600).
    - patches/menu_color.diff: Remove.  Made obsolete by `menu_color_normal'
      and `menu_color_highlight' variables.  Add/install grub.d/05_debian_theme
      to make use of them.
  * Reestructure grub-pc.postinst.  Notably:
    - Do not touch menu.lst unless user has confirmed it (via debconf).
      (Closes: #459247)
    - When we do, keep a backup in /boot/grub/menu.lst_backup_by_grub2_postinst.

 -- Robert Millan <rmh@aybabtu.com>  Sat,  5 Jan 2008 17:55:37 +0100

grub2 (1.95+20080101-1) unstable; urgency=low

  * New CVS snapshot.
    - patches/disable_xfs.diff: Rewrite in a way that won't collide with
      upstream changes so often.
    - unifont.hex now processed by upstream.
      - rules: Disable build of unifont.pff.
      - *.install: Remove build/unifont.pff line.
    - patches/menu_color.diff: Change menu color to our traditional blue theme.
  * Support new dpkg fields (Homepage, Vcs-Svn, Vcs-Browser).
  * patches/disable_ata.diff: Prevent ATA module from being built on i386-pc.

 -- Robert Millan <rmh@aybabtu.com>  Tue,  1 Jan 2008 19:45:30 +0100

grub2 (1.95+20071101-1) unstable; urgency=low

  * New CVS snapshot.
    - patches/linuxbios.diff: Remove (supported in upstream now).

 -- Robert Millan <rmh@aybabtu.com>  Thu,  1 Nov 2007 13:18:51 +0100

grub2 (1.95+20071004-2) unstable; urgency=low

  * Rename debian/grub-of.* to debian/grub-ieee1275.*.
  * Add debian/grub-linuxbios.{postinst,dirs,install}.
  * rules: Fix/Overrride lintian warnings (unstripped-binary-or-object).
  * Remove grub-linuxbios.postinst.

 -- Robert Millan <rmh@aybabtu.com>  Wed, 10 Oct 2007 23:56:35 +0200

grub2 (1.95+20071004-1) unstable; urgency=low

  * New CVS snapshot.
  * Add grub-linuxbios package.
    - patches/linuxbios.diff
    - control
    - rules
  * Rename grub-of to grub-ieee1275 to match with upstream conventions.
    - control
    - rules

 -- Robert Millan <rmh@aybabtu.com>  Thu,  4 Oct 2007 14:42:30 +0200

grub2 (1.95+20070829-1) unstable; urgency=low

  * New CVS snapshot.
    - Includes fix for parallel builds.
  * rules: Append -j flag to $(MAKE) to take advantage of >1 processors.
  * Add reference to /usr/share/common-licenses.
    - debian/copyright
    - debian/control (all packages): Add base-files (>= 4.0.1) dependency.

 -- Robert Millan <rmh@debian.org>  Sat,  1 Sep 2007 19:00:22 +0200

grub2 (1.95+20070828-2) unstable; urgency=low

  * control (grub-of): Make depends on powerpc-ibm-utils versioned as
    >= 1.0.6 (older versions don't have -a flag).

 -- Robert Millan <rmh@debian.org>  Tue, 28 Aug 2007 23:32:32 +0200

grub2 (1.95+20070828-1) unstable; urgency=low

  * New CVS snapshot.
    - Adds ntfs support.
    - Fixes a pair of issues indirectly breaking grub-probe on powerpc.
      (Closes: #431488)
    - patches/disable_xfs.diff: Resync.
    - copyright: License upgraded to GPLv3.
  * control (grub-of Depends): Add powerpc-utils (for nvsetenv) and bc.

 -- Robert Millan <rmh@debian.org>  Tue, 28 Aug 2007 21:24:14 +0200

grub2 (1.95+20070626-1) unstable; urgency=low

  * New CVS snapshot.
    - More fixes to cope with unreadable /.  (Closes: #427289)
    - update-grub supports multiple terminals.
  * control (Build-Depends): Add genisoimage.
  * patches/partmap_fallback.diff: Remove.  It didn't archieve anything as
    it also needs support for proper identification of raid / lvm (this is
    being worked on).
  * patches/disable_xfs.diff: Disable xfs in grub-probe.
  * grub-rescue-pc.README.Debian: New.  Explain how to use the rescue
    images.

 -- Robert Millan <rmh@debian.org>  Tue, 26 Jun 2007 08:39:14 +0200

grub2 (1.95+20070614-1) unstable; urgency=low

  * New CVS snapshot.
    - update-grub is tollerant to unreadable / (as long as /boot is
    accessible). (Closes: #427289)
  * grub-pc.postinst: Generate new grub.cfg when menu.lst exists.
  * New package grub-rescue-pc.
    - control: Add it.
    - README.Debian.in: Remove obsolete documentation.
    - rules: Build rescue images using grub-mkrescue.
    - grub-rescue-pc.dirs: Prepare their directory.
    - grub-rescue-pc.install: Install them.
  * legacy/update-grub: Fix core.img detection on separate /boot.

 -- Robert Millan <rmh@debian.org>  Thu, 14 Jun 2007 08:17:21 +0200

grub2 (1.95+20070604-1) unstable; urgency=low

  * New CVS snapshot.
    - patches/grub_probe_for_everyone.diff: Remove (merged).
    - update-grub exports user-defined GRUB_CMDLINE_LINUX.  (Closes: #425453)
    - Fix those nasty powerpc bugs.  (Closes: #422729)

 -- Robert Millan <rmh@aybabtu.com>  Mon,  4 Jun 2007 21:30:55 +0200

grub2 (1.95+20070520-1) unstable; urgency=low

  * New CVS snapshot.
    - LVM / RAID fixes.  (Closes: #423648, #381150)
    - Fix memory management bug.  (Closes: #423409)
    - patches/efi.diff: Remove (merged).
    - patches/grub_probe_for_everyone.diff: Use the new paths for
      util/grub-probe.c, util/biosdisk.c, util/getroot.c.  Enable
      grub-mkdevicemap.  (Closes: #424985)
  * legacy/update-grub: Get rid of all grub-set-default calls.  (Closes: #425054)
  * grub-{pc,efi,of}.postinst: Only run update-grub if grub.cfg already exists.
  * grub-pc.postinst: Only run GRUB Legacy compat stuff if menu.lst is found.
  * patches/partmap_fallback.diff: New.  Implement fallback "pc gpt" for partmap
    detection failures.  (Closes: #423022)
  * control: Update XS-Vcs-* fields.  Thanks Sam Morris <sam@robots.org.uk>.
    (Closes: #425146)
  * grub-{pc,efi,of}.{dirs,postinst}: Move unifont.pff to /usr/share/grub.

 -- Robert Millan <rmh@aybabtu.com>  Sun, 20 May 2007 11:13:03 +0200

grub2 (1.95+20070515-1) unstable; urgency=low

  * New CVS snapshot.
    - Fix assumptions about /, /boot and /boot/grub being the same device.
    (Closes: #423268, #422459)
    - Proper sorting of Linux images.  (Closes: #422580)
    - update-grub lets /etc/default/grub override its variables now.
    (Closes: #423649)
    - update-grub mentions /etc/default/grub in the grub.cfg header.
    (Closes: #423651)
    - update-grub sets 800x600x16 as the default gfxmode.  (Closes: #422794)
    - update-grub runs grub-mkdevicemap before attempting to use grub-probe
    (part of #423217)

  [ Otavio Salvador ]
  * Add support to DEB_BUILD_OPTIONS=noopt. Thanks to Sam Morris
    <sam@robots.org.uk> for the patch. (Closes: #423005)
  * Add Robert Millan as uploader.
  * Change build-dependency from liblzo-dev to liblzo2-dev. (Closes: #423358)

  [ Robert Millan ]
  * grub-pc.postinst:
    - Remove /boot/grub/device.map before running grub-install.
      (Closes: #422851)
    - Always run update-grub after grub-install. (part of #423217)
    - Use grub-mkdevicemap instead of removing device.map, since update-grub
      needs it but grub-install is not run unconditionaly.
    - Redirect grub-install invocation to /dev/null, since it can mislead
      users into thinking that MBR was overwritten.  (part of #423217)
  * default/grub: Stop exporting the variables (update-grub does that now).
  * Misc EFI fixes, including new grub-install.
    - patches/efi.diff: New.
    - patches/grub_probe_for_everyone.diff: Move some bits to efi.diff.
    - grub-efi.install: Stop installing dummy grub-install.
    - grub-install: Remove.
  * grub-pc.postinst: Avoid generating core.img when menu.lst is not present,
    to avoid duplicated work (this is specialy important for d-i).  (part of
    #423217).
  * See multiple references above.  (Closes: #423217)
  * grub-{pc,efi,of}.{dirs,install}: Install presubj in the right directory
    to make it work again (oops).
  * Add reportbug script to gather debugging information.  (Closes: #423218)
    - script: New.
    - grub-{pc,efi,of}.install: Install it.
  * Install the reportbug scripts for grub2 too, since users might still use
    it for bugfiling.
    - grub2.dirs
    - grub2.install
  * Fix some lintian warnings.
    - control (grub2): Depend on debconf.
    - README.Debian.in: Fix mispell.
    - grub2.templates: Remove extra dot.

 -- Robert Millan <rmh@aybabtu.com>  Tue, 15 May 2007 22:08:53 +0200

grub2 (1.95+20070507-1) unstable; urgency=low

  [ Robert Millan ]
  * New CVS snapshot.
    - patches/build_neq_src.diff: Remove (merged).
  * Fix debhelper files to ensure each package gets the right thing.
  * Enable gfxterm/unifont support.
  * On grub-pc, if there's no core.img setup, create one (but do not
    risk writing to MBR).
  * On grub-pc, if menu.lst is found, regenerate it to include our
    core.img.

  [ Otavio Salvador ]
  * Move debian/update-grub to debian/legacy/update-grub otherwise the
    source gets messy.

 -- Otavio Salvador <otavio@ossystems.com.br>  Mon, 07 May 2007 18:48:14 -0300

grub2 (1.95+20070505.1-3) unstable; urgency=low

  * Split postinst into grub2.postinst (with the transition warning) and
    postinst.in, with update-grub invocation for grub-{pc,efi,of}.
    - postinst.in
    - grub2.postinst
    - rules

 -- Robert Millan <rmh@aybabtu.com>  Sun,  6 May 2007 01:20:04 +0200

grub2 (1.95+20070505.1-2) unstable; urgency=low

  * Add EFI build of GRUB.
  - control: Restructure to provide 3 packages: grub-pc (x86),
    grub-efi (x86) and grub-of (powerpc).
  - rules: Handle a separate build for each package.
  - patches/build_neq_src.diff: Fix builddir == srcdir assumptions.
  - patches/grub_probe_for_everyone.diff: New (superceds
    powerpc_probe.diff).  Enable grub-probe on powerpc and i386-efi.
  - grub-install: Dummy informational grub-install for EFI.
  - grub-efi.install: Installs it.

 -- Robert Millan <rmh@aybabtu.com>  Sun,  6 May 2007 00:23:56 +0200

grub2 (1.95+20070505.1-1) unstable; urgency=low

  * New CVS snapshot.
  * patches/powerpc_probe.diff: Add partmap/gpt.c to grub-probe.
  * control (Architecture): Temporarily disable powerpc.  Sorry, but runtime
    is currently broken and we don't have the hardware to debug it.  Will be
    re-enabled in next upload.

 -- Robert Millan <rmh@aybabtu.com>  Sat,  5 May 2007 21:52:49 +0200

grub2 (1.95+20070505-1) unstable; urgency=low

  * New CVS snapshot.
    - Improved grub.cfg parser.  (Closes: #381215)
    - patches/fix-grub-install.diff: Remove (merged).
    - control (Build-Depends): Remove libncurses5-dev (no longer needed).
    - provides update-grub2.  (Closes: #419151)
    - Supports GPT in PC/BIOS systems.  (Closes: #409073)
  * control (Build-Depends): Add gcc-multilib to fix FTBFS.
  * control (Description): Make it less scary, and more informative.
  * postinst: Run update-grub to ensure the latest improvements always are
    applied.
  * patches/powerpc_probe.diff: Attempt at making grub-probe build/install
    on powerpc (and hopefuly update-grub).

 -- Robert Millan <rmh@aybabtu.com>  Sat,  5 May 2007 01:49:07 +0200

grub2 (1.95-5) unstable; urgency=low

  * Fix FTBFS on kFreeBSD. Thanks to Aurelien Jarno <aurel32@debian.org>
    by providing the patch. Closes: #416408

 -- Otavio Salvador <otavio@ossystems.com.br>  Fri, 30 Mar 2007 19:20:48 -0300

grub2 (1.95-4) unstable; urgency=low

  * Fix powerpc grub-install binary path. Closes: #402838

 -- Otavio Salvador <otavio@ossystems.com.br>  Thu, 22 Mar 2007 23:45:56 -0300

grub2 (1.95-3) unstable; urgency=low

  [ Christian Perrier ]
  * Switch to po-debconf for debconf templates. Closes: #402972
  * Depend on ${misc:Depends} and not "debconf" to allow cdebconf to be used
  * Debconf translations:
    - French
    - Czech. Closes: #413327
    - Galician. Closes: #413323
    - Swedish. Closes: #413325
    - Portuguese. Closes: #413332
    - German. Closes: #413365
    - Tamil. Closes: #413478
    - Russian. Closes: #413542
    - Italian. Closes: #413904
    - Romanian. Closes: #414443

 -- Otavio Salvador <otavio@ossystems.com.br>  Tue, 20 Mar 2007 23:46:38 -0300

grub2 (1.95-2) unstable; urgency=low

  [ Robert Millan ]
  * update-grub: Fix for Xen hypervisor entries, thanks Aaron Schrab.
    (Closes: #394706)
  * Transition to new numbering scheme for partitions. (Closes: #395019)
    - update-grub: Don't substract 1 when converting partition device names to
      grub drives.
    - Add debconf warning explaining the situation.
  * Rewrite Architecture line back to hardcoded list :(.  (Closes: #398060)

 -- Otavio Salvador <otavio@debian.org>  Mon, 11 Dec 2006 05:08:41 -0200

grub2 (1.95-1) unstable; urgency=low

  * New upstream release.
    - patches/03_revert_partition_numbering.diff: Delete (obsoleted).

 -- Robert Millan <rmh@aybabtu.com>  Sat, 14 Oct 2006 21:19:21 +0200

grub2 (1.94+20061003-1) unstable; urgency=high

  * New CVS snapshot.

  [ Otavio Salvador ]
  * Change debhelper compatibility mode to 5:
    - debian/compat: setted to 5;
  * control (Build-Depends): Add lib32ncurses5-dev for ppc64.
    Closes: #389873
  * Set urgency=high since it's experimental stuff and tagged likewise. It
    also solved a serious bug on PowerPC that leave users with a black
    screen.

  [ Robert Millan ]
  * control (Depends):  Add powerpc-ibm-utils for powerpc/ppc64.
    (Closes: #372186)

 -- Otavio Salvador <otavio@debian.org>  Tue,  3 Oct 2006 16:49:32 -0300

grub2 (1.94+20060926-1) unstable; urgency=high

  * New CVS snapshot.
    - Command-line editting fix (Closes: #381214).
    - Fixes runtime breakage on amd64 (not in BTS).
    - Delete a few patches (merged).

  [ Robert Millan ]
  * Set urgency=high.  Might seem like a rush, but it can't possibly be worse than
    1.94-5 (broken on systems that use udev, broken on amd64...).
  * Pure ppc64 support.
    - control (Architecture): Add any-ppc64.
    - control (Build-Depends): Add libc6-dev-powerpc [ppc64].
  * rules: Remove moddep.lst install command (no longer needed).
  * patches/03_revert_partition_numbering.diff:  New.  Revert a commit that
    broke grub-probefs.
  * Add bug template to encourage sending upstream stuff directly to
    upstream.
    - presubj: New.

  [ Otavio Salvador ]
  * Add XS-X-Vcs-Svn on control file and point it to our current svn
    repository.
  * Add cvs-snapshot to rules.

 -- Otavio Salvador <otavio@debian.org>  Tue, 26 Sep 2006 16:14:36 -0300

grub2 (1.94-6) unstable; urgency=low

  [ Robert Millan ]
  * update-grub:  Set interpreter to /bin/bash to cope with non-POSIX
    extensions.  (mentioned in #361929)
  * patches/03_avoid_recursing_into_dot_static.diff:  New.  Avoid recursing into
    dotdirs (e.g. ".static").
  * patches/04_mkdevicemap_dont_assume_floppies.diff:  New.  Don't assume
    /dev/fd0 exists when generating device.map.

 -- Otavio Salvador <otavio@debian.org>  Thu, 14 Sep 2006 16:07:30 -0300

grub2 (1.94-5) unstable; urgency=low

  [ Robert Millan ]
  * control (Build-Depends): s/any-amd64/amd64 kfreebsd-amd64/g (this seems to
    confuse buildds).
  * 02_not_remove_menu_lst.patch: New patch.  Skip menu.lst removal in
    grub-install.  (Closes: #372934)

 -- Otavio Salvador <otavio@debian.org>  Sun, 20 Aug 2006 12:02:13 -0300

grub2 (1.94-4) unstable; urgency=low

  [ Otavio Salvador ]
  * 01_fix_amd64_building.patch: dropped since it now supports amd64
    native building.
  * Remove convert_kernel26 usage since it's not necessary anymore and due
    initramfs-tools changes it's bug too.

  [ Robert Millan ]
  * Fork update-grub from grub legacy, and tweak a few commands in output to
    make it work for grub2.
  * Update README.Debian.in with more recent (and easier) install instructions.
  * Add grub to Conflicts/Replaces.  Too many commands with the same name,
    even if they don't use the same path yet (but will likely do in the
    future, see #361929).
  * Get rid of control.in, which I introduced in 0.6+20040805-1 and turned out
    to be an endless source of problems (and forbidden by policy as well).
  * Fix FTBFS on amd64. Really closes: #372548.

 -- Otavio Salvador <otavio@debian.org>  Fri, 18 Aug 2006 15:38:25 -0300

grub2 (1.94-3) unstable; urgency=low

  * Fix FTBFS in amd64. Closes: 372548

 -- Otavio Salvador <otavio@debian.org>  Sat, 10 Jun 2006 19:57:01 -0300

grub2 (1.94-2) unstable; urgency=low

  * Update grub images paths in README.Debian
  * 01_fix_grub-install.patch: add to fix a problem with PowerPC
    installation. Refs: #371069
  * Fix FTBFS in amd64. Closes: #370803

 -- Otavio Salvador <otavio@debian.org>  Fri,  9 Jun 2006 09:29:40 -0300

grub2 (1.94-1) unstable; urgency=low

  * New upstream release.
    - Fix powerpc building. Closes: #370259
    - 01_fix_grub-install.patch: merged upstream.
    - Moved modules to /usr/lib/grub since they are architecture
      dependent.
  * Leave CDBS set debhelper compatibility level.
  * Allow amd64 build to happen. Closes: #364956
  * Enforce building in 32bits while running in x86_64 machines.
  * Update Standards version to 3.7.2. No changes need.

 -- Otavio Salvador <otavio@debian.org>  Mon,  5 Jun 2006 12:49:09 -0300

grub2 (1.93-1) unstable; urgency=low

  * New upstream release.
    - Added support to PowerPC. Closes: #357853
    - 01_fix_grub-install.patch: rediff.
  * Update Standards version to 3.6.2. No changes need.
  * Start to use new dpkg architecture definition. Closes: #360134

 -- Otavio Salvador <otavio@debian.org>  Sat,  1 Apr 2006 10:07:17 -0300

grub2 (1.92-2) unstable; urgency=low

  * Add bison on build-depends field. Closes: #346178
  * Add more fixes in 01_fix_grub-install.patch. Closes: #346177

 -- Otavio Salvador <otavio@debian.org>  Fri,  6 Jan 2006 09:48:08 -0200

grub2 (1.92-1) unstable; urgency=low

  * New upstream release.
    - Add support for GPT partition table format.
    - Add a new command "play" to play an audio file on PC.
    - Add support for Linux/ADFS partition table format.
    - Add support for BASH-like scripting.
    - Add support for Apple HFS+ filesystems.
  * 01_fix_grub-install.patch: Added. Fix grub-install to use
    /bin/grub-mkimage instead of /sbin/grub-mkimage. Closes: #338824
  * Do not use CDBS tarball mode anymore. Closes: #344272

 -- Otavio Salvador <otavio@debian.org>  Thu,  5 Jan 2006 15:20:40 -0200

grub2 (1.91-0) unstable; urgency=low

  * New upstream release. Closes: #331211
  * debian/watch: added.
  * debian/control.in, debian/control: Add libncurses5-dev in
    Build-Depends. Closes: #304638
  * Remove Robert Millan as uploader;
  * Add myself as uploader;

 -- Otavio Salvador <otavio@debian.org>  Sat, 12 Nov 2005 16:35:18 -0200

grub2 (0.6+20050203-2) unstable; urgency=low

  * Disable for powerpc.  Reportedly it fails to boot.

 -- Robert Millan <rmh@debian.org>  Fri,  4 Feb 2005 01:52:09 +0100

grub2 (0.6+20050203-1) unstable; urgency=low

  * New upstream snapshot.
  * Install moddep.lst properly in a cpu-independant way. (Closes: #264115)
  * Use cdbs debian/control autogeneration.
    - Set DEB_AUTO_UPDATE_DEBIAN_CONTROL = yes.
    - Move control to control.in.
    - Add a @cdbs@ tag and replace Architecture with Cpu/System.
  * control.in (Build-Depends):  Add ruby.

 -- Robert Millan <rmh@debian.org>  Thu,  3 Feb 2005 22:33:39 +0100

grub2 (0.6+20040805-1) unstable; urgency=low

  * New upstream snapshot.
  * Uploading to unstable so that powerpc users can be blessed by GRUB too.
  * Use type-handling to generate dpkg arch list.
    - control.in
    - rules

 -- Robert Millan <rmh@debian.org>  Thu,  5 Aug 2004 20:50:16 +0200

grub2 (0.6+20040502-1) experimental; urgency=low

  * New upstream snapshot.
    - Fix FTBFS on powerpc.

 -- Robert Millan <rmh@debian.org>  Sun,  2 May 2004 18:16:29 +0200

grub2 (0.6+20040429-1) experimental; urgency=low

  * New upstream snapshot.
    - control (Architecture): Add powerpc.

 -- Robert Millan <rmh@debian.org>  Thu, 29 Apr 2004 20:41:31 +0200

grub2 (0.6+20031125-1) experimental; urgency=low

  * New upstream snapshot.
    - patches/multiboot.diff: Nuked.
    - install,docs: Update directory name.
  * control (Maintainer): Set to pkg-grub-devel mailing list.
  * control (Uploaders): Add myself.
  * control (Architecture): Add freebsd-i386 and netbsd-i386.

 -- Robert Millan <rmh@debian.org>  Tue, 25 Nov 2003 23:48:18 +0100

grub2 (0.6+20031114-1) experimental; urgency=low

  * New upstream snapshot.
    - README.Debian: s/fat/ext2/g (We now have ext2fs support).
  * Add multiboot support, thanks to Jeroen Dekkers for his patch.
    - patches/multiboot.diff: New.
    - control (Architecture): Add hurd-i386 (which needed multiboot).
  * Rename package to grub2 (to follow upstream tendency).
    - control: Ditto.
    - README.Debian: Likewise.
  * Switch to tarball mode.
    - rules: Ditto.
    - docs: Prefix paths in order to workaround dh_installdocs bug.
    - install: Likewise, but not because of bug (should be in rules, actualy).
  * Fix FTBFS. (Closes: #213868)
    - control (Build-Depends): Add autoconf.
    - control (Build-Conflicts): Add autoconf2.13.

 -- Robert Millan <rmh@debian.org>  Fri, 14 Nov 2003 13:16:12 +0100

pupa (0.6+20031008-1) experimental; urgency=low

  * New upstream snapshot.
  * Uploading to experimental.
  * debian/control: Add Jason Thomas to Uploaders.

 -- Robert Millan <rmh@debian.org>  Wed,  8 Oct 2003 13:22:50 +0000

pupa (0.6+20030915-1) unstable; urgency=low

  * Initial Release. (Closes: #211030)

 -- Robert Millan <rmh@debian.org>  Mon, 15 Sep 2003 14:58:42 +0000
